// For displaying the Alt + F4 hint in jail.sqf
bancount = 0;

// Initial respawnlist
respawnlist = [["Airfield", "Respawn_West"]];

// Intro
_intro = player execVM "scripts\intro.sqf";

[] call EVO_ResetClick;

if (local player and not isServer) then
{
	{ _far = (_x distance (getmarkerpos "det")) > 10;
		if ((count weapons _x) == 0 and _far or (_x isKindOf "OfficerE") and _far) then
		{
			pobj = [_x] execVM "scripts\submit.sqf";
		}
	} forEach list alleast;
};

player addEventHandler ["hit", {if (side (_this select 1) == east) then {fattack = true}}];

_pos = [0,0,0];


_rainmarkt = createMarkerLocal ["rainmarkt", _pos];
_rainmarkt setMarkerTypeLocal "DOT";
_rainmarkt setMarkerColorLocal "ColorBlack";
_rainmarkt setMarkerTextLocal "R A I N";
_rainmarkt setMarkerSizeLocal [0, 0];

_rainmarkt = createMarkerLocal ["rainmarkt2", _pos];
_rainmarkt setMarkerShapeLocal "ICON";
_rainmarkt setMarkerTypeLocal "DOT";
_rainmarkt setMarkerColorLocal "ColorBlack";
_rainmarkt setMarkerTextLocal "R A I N";
_rainmarkt setMarkerSizeLocal [0, 0];

_rainmarkt = createMarkerLocal ["rainmarkt3", _pos];
_rainmarkt setMarkerShapeLocal "ICON";
_rainmarkt setMarkerTypeLocal "DOT";
_rainmarkt setMarkerColorLocal "ColorBlack";
_rainmarkt setMarkerTextLocal "R A I N";
_rainmarkt setMarkerSizeLocal [0, 0];

_rainmarkt = createMarkerLocal ["rainmarkt3", _pos];
_rainmarkt setMarkerShapeLocal "ICON";
_rainmarkt setMarkerTypeLocal "DOT";
_rainmarkt setMarkerColorLocal "ColorBlack";
_rainmarkt setMarkerTextLocal "R A I N";
_rainmarkt setMarkerSizeLocal [0, 0];

_rainmarkt = createMarkerLocal ["fogmarkt", _pos];
_rainmarkt setMarkerShapeLocal "ICON";
_rainmarkt setMarkerTypeLocal "DOT";
_rainmarkt setMarkerColorLocal "ColorBlack";
_rainmarkt setMarkerTextLocal "F O G";
_rainmarkt setMarkerSizeLocal [0, 0];


// Main thread
_cthread = [] execVM "scripts\MainThreadC.sqf";

// Keep scores
_cscore = [player] call EVO_Cscore;

// Make medics see wounded soldiers
if (typeOf (vehicle player) == "ACE_SoldierWMedic_USSF_ST") then {_med = [player] execVM "scripts\med.sqf"};

// Initialize mission selector
_mis = [] execVM "missions\missions.sqf";

//Fog_Rain
_handle = [] execVM "scripts\fog.sqf";
_handle = [] execVM "scripts\rain.sqf";


// Fix Headbug
_trgobj = createTrigger ["EmptyDetector", position player];
_trgobj setTriggerText "Fix head bug";
_trgobj setTriggerActivation ["ALPHA", "PRESENT", true];
_trgobj setTriggerStatements ["this", "fixme = [] execVM ""scripts\headbug.sqf""",""];

// My Squad
_trgobj = createTrigger ["EmptyDetector", position player];
_trgobj setTriggerText "My Squad";
_trgobj setTriggerActivation ["BRAVO", "PRESENT", true];
_trgobj setTriggerStatements ["this", "squad = [0,0,0,[2,2]] execVM ""TeamStatusDialog\TeamStatusDialog.sqf""",""];

// Support
_trgobj = createTrigger ["EmptyDetector", position player];
_trgobj setTriggerText "Support";
_trgobj setTriggerActivation ["CHARLIE", "PRESENT", true];
_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\Support.sqf""",""];

// Respawn
_trgobj = createTrigger ["EmptyDetector", position player];
_trgobj setTriggerText "Respawn";
_trgobj setTriggerActivation ["JULIET", "PRESENT", true];
_trgobj setTriggerStatements ["this", "resp = [] execVM ""actions\usespawn.sqf""", ""];

// Recruit Soldier
switch (Param1) do 
{
	case 0: 
	{
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
	case 1: 
	{
		_handle = [] execVM "scripts\timeskip.sqf";
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
  case 2: 
  {
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
	case 3: 
	{
		_handle = [] execVM "scripts\timeskip.sqf";
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	}; 
	case 4: 
	{
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
	case 5: 
	{ 
		_handle = [] execVM "scripts\timeskip.sqf";
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
	case 6: 
	{
		_handle = [] execVM "scripts\timeskip.sqf";
		_trgobj = createTrigger ["EmptyDetector", position player ];
		_trgobj setTriggerText "Recruit Soldier";
		_trgobj setTriggerActivation ["DELTA", "PRESENT", true];
		_trgobj setTriggerStatements ["this", "squad = [s] execVM ""Dialogs\RecruitSoldierDialog.sqf""",""];
	};
};

if ((name player) in admins) then
{	
	// Select Mission
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Select Mission";
	_trgobj setTriggerActivation ["ECHO", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "squad = [] execVM ""missions\MissionSelectionDialog\MissionSelectionDialog.sqf""",""];
	
	// Mando Console
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Mando Console";
	_trgobj setTriggerActivation ["FOXTROT", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "res = [] execVM ""mando_bombs\mando_airsupportdlg.sqf"";", ""];
	
	// Admin Spectate
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Admin Spectate";
	_trgobj setTriggerActivation ["GOLF", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "aspec = [player, 0, 10, 1, admins] execVM 'spect\specta.sqf'", ""];

	// Score (+25)
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Score (+ 25)";
	_trgobj setTriggerActivation ["HOTEL", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "player addscore +25", ""];

	// Score (-25)
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Score (- 25)";
	_trgobj setTriggerActivation ["INDIA", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "player addscore -25", ""];
	
	/*
	// Instant Colonel
	_trgobj = createTrigger ["EmptyDetector", position player];
	_trgobj setTriggerText "Instant Colonel";
	_trgobj setTriggerActivation ["JULIET", "PRESENT", true];
	_trgobj setTriggerStatements ["this", "player addscore 300", ""];
	*/
};

// Map Updates

// Paraiso
if (alive parso1) then
{
	_rad1 = createMarkerLocal ["radobj1", position parso1];
	_rad1 setMarkerShapeLocal "ICON";
	_rad1 setMarkerTypeLocal "Destroy";
	_rad1 setMarkerTextLocal "Destroy Radio Tower";
	_rad1 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Somato
if (alive somso1) then
{
	_rad2 = createMarkerLocal ["radobj2", position somso1];
	_rad2 setMarkerShapeLocal "ICON";
	_rad2 setMarkerTypeLocal "Destroy";
	_rad2 setMarkerTextLocal "Destroy Radio Tower";
	_rad2 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Cayo
if (alive cayso1) then
{
	_rad3 = createMarkerLocal ["radobj3", position cayso1];
	_rad3 setMarkerShapeLocal "ICON";
	_rad3 setMarkerTypeLocal "Destroy";
	_rad3 setMarkerTextLocal "Destroy Radio Tower";
	_rad3 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Dolores
if (alive dolso1) then
{
	_rad4 = createMarkerLocal ["radobj4", position dolso1];
	_rad4 setMarkerShapeLocal "ICON";
	_rad4 setMarkerTypeLocal "Destroy";
	_rad4 setMarkerTextLocal "Destroy Radio Tower";
	_rad4 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Ortego
if (alive ortso1) then
{
	_rad5 = createMarkerLocal ["radobj5", position ortso1];
	_rad5 setMarkerShapeLocal "ICON";
	_rad5 setMarkerTypeLocal "Destroy";
	_rad5 setMarkerTextLocal "Destroy Radio Tower";
	_rad5 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Corazol
if (alive corso1) then
{
	_rad6 = createMarkerLocal ["radobj6", position corso1];
	_rad6 setMarkerShapeLocal "ICON";
	_rad6 setMarkerTypeLocal "Destroy";
	_rad6 setMarkerTextLocal "Destroy Radio Tower";
	_rad6 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Obregan
if (alive obrso1) then
{
	_rad7 = createMarkerLocal ["radobj7", position obrso1];
	_rad7 setMarkerShapeLocal "ICON";
	_rad7 setMarkerTypeLocal "Destroy";
	_rad7 setMarkerTextLocal "Destroy Radio Tower";
	_rad7 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Bagango
if (alive bagso1) then
{
	_rad8 = createMarkerLocal ["radobj8", position bagso1];
	_rad8 setMarkerShapeLocal "ICON";
	_rad8 setMarkerTypeLocal "Destroy";
	_rad8 setMarkerTextLocal "Destroy Radio Tower";
	_rad8 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Eponia
if (alive eposo1) then
{
	_rad9 = createMarkerLocal ["radobj9", position eposo1];
	_rad9 setMarkerShapeLocal "ICON";
	_rad9 setMarkerTypeLocal "Destroy";
	_rad9 setMarkerTextLocal "Destroy Radio Tower";
	_rad9 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Masbete
if (alive masso1) then
{
	_rad10 = createMarkerLocal ["radobj10", position masso1];
	_rad10 setMarkerShapeLocal "ICON";
	_rad10 setMarkerTypeLocal "Destroy";
	_rad10 setMarkerTextLocal "Destroy Radio Tower";
	_rad10 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Pita
if (alive pitso1) then
{
	_rad11 = createMarkerLocal ["radobj11", position pitso1];
	_rad11 setMarkerShapeLocal "ICON";
	_rad11 setMarkerTypeLocal "Destroy";
	_rad11 setMarkerTextLocal "Destroy Radio Tower";
	_rad11 setMarkerSizeLocal [0.5, 0.5];
	sleep 0.25;
};

// Delete ammo boxes
deletevehicle ammobox1;
deletevehicle ammobox2;
deletevehicle ammobox3;
deletevehicle ammobox4;
deletevehicle ammobox5;

// Ammo boxes
ammobox1 = "WeaponBoxWest" createVehicleLocal getmarkerpos "none";
ammobox1 setpos [getmarkerpos "ammob1" select 0, getmarkerpos "ammob1" select 1, (getmarkerpos "ammob1" select 2) + 0.1];
_box = [ammobox1,0] call EVO_AmmoBox;

ammobox2 = "WeaponBoxWest" createVehicleLocal getmarkerpos "none";
ammobox2 setpos getmarkerpos "ammob2";
_box = [ammobox2,0] call EVO_AmmoBox;

ammobox3 = "WeaponBoxWest" createVehicleLocal getmarkerpos "none";
ammobox3 setpos getmarkerpos "ammob3";
_box = [ammobox3,0] call EVO_AmmoBox;

ammobox4 = "WeaponBoxWest" createVehicleLocal getmarkerpos "none";
ammobox4 setpos getmarkerpos "ammob4";
_box = [ammobox4,0] call EVO_AmmoBox;

ammobox5 = "WeaponBoxWest" createVehicleLocal getmarkerpos "none";
ammobox5 setpos getmarkerpos "ammob5";
_box = [ammobox5,0] call EVO_AmmoBox;
