// init include common

titleText ["", "BLACK FADED", 0.2];

if (isNil "Param1") then {
	number_targets = 21;
} else {
	number_targets = Param1;
};

number_targets_h = number_targets;

if (number_targets >= 50) then {
	_h = (
		switch (number_targets) do {
			case 50: {7};
			case 60: {4};
			case 70: {6};
			case 80: {6};
			case 90: {21};
		}
	);
	number_targets = _h;
};

#ifndef __WITH_GRASS_AT_START__
setterraingrid 50;
#endif

// true = weapons and ammo is only available per player type, false = all weapons and ammo available for everyone
d_limit_weapons = false;
#ifdef __AI__
d_limit_weapons = false;
#endif
if (!isServer) then {
	if (d_limit_weapons) then {
		d_ltd_weapons_array =
			#ifdef __OWN_SIDE_WEST__
					[
					[["TeamLeaderW","SoldierWMedic","SquadLeaderW"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10],["M136",10]] ],
					[["SoldierWMiner"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["PipeBomb",10],["Mine",10]] ],
					[["SoldierWMG"],[["M9",5],["M4AIM",5],["M240",5],["M249",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["100Rnd_762x51_M240",30],["200Rnd_556x45_M249",30],["Handgrenade",30]] ],
					[["SoldierWAT"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5],["M136",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["M136",30],["Handgrenade",30]] ],
					[["SoldierWG"],[["M4AIM",5],["M16A2GL",5],["M16A4_GL",5],["M16A4_ACG_GL",5],["M4GL",5],["M4A1GL",5]], [["30Rnd_556x45_Stanag",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30]] ],
					[["SoldierWSniper","SoldierWSaboteurMarksman"],[["M9",5],["M4AIM",5],["M16A4_ACG",5],["M4SPR",5],["M107",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["5Rnd_762x51_M24",30],["10Rnd_127x99_M107",30]] ],
					[["SoldierWSaboteurAssault"],[["M9SD",5],["M4AIM",5],["M4A1GL",5],["M4A1SD",5],["MP5SD",5],["Laserdesignator",5]],[["15Rnd_9x19_M9SD",30],["30Rnd_556x45_Stanag",30],["30Rnd_556x45_StanagSD",30],["30Rnd_9x19_MP5SD",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["SoldierWSaboteurPipe","SoldierWSaboteurRecon","SoldierWSaboteurPipe2"],[["M4AIM",5],["M4A1SD",5],["MP5SD",5],["Laserdesignator",5]],[["30Rnd_556x45_Stanag",30],["30Rnd_556x45_StanagSD",30],["30Rnd_9x19_MP5SD",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["OfficerW"],[["M9",5],["M4AIM",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10]] ]
					];
			#endif
			#ifdef __OWN_SIDE_RACS__
					[
					[["TeamLeaderG","SoldierGMedic","SquadLeaderG"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10],["M136",10]] ],
					[["SoldierGMiner"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["PipeBomb",10],["Mine",10]] ],
					[["SoldierGMG"],[["M9",5],["M4AIM",5],["M240",5],["M249",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["100Rnd_762x51_M240",30],["200Rnd_556x45_M249",30],["Handgrenade",30]] ],
					[["SoldierGAT"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5],["M136",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["M136",30],["Handgrenade",30]] ],
					[["SoldierGG"],[["M4AIM",5],["M16A2GL",5],["M16A4_GL",5],["M16A4_ACG_GL",5],["M4GL",5],["M4A1GL",5]], [["30Rnd_556x45_Stanag",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30]] ],
					[["SoldierGSniper","SoldierGMarksman"],[["M9",5],["M4AIM",5],["M16A4_ACG",5],["M4SPR",5],["M107",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["5Rnd_762x51_M24",30],["10Rnd_127x99_M107",30]] ],
					[["SoldierGCommando","SoldierGGuard"],[["M9SD",5],["M4AIM",5],["G36k",5],["M4A1GL",5],["M4A1SD",5],["MP5SD",5],["Laserdesignator",5]],[["15Rnd_9x19_M9SD",30],["30Rnd_556x45_Stanag",30],["30Rnd_556x45_StanagSD",30],["30Rnd_556x45_G36",30],["30Rnd_9x19_MP5SD",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["OfficerG"],[["M9",5],["M4AIM",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10]] ]
					];
			#endif
			#ifdef __OWN_SIDE_EAST__
					[
					[["TeamLeaderE","SoldierEMedic","SquadLeaderE"],[["Makarov",5],["AK74",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10],["PG7V",10]] ],
					[["SoldierEMiner"],[["Makarov",5],["AK74",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["Handgrenade",30],["PipeBomb",10],["Mine",10]] ],
					[["SoldierEMG"],[["Makarov",5],["AK74",5],["PK",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["100Rnd_762x54_PK",30],["Handgrenade",30]] ],
					[["SoldierEAT"],[["Makarov",5],["AK74",5],["RPG7V",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["PG7V",30],["PG7VR",30],["Handgrenade",30]] ],
					[["SoldierEG"],[["AK74",5],["AK74GL",5]], [["30Rnd_545x39_AK",30],["1Rnd_HE_GP25",30],["FlareWhite_GP25",30],["FlareGreen_GP25",30],["FlareRed_GP25",30],["FlareYellow_GP25",30],["Handgrenade",30]] ],
					[["SoldierESniper","SoldierESaboteurMarksman"],[["Makarov",5],["AK74",5],["SVD",5],["AKS74PSO",5],["KSVK",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["10Rnd_762x54_SVD",30],["5Rnd_127x108_KSVK",30]] ],
					[["SoldierESaboteur","SoldierESaboteurPipe","SoldierESaboteurBizon"],[["MakarovSD",5],["AK74",5],["AK74GL",5],["AKS74UN",5],["AKS74UN",5],["Laserdesignator",5]],[["8Rnd_9x18_MakarovSD",30],["30Rnd_545x39_AK",30],["30Rnd_545x39_AKSD",30],["1Rnd_HE_GP25",30],["FlareWhite_GP25",30],["FlareGreen_GP25",30],["FlareRed_GP25",30],["FlareYellow_GP25",30],["Handgrenade",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["OfficerE"],[["Makarov",5],["AK74",5]],[["8Rnd_9x18_Makarov",30],["30Rnd_545x39_AK",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10]] ]
					];
			#endif
			#ifdef __TT__
					[
					[["TeamLeaderW","SoldierWMedic","SquadLeaderW","TeamLeaderG","SoldierGMedic","SquadLeaderG"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10],["M136",10]] ],
					[["SoldierWMiner","SoldierGMiner"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["Handgrenade",30],["PipeBomb",10],["Mine",10]] ],
					[["SoldierWMG","SoldierGMG"],[["M9",5],["M4AIM",5],["M240",5],["M249",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["100Rnd_762x51_M240",30],["200Rnd_556x45_M249",30],["Handgrenade",30]] ],
					[["SoldierWAT","SoldierGAT"],[["M9",5],["M16A2",5],["M16A4",5],["M4",5],["M4A1",5],["M4AIM",5],["MP5A5",5],["M136",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["30Rnd_9x19_MP5",30],["M136",30],["Handgrenade",30]] ],
					[["SoldierWG","SoldierGG"],[["M4AIM",5],["M16A2GL",5],["M16A4_GL",5],["M16A4_ACG_GL",5],["M4GL",5],["M4A1GL",5]], [["30Rnd_556x45_Stanag",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30]] ],
					[["SoldierWSniper","SoldierWSaboteurMarksman","SoldierGSniper"],[["M9",5],["M4AIM",5],["M16A4_ACG",5],["M4SPR",5],["M107",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["5Rnd_762x51_M24",30],["10Rnd_127x99_M107",30]] ],
					[["SoldierWSaboteurAssault"],[["M9SD",5],["M4AIM",5],["M4A1GL",5],["M4A1SD",5],["MP5SD",5],["Laserdesignator",5]],[["15Rnd_9x19_M9SD",30],["30Rnd_556x45_Stanag",30],["30Rnd_556x45_StanagSD",30],["30Rnd_9x19_MP5SD",30],["1Rnd_HE_M203",30],["FlareWhite_M203",30],["FlareGreen_M203",30],["FlareRed_M203",30],["FlareYellow_M203",30],["Handgrenade",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["SoldierWSaboteurPipe","SoldierWSaboteurRecon","SoldierWSaboteurPipe2","SoldierGCommando"],[["M4AIM",5],["M4A1SD",5],["MP5SD",5],["Laserdesignator",5]],[["30Rnd_556x45_Stanag",30],["30Rnd_556x45_StanagSD",30],["30Rnd_9x19_MP5SD",30],["Pipebomb",30],["Laserbatteries",10]] ],
					[["OfficerW","OfficerG"],[["M9",5],["M4AIM",5]],[["15Rnd_9x19_M9",30],["30Rnd_556x45_Stanag",30],["Handgrenade",30],["Smokeshell", 10],["Smokeshellred",10],["Smokeshellgreen",10]] ]
					];
			#endif
	};
};

// WEST, EAST or RACS for own side, setup in x_setup.sqf
#ifdef __OWN_SIDE_WEST__
d_own_side = "WEST";
d_enemy_side = "EAST";
#endif
#ifdef __OWN_SIDE_EAST__
d_own_side = "EAST";
d_enemy_side = "WEST";
#endif
#ifdef __OWN_SIDE_RACS__
d_own_side = "RACS";
d_enemy_side = "EAST";
#endif
#ifdef __TT__
d_enemy_side = "EAST";
d_own_side = "";
#endif

// setup in x_setup.sqf
d_version = [];
#ifdef __AI__
d_version = d_version + ["AI"]; // AI version
#endif
#ifdef __MANDO__
d_version = d_version + ["MANDO"]; // MANDO version
#endif
#ifdef __REVIVE__
d_version = d_version + ["REVIVE"]; // Revive version
#endif
#ifdef __TT__
d_version = d_version + ["TT"]; // Two Teams version
#endif
#ifdef __ACE__
d_version = d_version + ["ACE"]; // A.C.E. version
#endif
#ifdef __CSLA__
d_version = d_version + ["CSLA"]; // CSLA version
#endif
#ifdef __P85__
d_version = d_version + ["P85"]; // P85 version
#endif
#ifdef __RANKED__
d_version = d_version + ["RANKED"]; // Ranked version
#endif

target_names = 
	#ifdef __SCHMALFELDEN__
	[
		[[1368.8,921.382,0],"Naicha", 220],
		[[1096.4,1889.11,0],"Schmalfelden", 300],
		[[2290.62,2229.37,0],"Grossbaerenweiler", 250],
		[[1528.58,3573.05,0],"Speckheim", 300],
		[[3210.08,4493.66,0],"Funkstatt", 250],
		[[4786.72,4465.79,0],"Windisch-Bockenfeld", 180],
		[[3827.83,3025.79,0],"Wolfskreut",250],
		[[3541.6,1733.37,0],"Kleinbaerenweiler",250],
		[[4143.13,576.173,0],"Heufelwinden",250]
	];
	#endif
	#ifdef __UHAO__
	[
		[[3840.62,2843.14,0],"Varona", 190],
		[[5090.98,4693.36,0],"Ahaiki", 180],
		[[7362.44,2172,0],"Wailupe", 195],
		[[3799.57,5566.33,0],"Waipio", 220],
		[[4992.73,8670.71,0],"Kahuku", 130],
		[[3323.07,7701.39,0],"Haleiwa", 150],
		[[2147.85,6697.09,0],"Mokuleia", 140]
	];
	#endif
	#ifdef __DEFAULT__
	[
		[[9348.73,5923.4,0],"Cayo", 210], // 0
		[[10692.9,4953.4,0],"Iguana", 250], // 1
		[[7613.23,6424.32,0],"Arcadia", 235], // 2
		[[8241.74,9016.77,0],"Chantico", 200], // 3
		[[9170.43,8309.3,0],"Somato", 230], // 4
		[[10580.1,9430.44,0],"Paraiso", 300], // 5
		[[12399,7141.23,0],"Ortego",280], // 6
		[[11452,6075.97,0],"Dolores",300], // 7
		[[13351.8,8937.45,0],"Corazol",300], // 8
		[[14470,10773.5,0],"Obregan",240], // 9
		[[13172,11319.6,0],"Mercalillo",210], // 10
		[[14232.7,12525,0],"Bagango",230], // 11
		[[17291,14213.4,0],"Masbete",180], // 12
		[[19033.5,13814.3,0],"Pita",230], // 13
		[[12538.3,15004.2,0],"Eponia",210], // 14
		[[16595.8,9357.96,0],"Everon",200], // 15
		[[9773.03,14435.7,0],"Pacamac",150], // 16
		[[7771.72,15802.1,0],"Hunapu",150], // 17
		[[10592.5,16193.8,0],"Mataredo",150], // 18
		[[12426.8,13387.6,0],"Carmen",170], // 19
		[[2895.6,2890.64,0],"Rahmadi",180] // 20
	];
	#endif
	#ifdef __TT__
	[
		[[9348.73,5923.4,0],"Cayo", 210],
		[[10692.9,4953.4,0],"Iguana", 250],
		[[7613.23,6424.32,0],"Arcadia", 235],
		[[8241.74,9016.77,0],"Chantico", 200],
		[[9170.43,8309.3,0],"Somato", 230],
		[[10580.1,9430.44,0],"Paraiso", 300],
		[[12399,7141.23,0],"Ortego",280],
		[[11452,6075.97,0],"Dolores",300],
		[[13351.8,8937.45,0],"Corazol",300],
		[[14470,10773.5,0],"Obregan",240],
		[[13172,11319.6,0],"Mercalillo",210],
		[[14232.7,12525,0],"Bagango",230],
		[[17291,14213.4,0],"Masbete",180],
		[[19033.5,13814.3,0],"Pita",230],
		[[12538.3,15004.2,0],"Eponia",210],
		[[16595.8,9357.96,0],"Everon",200],
		[[9773.03,14435.7,0],"Pacamac",150],
		[[7771.72,15802.1,0],"Hunapu",150],
		[[10592.5,16193.8,0],"Mataredo",150],
		[[12426.8,13387.6,0],"Carmen",170]
	];
	#endif
		
for "_xxxxx" from 2 to ((count target_names) + 1) do {
	call compile format ["""%1"" objStatus ""HIDDEN"";", _xxxxx];
};

#ifdef __DEBUG__
// only for debugging, creates markers at all main target positions
{
	_pos = _x select 0;
	_name = _x select 1;
	_size = _x select 2;
	_marker= createMarkerLocal [_name, _pos];
	_marker setMarkerShapeLocal "ELLIPSE";
	_name setMarkerColorLocal "ColorGreen";
	_name setMarkerSizeLocal [_size,_size];
	_name = _name + "xx";
	_marker= createMarkerLocal [_name, _pos];
	_marker setMarkerTypeLocal "DOT";
	_name setMarkerColorLocal "ColorBlack";
	_name setMarkerSizeLocal [0.5,0.5];
	_name setMarkerTextLocal _name;
} forEach target_names;
#endif

d_side_enemy = (
	switch (d_enemy_side) do {
		case "EAST": {east};
		case "WEST": {west};
		case "RACS": {resistance};
	}
);

d_side_player =
	#ifdef __OWN_SIDE_EAST__
	east;
	#endif
	#ifdef __OWN_SIDE_WEST__
	west;
	#endif
	#ifdef __OWN_SIDE_RACS__
	resistance;
	#endif
	#ifdef __TT__
	west;
	#endif

d_side_player_str =
	#ifdef __OWN_SIDE_EAST__
	"east";
	#endif
	#ifdef __OWN_SIDE_WEST__
	"west";
	#endif
	#ifdef __OWN_SIDE_RACS__
	"guerrila";
	#endif
	#ifdef __TT__
	"west";
	#endif

d_own_side_trigger =
	#ifdef __OWN_SIDE_EAST__
	"EAST";
	#endif
	#ifdef __OWN_SIDE_WEST__
	"WEST";
	#endif
	#ifdef __OWN_SIDE_RACS__
	"GUER";
	#endif
	#ifdef __TT__
	"WEST";
	#endif
	
// if true, internal weather system will be used
d_weather = true;
// if true, fog area will be used
d_weather_fog = true;
d_weather_sandstorm = false; // for islands like Sakakah set to true. Replaces rain with sandstorm

d_rep_truck = (
	if (__ACEVer) then {
		if (d_enemy_side == "EAST") then {"ACE_Truck5t_Repair"} else {"ACE_Ural_Repair"}
	} else {
		if (d_enemy_side == "EAST") then {"Truck5tRepair"} else {"UralRepair"}
	}
);
d_version_string =
	#ifdef __OWN_SIDE_EAST__
	"East";
	#endif
	#ifdef __OWN_SIDE_WEST__
	"West";
	#endif
	#ifdef __OWN_SIDE_RACS__
	"Racs";
	#endif
	#ifdef __TT__
	"Two Teams";
	#endif

//default flag RACS
#ifdef __OWN_SIDE_WEST__
FLAG_BASE setflagtexture "\ca\misc\data\usa_vlajka.pac";
#endif
#ifdef __OWN_SIDE_EAST__
FLAG_BASE setflagtexture "\ca\misc\data\rus_vlajka.pac";
#endif
#ifdef __CSLA__
FLAG_BASE setflagtexture "\CSLA_Warfare\Images\csla_cssr_flag.paa";
#endif

#ifndef __TT__
FLAG_BASE setPos [position FLAG_BASE select 0, position FLAG_BASE select 1, 0];
#endif

// is engineer
#ifndef __TT__
d_is_engineer = ["delta_1","delta_2","delta_3","delta_4"];
#else
d_is_engineer = ["west_9","west_10","racs_9","racs_10"];
#endif

// is artillery operator
d_can_use_artillery = ["RESCUE","RESCUE2"];

// can build mash
#ifndef __TT__
d_is_medic = ["alpha_3","bravo_7","charlie_3"];
#else
d_is_medic = ["west_3","racs_3"];
#endif

// can build mg nest
#ifndef __TT__
d_can_use_mgnests = ["alpha_5","alpha_7","charlie_5"];
#else
d_can_use_mgnests = ["west_5","west_7","racs_7","racs_5"];
#endif

// can call in air drop
#ifndef __TT__
d_can_call_drop = ["alpha_1","charlie_1"];
#else
d_can_call_drop = ["west_1","racs_1"];
#endif

// if you want to use the mgnest for machinegunners
d_with_mgnest = true;

if (d_with_mgnest) then {
	d_mg_nest = 
	#ifdef __OWN_SIDE_RACS__
	"WarfareBResistanceMGNest_M240";
	#endif
	#ifdef __OWN_SIDE_EAST__
	"WarfareBEastMGNest_PK";
	#endif
	#ifdef __OWN_SIDE_WEST__
	"WarfareBWestMGNest_M240";
	#endif
	#ifdef __TT__
	"WarfareBWestMGNest_M240";
	#endif
};

sm_bonus_vehicle_array = (
#ifdef __SCHMALFELDEN__
	switch (d_own_side) do {
		case "RACS": {["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113_RACS"]};
		case "WEST": {["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113"]};
		case "EAST": {["BMP2","BRDM2","UAZMG","UAZ_AGS30","BRDM2_ATGM","BMP2","BRDM2"]};
	}
#endif
#ifdef __UHAO__
	switch (d_own_side) do {
		case "RACS": {["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113_RACS"]};
		case "WEST": {["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113"]};
		case "EAST": {["BMP2","BRDM2","UAZMG","UAZ_AGS30","BRDM2_ATGM","BMP2","BRDM2"]};
	}
#endif
#ifdef __DEFAULT__
	switch (d_own_side) do {
		case "RACS": {["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113_RACS"]};
		case "WEST": {
			if (__ACEVer) then {
				["ACE_Stryker_M2","ACE_Stryker_MK19","ACE_Stryker_MGS","ACE_Stryker_MGS_SLAT","ACE_Stryker_RV","ACE_HMMWV_50","ACE_HMMWV_GL","ACE_HMMWV_TOW","ACE_HMMWV_GAU19","ACE_M113_A3","ACE_M2A2","ACE_M2A1"]
			} else {
				["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113"]
			}
		};
		case "EAST": {
			if (__CSLAVer) then {
				["CSLA_BVP1","CSLA_OT64C","UAZMG","UAZ_AGS30","CSLA_9P148","CSLA_BVP2","CSLA_BRDM2"]
			} else {
				if (__ACEVer) then {
					["ACE_BMP2","ACE_BMD1","ACE_BMP2_D","ACE_BMP2_K","ACE_BMD1p","ACE_UAZ_AGS30","ACE_UAZ_MG"]
				} else {
					["BMP2","BRDM2","UAZMG","UAZ_AGS30","BRDM2_ATGM","BMP2","BRDM2"]
				}
			}
		};
	}
#endif
#ifdef __TT__
	["A10","AH1W","AH6","AV8B","AV8B2","UH60","Vulcan"]
#endif
);

mt_bonus_vehicle_array = (
#ifdef __SCHMALFELDEN__
	switch (d_own_side) do {
		case "RACS": {["A10","AH1W","AH6_RACS","AV8B","AV8B2","UH60","T72_RACS","Vulcan_RACS"]};
		case "WEST": {["AH1W","AH6","UH60", "M1Abrams","Vulcan"]};
		case "EAST": {["Su34B","KA50","Mi17","Su34","Su34","Mi17","T72","ZSU"]};
	}
#endif
#ifdef __UHAO__
	switch (d_own_side) do {
		case "RACS": {["A10","AH1W","AH6_RACS","AV8B","AV8B2","UH60","T72_RACS","Vulcan_RACS"]};
		case "WEST": {["A10","AH1W","AH6","AV8B","AV8B2", "UH60", "M1Abrams","Vulcan"]};
		case "EAST": {["Su34B","KA50","Mi17","Su34","Su34","Mi17","T72","ZSU"]};
	}
#endif
#ifdef __DEFAULT__
	switch (d_own_side) do {
		case "RACS": {["A10","AH1W","AH6_RACS","AV8B","AV8B2","UH60","T72_RACS","Vulcan_RACS"]};
		case "WEST": {
			if (__ACEVer) then {
				["ACE_A10_AGM_FFAR","ACE_AH64_AGM_HE_F_S_I","ACE_AH1Z_AGM_HE_F_S_I","ACE_AH1Z_TOW_HE_F_S_I","ACE_AH6_GAU19","ACE_AV8B_GBU12","ACE_AV8B_AA", "ACE_UH60RKT_HE_F", "ACE_M1A2_SEP_TUSK","ACE_M1A2_SEP","ACE_M1A2_TUSK","ACE_M1A1_HA","ACE_PIVADS","ACE_Vulcan","ACE_A10_MK82","ACE_A10_MK82HD"]
			} else {
				["A10","AH1W","AH6","AV8B","AV8B2", "UH60", "M1Abrams","Vulcan"]
			}
		};
		case "EAST": {
			if (__CSLAVer) then {
				["Su34B","KA50","CSLA_Mi8T_UK","Su34","Su34","CSLA_Mi8T_S5","CSLA_T72","ZSU"]
			} else {
				if (__ACEVer) then {
					["ACE_Su27S2","ACE_Su27S","ACE_Su30Mk_KAB500KR","ACE_Su30Mk_Kh29T","ACE_Su30Mk_R27_R73","ACE_Su34B","ACE_Su34","ACE_Ka50","ACE_Ka50_N","ACE_KA52","ACE_BRDM2_SA9","ACE_T72","ACE_T90","ACE_T90_K","ACE_ZSU"]
				} else {
					["Su34B","KA50","Mi17","Su34","Su34","Mi17","T72","ZSU"]
				}
			}
		};
	}
#endif
#ifdef __TT__
	["Stryker_ICV_M2","Stryker_ICV_MK19","HMMWV50","HMMWVMK","HMMWVTOW","Stryker_TOW","M113"]
#endif
);

// positions for aircraft factories (if one get's destroyed you're not able to service jets/service choppers/repair wrecks)
// first jet service, second chopper service, third wreck repair

d_aircraft_facs =
	#ifdef __DEFAULT__
	[[[9377.9,10056.3,0],180],[[9617.58,10079.1,0],90],[[10086.3,10077.3,0],90]];
	#endif
	#ifdef __SCHMALFELDEN__
	[[[0,0,0],180],[[2499.53,242.345,0],147.5],[[2550.05,271.454,0],147.5]];
	#endif
	#ifdef __UHAO__
	[[[2172.4,4372.23,0],0],[[2049.93,4317.15,0],0],[[2051.83,4250.59],0]];
	#endif
	#ifdef __TT__
	[];
	#endif

x_drop_array =
	#ifdef __OWN_SIDE_RACS__
		[["Drop Artillery", "M119"], ["Drop Landrover","Landrover_Closed"], ["Drop Ammo", "SpecialBoxGuer"]];
	#endif
	#ifdef __OWN_SIDE_WEST__
		if (__ACEVer) then {
			[["Drop Artillery", "M119"], ["Drop Humvee","ACE_HMMWV_50"], ["Drop Ammo", "SpecialBoxWest"]]
		} else {
			[["Drop Artillery", "M119"], ["Drop Humvee","HMMWV50"], ["Drop Ammo", "SpecialBoxWest"]]
		};
	#endif
	#ifdef __OWN_SIDE_EAST__
		if (__CSLAVer) then {
			[["Drop Artillery", "D30"], ["Drop Uaz","UAZ"], ["Drop Ammo", "CSLA_ammoBedna2"]]
		} else {
			if (__ACEVer) then {
				[["Drop Artillery", "D30"], ["Drop Uaz","ACE_UAZ"], ["Drop Ammo", "SpecialBoxEast"]]
			} else {
				[["Drop Artillery", "D30"], ["Drop Uaz","UAZ"], ["Drop Ammo", "SpecialBoxEast"]]
			}
		};
	#endif
	#ifdef __TT__
		[["Drop Artillery", "M119"], ["Drop Humvee","HMMWV50"], ["Drop Ammo", "SpecialBoxWest"]];
	#endif

// side of the pilot that will fly the drop air vehicle
x_drop_side = d_own_side;

// change the radius for the drop, default is 0, means it the droped object will be droped allmost exactly at the drop point
d_drop_radius = 0;

// vehicle reload time factor (for the chopper and plane service area).
x_reload_time_factor = 4;
// vehicle reload... turn engine off (false = don't turn engine off)
d_reload_engineoff = true;

// these vehicles can be lifted by the wreck lift chopper (previous chopper 4), but only, if they are completely destroyed
x_heli_wreck_lift_types = sm_bonus_vehicle_array + mt_bonus_vehicle_array;

// The "Choose Parachute Location" option at the flag at base is now disabled again as default
// you can still bring it back by setting d_para_at_base to true
d_para_at_base = false;

// If set to true no parachute flags (Choose Parachute location) will get created at base and cleared main targets (only available for version != AI)
// this also overrides d_para_at_base and sets it to false
d_no_para_at_all = false;

// if you set d_para_timer_base to a value > 0, for example 1800, HALO parajump is not available for 30 minutes once you've parajumped from the base flag (if enabled)
d_para_timer_base = 1800;
d_next_jump_time = -1;

// set the height for the HALO jump. Previously it was 888m now 8888m (a little bit more ;-))
d_halo_height = 8888;

// d_jumpflag_vec = empty ("") means normal jump flags for HALO jump get created
// if you add a vehicle typename to d_jumpflag_vec (d_jumpflag_vec = "UAZ"; for example) only a vehicle gets created and no HALO jump is available
d_jumpflag_vec = "";

// Fixes the bug that tanks fly through the air or fall on their back
// code from Hein Blds GDTModTracked addon, thanks Hein
d_use_mod_tracked = true;

// max distance from target where an arti operator can order an artillery strike
d_arti_operator_max_dist = 500;
// max distance from drop point that a player must be to call in drop
d_drop_max_dist = 500;
// artillery reload time (if arti operator ordered more than one salvoe)
d_arti_reload_time = 20;
// once an artillery strike got ececuted it will take d_arti_available_time + some random time until artillery is available again
// be aware, if you fire more salvoes d_arti_available_time will increase (2 salvoes = 500 seconds, 3 salvoes = 700 seconds)
d_arti_available_time = 300;

// default = 1800. This will kick players for the first 30  minutes(or 1800 seconds) when they joined out of air vehicles that can be won at main targets or sidemissions
// if you don't want this feature then set d_player_air_autokick = 0;
// if ArmA crashes and the player rejoines then he won't need to wait 30 minutes again (time gets saved)
d_player_air_autokick = 1800;

current_target_index = -1;

side_mission_winner = 0;
resolved_targets = [];
target_clear=false;
all_sm_res = false;
ammo_boxes = 0;
the_end = false;
bonus_number = -1;
extra_bonus_number = -1;
mr1_in_air = false;
mr2_in_air = false;
#ifdef __TT__
mrr1_in_air = false;
mrr2_in_air = false;
#endif
ari_available = true;
sec_kind = 0;
ari_type = "";
ari1 = 0;
ari2_available = true;
ari2_type = "";
sec_target_name = "";
objectID1 = objNull;
objectID2 = objNull;
jump_flags = [];

#ifdef __TT__
points_west = 0;
points_racs = 0;
kill_points_west = 0;
kill_points_racs = 0;
points_array = [];
#endif

d_wreck_marker = [];

// static truck load
truck1_cargo_array = [];
truck2_cargo_array = [];

mt_radio_pos = [0,0,0];
mt_radio_down = false;

Observer1 = objNull;
Observer2 = objNull;
Observer3 = objNull;

d_ammo_boxes = [];

d_jet_service_fac_rebuilding = false;
d_chopper_service_fac_rebuilding = false;
d_wreck_repair_fac_rebuilding = false;

ADD_HIT_EH(MEDIC_TENT1)
ADD_DAM_EH(MEDIC_TENT1)
ADD_HIT_EH(AMMOBUILDING)
ADD_DAM_EH(AMMOBUILDING)
#ifndef __SCHMALFELDEN__
ADD_HIT_EH(MEDIC_TENT2)
ADD_DAM_EH(MEDIC_TENT2)
#endif
#ifndef __TT__
ADD_HIT_EH(WALL1)
ADD_DAM_EH(WALL1)
ADD_HIT_EH(WALL2)
ADD_DAM_EH(WALL2)
ADD_HIT_EH(WALL3)
ADD_DAM_EH(WALL3)
#endif
#ifdef __TT__
ADD_HIT_EH(AMMOBUILDING2)
ADD_DAM_EH(AMMOBUILDING2)
#endif

// for markers and revive (same like NORRN_player_units)
d_player_entities = ["RESCUE","RESCUE2","alpha_1","alpha_2","alpha_3","alpha_4","alpha_5","alpha_6","alpha_7","alpha_8","bravo_1","bravo_2","bravo_3","bravo_4","bravo_5","bravo_6","bravo_7","bravo_8","charlie_1","charlie_2","charlie_3","charlie_4","charlie_5","charlie_6","charlie_7","charlie_8","delta_1","delta_2","delta_3","delta_4"];

#ifdef __REVIVE__
d_NORRN_max_respawns = 30;
d_NORRN_respawn_button_timer = 90;
d_NORRN_revive_time_limit = 300;
d_NORRN_no_of_heals = 3;
d_show_player_marker = false;
// set x_default_revive_setpos to false if you have troubles with revive (respawning at respawn_xxxx marker instead the place where the player died)
x_default_revive_setpos = false;
d_with_qg_anims = false;
#endif

d_jet_service_fac = objNull;
d_chopper_service_fac = objNull;
d_wreck_repair_fac = objNull;

#ifdef __MANDO__
//cruise missile launcher setup
mando_airsupport_cmissile = server;
mando_airsupport_cmissile_pos = [0,0,10];
if (d_enemy_side == "EAST") then {
	// Mando gun camera (2.35 stuff)
	d_ah1w_gun_camera = ["AH1W"];
	//add flares to UH60 and bonus aircraft
	d_flares_only = ["UH60MG","UH60","AV8B","AV8B2","A10","AH1W"];
	// Stryker_TOW units will be Patriots for players as gunners
	d_patriot_missiles = ["Stryker_TOW"];
	// Vulcan will have 0 flares and 12 AA missiles gunner
	d_aa_vehicles = ["Vulcan"];
	// new Mando Missiles 2.35 cameras
	d_aa_camera = ["AV8B","A10","AH1W"];
	d_lgb_camera = ["AV8B"];
	d_maverick_camera = ["A10"];
	d_hellfire_camera = ["AH1W"];
} else {
	// Mando gun camera (2.35 stuff)
	d_ka50_gun_camera = ["KA50"];
	//add flares to UH60 and bonus aircraft
	d_flares_only = ["Mi17_MG","Mi17","Su34","Su34B","KA50"];
	// BRDM2_ATGM  units will be Patriots for players as gunners
	d_sam_missiles = ["BRDM2_ATGM"];
	// ZSU will have 0 flares and 12 AA missiles gunner
	d_aa_vehicles = ["ZSU"];
	// new Mando Missiles 2.35 cameras
	d_aa_camera = ["Su34B","KA50"];
	d_ch29_camera = ["Su34B"];
};
//provides ammo trucks with ability to reload mando flares and missiles to units
d_reload_flares = ["Truck5tReammo", "UralReammo"];
d_reload_missiles = ["Truck5tReammo", "UralReammo"];

//disable unwanted console buttons
mando_support_no_re = true;
mando_support_no_pa = true;
mando_support_no_am = true;
mando_support_no_cm = true;
#endif

// if set to true, enemy AI spawned vehicles will be locked. Default false, no lock
d_lock_ai_armor = false;
d_lock_ai_car = false;
d_lock_ai_air = false;

d_vars_array = [];

#ifdef __TT__
// chopper varname, type (0 = lift chopper, 1 = wreck lift chopper, 2 = normal chopper), marker name, placeholder for heli lift types
d_choppers_west = [["HR1",0,"chopper1"], ["HR2",0,"chopper2"], ["HR3",0,"chopper3"], ["HR4",1,"chopper4"]];
d_choppers_racs = [["HRR1",0,"chopperR1"], ["HRR2",0,"chopperR2"], ["HRR3",0,"chopperR3"], ["HRR4",1,"chopperR4"]];
#endif
#ifndef __TT__
// chopper varname, type (0 = lift chopper, 1 = wreck lift chopper, 2 = normal chopper), marker name, placeholder for heli lift types
d_choppers = [["HR1",0,"chopper1"], ["HR2",0,"chopper2"], ["HR3",0,"chopper3"], ["HR4",1,"chopper4"]];
#endif

// if a player creates a vehicle at a mhq this is the time he has to wait until the old vehicle gets deleted
// and he is able to create a new vehicle again. Default is 30 minutes = 1800 seconds
d_remove_mhq_vec_time = 1800;