// by Xeno
private ["_is_dead","_leader","_nobjs","_officer","_offz_at_base","_rescued","_winner"];
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_officer = _this select 0;

_offz_at_base = false;
_is_dead = false;
_rescued = false;
_winner = 0;

while {!_offz_at_base && !_is_dead} do {
	#ifndef __AI__
	if (!alive _officer) then {
		_is_dead = true;
	} else {
		if (!_rescued) then {
			if (!_rescued && ((RESCUE distance _officer < 20) || (RESCUE2 distance _officer < 20))) then {
				_rescued = true;
				if (RESCUE distance _officer < 20) then {
					[_officer] join (leader RESCUE);
				} else {
					[_officer] join (leader RESCUE2);
				};
				_officer setCaptive true;
				["make_ai_captive",_officer] call XSendNetStartScriptClient;
			};
		} else {
			if (!(__TTVer)) then {
				if (_officer distance FLAG_BASE < 20) then {
					_offz_at_base = true;
				};
			} else {
				if (_officer distance WFLAG_BASE < 20) then {
					_offz_at_base = true;
					_winner = 2;
				} else {
					if (_officer distance RFLAG_BASE < 20) then {
						_offz_at_base = true;
						_winner = 1;
					};
				};
			};
		};
	};
	#endif
	#ifdef __AI__
	if (!alive _officer) then {
		_is_dead = true;
	} else {
		if (!_rescued) then {
			_nobjs = nearestObjects [_officer, ["Man"], 20];
			if (count _nobjs > 0) then {
				{
					if (isPlayer _x) exitWith {
						_rescued = true;
						[_officer] join (leader _x);
						_officer setCaptive true;
						["make_ai_captive",_officer] call XSendNetStartScriptClient;
					};
					sleep 0.01;
				} forEach _nobjs;
			};
		} else {
			if (_officer distance FLAG_BASE < 20) then {
				_offz_at_base = true;
			};
		};
	};
	#endif
	#ifdef __RANKED__
	if (!isNull _officer) then {
		["d_sm_p_pos", position _officer] call XSendNetVarClient;
	};
	#endif
	sleep 5.621;
};

if (_is_dead) then {
	side_mission_winner = -500;
} else {
	if (_offz_at_base) then {
		if (_winner != 0) then {
			side_mission_winner = _winner;
		} else {
			side_mission_winner = 2;
		};
		sleep 2.123;
		if (vehicle _officer != _officer) then {
			_officer action ["eject", vehicle _officer];
			unassignVehicle _officer;
			_officer setPos [0,0,0];
		};
		sleep 0.5;
		_officer removeAllEventHandlers "killed";
		deleteVehicle _officer;
	};
};

side_mission_resolved = true;

if (true) exitWith {};
