// by Xeno
private ["_c_array","_convoy_destroyed","_convoy_reached_dest","_leader","_newgroup","_nr_convoy","_pos_end","_pos_start","_side","_vehicles","_wp","_wps","_selector"];

#include "x_setup.sqf"
#include "x_macros.sqf"

_pos_start = _this select 0;
_pos_end = _this select 1;
_nr_convoy = _this select 2;

_crew_member = "";

#ifdef __TT__
sm_points_west = 0;
sm_points_racs = 0;
#endif

_c_array = d_sm_convoy select _nr_convoy;

_side = d_enemy_side;
__WaitForGroup
_newgroup = [_side] call x_creategroup;
[d_sm_convoy_vehicles select 0, _side] call x_getunitliste;
_vehicles = [1, _c_array select 0, "", (d_sm_convoy_vehicles select 0), _newgroup, 0, _c_array select 1] call x_makevgroup;
(_vehicles select 0) lock true;
#ifdef __TT__
(_vehicles select 0) addEventHandler ["killed", {switch (side (_this select 1)) do {case west: {sm_points_west = sm_points_west + 1};case resistance: {sm_points_racs = sm_points_racs + 1}}}];
#endif
extra_mission_vehicle_remover_array = extra_mission_vehicle_remover_array + _vehicles;
_leader = leader _newgroup;
_leader setRank "LIEUTENANT";
_newgroup allowFleeing 0;
_newgroup setCombatMode "GREEN";
_newgroup setFormation "COLUMN";
_newgroup setSpeedMode "LIMITED";
sleep 0.933;
_vehicles = nil;
for "_i" from 1 to (count d_sm_convoy_vehicles - 1) do {
	_vehicles = [1, _c_array select 0, "", (d_sm_convoy_vehicles select _i), _newgroup, 0, _c_array select 1] call x_makevgroup;
	(_vehicles select 0) lock true;
	#ifdef __TT__
	(_vehicles select 0) addEventHandler ["killed", {switch (side (_this select 1)) do {case west: {sm_points_west = sm_points_west + 1};case resistance: {sm_points_racs = sm_points_racs + 1}}}];
	#endif
	extra_mission_vehicle_remover_array = extra_mission_vehicle_remover_array + _vehicles;
	sleep 0.933;
	_vehicles = nil;
};

_selector = (if ((floor random 100) > 49) then {2} else {3});
_wps = _c_array select _selector;
{
	_wp=_newgroup addWaypoint[_x, 0];
	_wp setWaypointBehaviour "SAFE";
	_wp setWaypointSpeed "NORMAL";
	_wp setwaypointtype "MOVE";
	_wp setWaypointFormation "COLUMN";
	_wp setWaypointTimeout [60,80,70];
	sleep 0.001;
} forEach _wps;

_wps = nil;
_c_array = nil;

sleep 20.123;

_convoy_reached_dest = false;
_convoy_destroyed = false;

while {!_convoy_reached_dest && !_convoy_destroyed} do {
	if (isNull _newgroup || ({alive _x} count (units _newgroup)) == 0) then {
		_convoy_destroyed = true;
	} else {
		_leader = leader _newgroup;
		if ((position _leader) distance _pos_end < 10) then {
			_convoy_reached_dest = true;
		};
	};
	#ifdef __RANKED__
	["d_sm_p_pos", position _leader] call XSendNetVarClient;
	#endif
	sleep 5.123;
};

if (_convoy_reached_dest) then {
	side_mission_winner = -300;
} else {
#ifndef __TT__
	if (_convoy_destroyed) then {
			side_mission_winner=2;
	};
#endif
#ifdef __TT__
	if (sm_points_west > sm_points_racs) then {
		side_mission_winner = 2;
	} else {
		if (sm_points_racs > sm_points_west) then {
			side_mission_winner = 1;
		} else {
			if (sm_points_racs == sm_points_west) then {
				side_mission_winner = 123;
			};
		};
	};
#endif
};

side_mission_resolved = true;

if (true) exitWith {};
