// by Xeno
private ["_vehicle"];
#include "x_setup.sqf"
#include "x_macros.sqf"

#define __Poss _poss = x_sm_pos select 0;
#define __PossAndOther _poss = x_sm_pos select 0;_pos_other = x_sm_pos select 1;

x_sm_pos = [[16551.3,12925.3,0]]; // index: 49,   Officer near Benoma
x_sm_type = "normal"; // "convoy"

#ifdef __SMMISSIONS_MARKER__
if (true) exitWith {};
#endif

if (X_Client) then {
	current_mission_text = "The enemy has a small outpost in a valley near Benoma. Arrest the officer there and bring him back to the flag at your base to get some vital informations.";
	current_mission_resolved_text = "Good job. The officer was arrested.";
};

if (isServer) then {
	_officer = (if (d_enemy_side == "EAST") then {"OfficerE"} else {"OfficerW"});
	__Poss
	sleep 2.111;
	_fortress = "Fortress2" createVehicle _poss;
	//_fortress setDir 290.789;
	__AddToExtraVec(_fortress)
	__WaitForGroup
	__GetEGrp(_ogroup)
	_sm_vehicle = _ogroup createUnit [_officer, _poss, [], 0, "FORM"];
	[_sm_vehicle] join _ogroup;
	_sm_vehicle addEventHandler ["killed", {_this call XKilledSMTarget500}];
	removeAllWeapons _sm_vehicle;
	sleep 2.123;
	_bpos = _fortress buildingPos 1;
	_sm_vehicle setPos _bpos;
	sleep 2.123;
	["specops", 3, "basic", 2, _poss, 100,true] spawn XCreateInf;
	sleep 2.123;
	["shilka", 1, "bmp", 1, "tank", 1, _poss,1,120,true] spawn XCreateArmor;
	sleep 2.123;
	_leadero = leader _ogroup;
	_leadero setRank "COLONEL";
	_ogroup allowFleeing 0;
	_ogroup setbehaviour "AWARE";
	[_sm_vehicle] execVM "x_missions\common\x_sidearrest.sqf";
};

if (true) exitWith {};