// create/spawn guard and patrol groups
// by Xeno
private ["_agrp","_number_AGS_guardstatic","_number_basic_guard","_number_basic_guardstatic","_number_basic_patrol","_number_bmp_guard","_number_bmp_guardstatic","_number_bmp_patrol","_number_brdm_guard","_number_brdm_patrol","_number_D30_guardstatic","_number_DSHKM_guardstatic","_number_shilka_guardstatic","_number_specops_guard","_number_specops_guardstatic","_number_specops_patrol","_number_tank_guard","_number_tank_guardstatic","_number_tank_patrol","_number_uaz_grenade_guard","_number_uaz_grenade_patrol","_number_uaz_mg_guard","_number_uaz_mg_patrol","_radius","_trg_center","_trgobj","_type_list_guard","_type_list_guard_static","_type_list_guard_static2","_type_list_patrol","_typeidx","_wp_array","_xx","_unit_array","_xpos"];
if !(isServer) exitWith{};

#include "x_macros.sqf"

_selectit = {
	private ["_array","_num","_a_vng","_num_ret"];
	_array = _this select 0;
	_num = _this select 1;
	_a_vng = _array select _num;
	_num_ret = ceil (random (_a_vng select 1));
	_num_ret
};

_type_list_guard = [["basic",0],["specops",0],["tank",[d_vehicle_numbers_guard, 0] call _selectit],["bmp",[d_vehicle_numbers_guard, 1] call _selectit],["brdm",[d_vehicle_numbers_guard, 2] call _selectit],["uaz_mg",[d_vehicle_numbers_guard, 3] call _selectit],["uaz_grenade",[d_vehicle_numbers_guard, 4] call _selectit]];

sleep 0.01;

_type_list_guard_static = [["basic",0],["specops",0],["tank",[d_vehicle_numbers_guard_static, 0] call _selectit],["bmp",[d_vehicle_numbers_guard_static, 1] call _selectit],["shilka",[d_vehicle_numbers_guard_static, 2] call _selectit]];

sleep 0.01;

_type_list_patrol = [["basic",0],["specops",0],["tank",[d_vehicle_numbers_patrol, 0] call _selectit],["bmp",[d_vehicle_numbers_patrol, 1] call _selectit],["brdm",[d_vehicle_numbers_patrol, 2] call _selectit],["uaz_mg",[d_vehicle_numbers_patrol, 3] call _selectit],["uaz_grenade",[d_vehicle_numbers_patrol, 4] call _selectit]];
_type_list_guard_static2 = [["D30",ceil (random 5)],["DSHKM",ceil (random 2)],["AGS",ceil (random 2)]];

sleep 0.01;

_selectit = nil;

_trgobj = _this select 0;
_radius = _this select 1;

_selectitmen = {
	private ["_array","_num","_a_vng2","_num_ret"];
	_array = _this select 0;
	_num = _this select 1;
	_a_vng2 = _array select _num;
	_num_ret = round (random (_a_vng2 select 0));
	if (_num_ret < (_a_vng2 select 1)) then {_num_ret = (_a_vng2 select 1)};
	_num_ret
};

_number_basic_guard = [d_footunits_guard, 0] call _selectitmen;
_number_specops_guard = [d_footunits_guard, 1] call _selectitmen;


_selectitvec = {
	private ["_array","_num","_a_vng","_a_vng2","_num_ret"];
	_array = _this select 0;
	_num = _this select 1;
	_a_vng = _array select _num;
	_a_vng2 = _a_vng select 0;
	_num_ret = round (random (_a_vng2 select 0));
	if (_num_ret < (_a_vng2 select 1)) then {_num_ret = (_a_vng2 select 1)};
	_num_ret
};
_number_tank_guard = [d_vehicle_numbers_guard,0] call _selectitvec;
_number_bmp_guard = [d_vehicle_numbers_guard,1] call _selectitvec;
_number_brdm_guard = [d_vehicle_numbers_guard,2] call _selectitvec;
_number_uaz_mg_guard = [d_vehicle_numbers_guard,3] call _selectitvec;
_number_uaz_grenade_guard = [d_vehicle_numbers_guard,4] call _selectitvec;

sleep 0.01;

_number_basic_patrol = [d_footunits_patrol, 0] call _selectitmen;
_number_specops_patrol = [d_footunits_patrol, 1] call _selectitmen;
_number_tank_patrol = [d_vehicle_numbers_patrol,0] call _selectitvec;
_number_bmp_patrol = [d_vehicle_numbers_patrol,1] call _selectitvec;
_number_brdm_patrol = [d_vehicle_numbers_patrol,2] call _selectitvec;
_number_uaz_mg_patrol = [d_vehicle_numbers_patrol,3] call _selectitvec;
_number_uaz_grenade_patrol = [d_vehicle_numbers_patrol,4] call _selectitvec;

sleep 0.01;

_number_basic_guardstatic = [d_footunits_guard_static, 0] call _selectitmen;
_number_specops_guardstatic = [d_footunits_guard_static, 1] call _selectitmen;
_number_tank_guardstatic = [d_vehicle_numbers_guard_static,0] call _selectitvec;
_number_bmp_guardstatic = [d_vehicle_numbers_guard_static,1] call _selectitvec;
_number_shilka_guardstatic = [d_vehicle_numbers_guard_static,2] call _selectitvec;
_number_D30_guardstatic = 1;
_number_DSHKM_guardstatic = ceil (random 4);
_number_AGS_guardstatic = ceil (random 3);

_selectitmen = nil;
_selectitvec = nil;

_trg_center = _trgobj;
_wp_array = [_trg_center, _radius] call x_getwparray;

do_delete = false;
sleep 0.112;

for "_xx" from 0 to (count _type_list_guard - 1) do {
	_typeidx = _type_list_guard select _xx;
	call compile format["if (_number_%1_guard > 0) then {for ""_xxx"" from 1 to _number_%1_guard do {_wp_ran = (count _wp_array) call XfRandomFloor;[_typeidx select 0, [_wp_array select _wp_ran], _trg_center, _typeidx select 1, ""guard"",d_enemy_side,0,-1.111] execVM ""x_scripts\x_makegroup.sqf"";_wp_array set [_wp_ran, objNull];_wp_array = _wp_array - [objNull];sleep 1.123;};};",_typeidx select 0];
};

sleep 0.233;

for "_xx" from 0 to (count _type_list_guard_static - 1) do {
	_typeidx = _type_list_guard_static select _xx;
	call compile format["if (_number_%1_guardstatic > 0) then {for ""_xxx"" from 1 to _number_%1_guardstatic do {_wp_ran = (count _wp_array) call XfRandomFloor;[_typeidx select 0, [_wp_array select _wp_ran], _trg_center, _typeidx select 1, ""guardstatic"",d_enemy_side,0,-1.111] execVM ""x_scripts\x_makegroup.sqf"";_wp_array set [_wp_ran, objNull];_wp_array = _wp_array - [objNull];sleep 1.123;};};",_typeidx select 0];
};

for "_xx" from 0 to (count _type_list_guard_static2 - 1) do {
	_typeidx = _type_list_guard_static2 select _xx;
	call compile format["if (_number_%1_guardstatic > 0) then {for ""_xxx"" from 1 to _number_%1_guardstatic do {_wp_ran = (count _wp_array) call XfRandomFloor;[_typeidx select 0, [_wp_array select _wp_ran], _trg_center, _typeidx select 1, ""guardstatic2"",d_enemy_side,0,-1.111] execVM ""x_scripts\x_makegroup.sqf"";_wp_array set [_wp_ran, objNull];_wp_array = _wp_array - [objNull];sleep 1.123;};};",_typeidx select 0];
};

for "_xx" from 0 to (count _type_list_patrol - 1) do {
	_typeidx = _type_list_patrol select _xx;
	call compile format["if (_number_%1_patrol > 0) then {for ""_xxx"" from 1 to _number_%1_patrol do {_wp_ran = (count _wp_array) call XfRandomFloor;[_typeidx select 0, [_wp_array select _wp_ran], _trg_center, _typeidx select 1, ""patrol"",d_enemy_side,0,-1.111,[_trg_center, _radius]] execVM ""x_scripts\x_makegroup.sqf"";_wp_array set [_wp_ran, objNull];_wp_array = _wp_array - [objNull];sleep 1.123;};};",_typeidx select 0];
};

_type_list_guard = nil;
_type_list_guard_static = nil;
_type_list_patrol = nil;
_type_list_guard_static2 = nil;

sleep 2.124;

__WaitForGroup
__GetEGrp(_agrp)
_xx_ran = (count _wp_array) call XfRandomFloor;
_xpos = _wp_array select _xx_ran;
_wp_array set [_xx_ran, objNull];
_wp_array = _wp_array - [objNull];
_unit_array = ["uralrep", d_enemy_side] call x_getunitliste;
sleep 0.121;
[1, _xpos, (_unit_array select 2), (_unit_array select 1), _agrp, 0,-1.111,true] call x_makevgroup;
sleep 0.121;
_unit_array = ["uralfuel", d_enemy_side] call x_getunitliste;
sleep 0.121;
[1, _xpos, (_unit_array select 2), (_unit_array select 1), _agrp, 0,-1.111,true] call x_makevgroup;
sleep 0.121;
_unit_array = ["uralammo", d_enemy_side] call x_getunitliste;
sleep 0.121;
[1, _xpos, (_unit_array select 2), (_unit_array select 1), _agrp, 0,-1.111,true] call x_makevgroup;
_unit_array = nil;
_xpos = nil;

sleep 2.124;

if (!no_more_observers) then {
	// artillery observers
	nr_observers = floor random 4;
	if (nr_observers < 2) then {nr_observers = 2};
	Observer1 = objNull;
	Observer2 = objNull;
	Observer3 = objNull;

	update_observers = -1;

	_unit_array = ["artiobserver", d_enemy_side] call x_getunitliste;
	for "_xx" from 1 to nr_observers do {
		__WaitForGroup
		__GetEGrp(_agrp)
		_xx_ran = (count _wp_array) call XfRandomFloor;
		_xpos = _wp_array select _xx_ran;
		_wp_array set [_xx_ran, objNull];
		_wp_array = _wp_array - [objNull];
		_units = [_xpos, (_unit_array select 0), _agrp,true] call x_makemgroup;
		_agrp setFormation "COLUMN";
		_agrp setSpeedMode "LIMITED";
		_agrp setBehaviour "SAFE";
		_agrp setCombatMode "YELLOW";
		_grp_array = [_agrp, _xpos, false,[_trg_center, _radius],[],-1,0];
		xlink_groups = xlink_groups + [_grp_array];
		call compile format ["
			Observer%1 = _units select 0;
			Observer%1 addEventHandler [""killed"", {Observer%1 = objNull;nr_observers = nr_observers - 1;if (nr_observers == 0) then {update_observers = -1; [""update_observers"",update_observers] call XSendNetStartScriptClient;}}];
		",_xx];
		sleep 1.231;
	};
	_unit_array = nil;

	update_observers = nr_observers;
	["update_observers",update_observers] call XSendNetStartScriptClient;

	execVM "x_scripts\x_handleobservers.sqf";

	sleep 2.214;
};

[_wp_array] execVM "x_scripts\x_createsecondary.sqf";

d_run_illum = true;
[_trg_center, _radius] execVM "x_scripts\x_illum.sqf";

do_delete = true;

sleep 90;

_wp_array = nil;

if (true) exitWith {};

