﻿// by Xeno
private ["_assigned","_helifirstpoint","_chopper","_paragrp","_leader","_pos_end","_u","_unit_array","_vgrp","_wp","_xx","_heliendpoint","_wp2","_attack_pos"];
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_vgrp = _this select 0;
_chopper = _this select 1;
_helifirstpoint = _this select 2;
_heliendpoint = _this select 3;

sleep 2.123;

_wp = _vgrp addWaypoint [_helifirstpoint, 30];
_wp setWaypointBehaviour "CARELESS";
_wp setWaypointSpeed "NORMAL";
_wp setwaypointtype "MOVE";
_wp setWaypointFormation "WEDGE";

_wp2 = _vgrp addWaypoint [_heliendpoint, 0];
_wp2 setwaypointtype "MOVE";
_wp2 setWaypointBehaviour "CARELESS";
_wp2 setWaypointSpeed "NORMAL";
_wp2 setwaypointtype "MOVE";

_chopper flyinheight 100;

_parachute_type = (
	switch (d_enemy_side) do {
		case "EAST": {"ParachuteEast"};
		case "WEST": {"ParachuteWest"};
	}
);

while {_helifirstpoint distance (leader _vgrp) > 150} do {
	if (isNull _chopper || !alive _chopper || !canMove _chopper || !alive driver _chopper) exitWith {
		[driver _chopper, _chopper] spawn {
			private ["_driver_vec","_vehicle"];
			_driver_vec = _this select 0;
			_vehicle = _this select 1;
			sleep 240 + random 100;
			if (!isNull _driver_vec) then {
				_driver_vec setDamage 1.1;
			};
			if (!isNull _vehicle) then {
				{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			};
		};
	};
	sleep 2.123;
};

if (alive _chopper && !isNull _chopper && canMove _chopper && alive driver _chopper) then {
	__GetEGrp(_paragrp)
	_unit_array = ["sabotage", d_enemy_side] call x_getunitliste;
	_real_units = _unit_array select 0;
	_unit_array = nil;
	sleep 0.1;
	for "_i" from 0 to (count _real_units - 1) do {
		_type = _real_units select _i;
		_one_unit = _paragrp createunit [_type, [0,0,0], [], 300,"NONE"];
		[_one_unit] join _paragrp;
		_one_unit addEventHandler ["killed", {[_this select 0] call XAddDead;if (d_smoke) then {[_this select 0, _this select 1] execVM  "x_scripts\x_dosmoke.sqf";};}];
		#ifdef __TT__
		_one_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
		#endif
		_one_unit setSkill ((d_skill_array select 0) + (random (d_skill_array select 1)));
		
		_para = createVehicle [_parachute_type, position _chopper, [], 20, 'NONE'];
		_para setpos [(position _chopper) select 0,(position _chopper) select 1,((position _chopper) select 2)- 10];
		_para setDir random 360;
		_one_unit moveInDriver _para;
		sleep 0.551;
	};
	_leader = leader _paragrp;
	_leader setRank "LIEUTENANT";
	_paragrp allowFleeing 0;
	_paragrp setCombatMode "YELLOW";
	_paragrp setBehaviour "AWARE";
	
	sleep 0.113;
	_attack_pos = [position FLAG_BASE,200,6] call XfGetRanPointCircle;
	_wp = _paragrp addWaypoint [_attack_pos, 50];
	_wp setWaypointBehaviour "STEALTH";
	_wp setWaypointSpeed "NORMAL";
	_wp setwaypointtype "SAD";
	_wp setWaypointFormation "WEDGE";
	sleep 0.112;
	[_paragrp, _attack_pos] execVM "x_scripts\x_sabotage.sqf";
};

if (isNull _chopper || !alive _chopper || !canMove _chopper || !alive driver _chopper) exitWith {
	[driver _chopper, _chopper] spawn {
		private ["_driver_vec","_vehicle"];
		_driver_vec = _this select 0;
		_vehicle = _this select 1;
		sleep 240 + random 100;
		if (!isNull _driver_vec) then {
			_driver_vec setDamage 1.1;
		};
		if (!isNull _vehicle) then {
			{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
		};
	};
};

while {(_heliendpoint distance (leader _vgrp) > 300)} do {
	if (isNull _chopper || !alive _chopper || !canMove _chopper || !alive driver _chopper) exitWith {
		[driver _chopper, _chopper] spawn {
			private ["_driver_vec","_vehicle"];
			_driver_vec = _this select 0;
			_vehicle = _this select 1;
			sleep 240 + random 100;
			if (!isNull _driver_vec) then {
				_driver_vec setDamage 1.1;
			};
			if (!isNull _vehicle) then {
				{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			};
		};
	};
	sleep 5.123;
};

{if (!isNull _x) then {_x removeAllEventHandlers "killed";deleteVehicle _x}} forEach ([_chopper] + crew _chopper);

if (true) exitWith {};



