// by Xeno
private ["_distance","_grp","_has_smoke","_killed","_killer","_leader","_pp","_shell","_smoke_array","_units","_i","_one_shell","_one_shell_muzzle","_shell_unit"];
if (!isServer) exitWith {};

#include "x_setup.sqf"

_killed = _this select 0;
_killer = _this select 1;

_grp = group _killed;

if (side _killer == d_side_enemy || side _killer == civilian) exitWith {};

_has_smoke = false;

if (_grp in smoke_groups) exitWith {};

_units = units _grp;
if (({alive _x} count _units) > 1) then {
	_grp setCombatMode "YELLOW";
	_grp setSpeedMode "NORMAL";
	_grp setBehaviour "AWARE";
	
	{
		if (alive _x) then {
			_x setUnitPos "DOWN";
		};
	} forEach _units;
	_units = nil;
	sleep 0.5123;
	_leader = leader _grp;
	if (_leader knowsAbout _killer >= 1.5) then {
		if (vehicle _leader == _leader) then {
			_has_smoke = true;
			smoke_groups = smoke_groups + [_grp];
			_one_shell = "";
			_shell_unit = objNull;
			{
				scopeName "xxxx1";
				_mags = magazines _x;
				_shell_unit = _x;
				{
					if (_x in ["SmokeShellRed","SmokeShellGreen","SmokeShell"]) then {
						_one_shell = _x;
						breakOut "xxxx1";
					};
				} forEach _mags;
				sleep 0.011;
			} forEach units _grp;
			if (_one_shell != "") then {
				_one_shell_muzzle = (switch (_one_shell) do {case "SmokeShell": {"SmokeShellMuzzle"};case "SmokeShellRed": {"SmokeShellGreenMuzzle"};case "SmokeShellRed": {"SmokeShellRedMuzzle"};});
				_shell_unit selectWeapon _one_shell_muzzle;
				sleep 0.121;
				if (_shell_unit == _leader) then {
					_shell_unit doTarget _killer;
					sleep 1.634;
					_shell_unit fire _one_shell_muzzle;
				} else {
					_shell_unit commandTarget _killer;
					sleep 1.634;
					_shell_unit fire _one_shell_muzzle;
				};
			};
		} else {
			_has_smoke = true;
			smoke_groups = smoke_groups + [_grp];
			sleep 0.5123;
			_distance = _leader distance _killer;
			_smoke_array = [position _killer, position (_leader),_distance] call GetSmokePos;
			for "_pp" from 0 to (count _smoke_array - 1) do {
				_shell = "SmokeShell" createVehicle (_smoke_array select _pp);
				#ifdef __ACE__
				[objNull,objNull,objNull,objNull,"SmokeShell",_shell] spawn ace_viewblock_fired;
				#endif
				#ifndef __ACE__
				if (d_found_DMSmokeGrenadeVB) then {
					[_shell] spawn X_DM_SMOKE_SHELL;
				};
				#endif
				sleep 0.013;
			};
			_smoke_array = nil;
		};
		sleep 0.512;
		{
			if (alive _x) then {
				_x disableAI "TARGET";
				_x disableAI "AUTOTARGET";
			};
		} forEach units _grp;
	};
	_grp spawn {
		private ["_grp"];
		_grp = _this;
		sleep 18.123;
		{
			if (alive _x) then {
				_x setUnitPos "AUTO";
				_x enableAI "TARGET";
				_x enableAI "AUTOTARGET";
			};
		} forEach units _grp;
	};
	
	if (_has_smoke) then {
		_grp spawn {
			private ["_grp"];
			_grp = _this;
			sleep 238.123;
			smoke_groups = smoke_groups - [_grp];
		};
	};
};

smoke_groups = smoke_groups - [objNull];

if (true) exitWith {};
