#include "x_setup.sqf"
#include "x_macros.sqf"

"d_net_var_server" addPublicVariableEventHandler {
	(_this select 1) call XHandleNetVar;
};

XHandleNetStartScriptServer = {
	private ["_this"];
	__DEBUG_NET("x_netinitserver.sqf XHandleNetStartScriptServer _this",_this)
	switch (_this select 0) do {
		case "ari_type": {
			__compile_to_var
			ari_salvos = (_this select 2);
			execVM "x_scripts\x_arifire.sqf";
		};
		case "ari2_type": {
			__compile_to_var
			ari2_salvos = (_this select 2);
			execVM "x_scripts\x_arifire2.sqf";
		};
		case "d_create_box": {
			(_this select 1) spawn XCreateDroppedBox;
		};
		#ifndef __TT__
		case "d_fac_ruins_pos": {
			[(_this select 1) select 0,(_this select 1) select 1] spawn XFacRebuild;
		};
		#endif
		#ifdef __TT__
		case "add_kills_racs": {
			kill_points_racs = kill_points_racs + (_this select 1);
		};
		case "add_kills_west": {
			kill_points_west = kill_points_west + (_this select 1);
		};
		#endif
		case "mr1_in_air": {
			__compile_to_var
		};
		case "mr2_in_air": {
			__compile_to_var
		};
		#ifdef __TT__
		case "mrr1_in_air": {
			__compile_to_var
		};
		case "mrr2_in_air": {
			__compile_to_var
		};
		#endif
		case "mr1_lift_chopper": {
			__compile_to_var
			if (!isNull mr1_lift_chopper) then {[mr1_lift_chopper] spawn x_checktransport;};
		};
		case "mr2_lift_chopper": {
			__compile_to_var
			if (!isNull mr2_lift_chopper) then {[mr2_lift_chopper] spawn x_checktransport;};
		};
		#ifdef __TT__
		case "mrr1_lift_chopper": {
			__compile_to_var
			if (!isNull mrr1_lift_chopper) then {[mrr1_lift_chopper] spawn x_checktransport2;};
		};
		case "mrr2_lift_chopper": {
			__compile_to_var
			if (!isNull mrr2_lift_chopper) then {[mrr2_lift_chopper] spawn x_checktransport2;};
		};
		#endif
		case "x_drop_type": {
			[(_this select 1),(_this select 2)] execVM "x_scripts\x_createdrop.sqf";
		};
		case "d_placed_obj_add": {
			d_placed_objs = d_placed_objs + [(_this select 1)];
		};
		case "d_air_taxi": {
			(_this select 1) execVM "x_scripts\x_airtaxiserver.sqf";
		};
		case "d_p_a": {
			(_this select 1) spawn XGetPlayerPoints;
		};
		case "d_rem_box": {
			private ["_i", "_box_a", "_pos"];
			for "_i" from 0 to (count d_ammo_boxes - 1) do {
				_box_a = d_ammo_boxes select _i;
				_pos = _box_a select 0;
				if (_pos distance (_this select 1) < 5) exitWith {
					_box_a set [0,[]];
				};
			};
		};
		case "d_flag_vec": {
			(_this select 1) setVariable ["d_end_time", (time + d_remove_mhq_vec_time + round (d_remove_mhq_vec_time / 2))];
			[(_this select 1)] call XAddCheckDead;
		};
		case "d_ad_sc": {
			[(_this select 1),(_this select 2)] spawn XAddPlayerScore;
		};
	};
};
 
 "d_net_startscript_server" addPublicVariableEventHandler {
	(_this select 1) spawn XHandleNetStartScriptServer;
};
