// by Xeno
private ["_s","_str"];
if (!X_Client) exitWith {};

d_still_in_intro = true;

#include "x_setup.sqf"
#include "x_macros.sqf"

enableRadio false;
showCinemaBorder false;
//_phiteh = player addEventHandler ["hit", {(_this select 0) setDamage 0}];_pdamageeh = player addEventHandler ["damage", {(_this select 0) setDamage 0}];
_dlg = createDialog "X_RscAnimatedLetters";
_XD_display = findDisplay 77043;
_control = _XD_display displayCtrl 66666;
_control ctrlShow false;
_line = 0;
i = 0;

playMusic "ATrack1";

if (daytime > 19.75 || daytime < 4.25) then {
	camUseNVG true;
};

#ifndef __TT__
d_intro_color = (
	switch (d_own_side) do {
		case "WEST": {[0,0,1,1]};
		case "EAST": {[1,0,0,1]};
		case "RACS": {[1,1,0,1]};
	}
);
_camstart = camstart;
#endif
#ifdef __TT__
d_intro_color = (
	if (playerSide == west) then {
		[0,0,1,1]
	} else {
		[1,1,0,1]
	}
);
_camstart = (
	if (playerSide == west) then {
		camstart
	} else {
		camstart_racs
	}
);
#endif

_PS1 = "#particlesource" createVehicleLocal [position player select 0, position player select 1, 1.5];
_PS1 setParticleCircle [0, [0, 0, 0]];
_PS1 setParticleRandom [0, [0, 0, 0], [0,0,0], 0, 1, [0, 0, 0, 0], 0, 0];
_PS1 setParticleParams [["\Ca\Data\ParticleEffects\SPARKSEFFECT\SparksEffect.p3d", 8, 3, 1], "", "spaceobject", 1, 0.2, [0, 0, 1], [0,0,0], 1, 10/10, 1, 0.2, [2, 2], [[1, 1, 1 ,1], [1, 1, 1, 1], [1, 1, 1, 1]], [0, 1], 1, 0, "", "", _this];
_PS1 setDropInterval 0.01;

_camera = "camera" camCreate [(position _camstart select 0), (position _camstart select 1) + 1, 120];
_camera camSetTarget [(position player select 0), (position player select 1) , 1.5];
_camera camSetFov 0.7;
_camera cameraEffect ["INTERNAL", "Back"];
_camera camCommit 1;
waitUntil {camCommitted _camera};

#ifndef __TT__
_str = "One Team - " + d_version_string;
_start_pos = 5;
_start_pos2 = 1;
_str2 = "";
if (__MandoVer) then {if (_str2 != "") then {_str2 = _str2 + " MANDO"} else {_str2 = _str2 + "MANDO"}};
if (__ReviveVer) then {if (_str2 != "") then {_str2 = _str2 + " REVIVE"} else {_str2 = _str2 + "REVIVE"}};
if (__ACEVer) then {if (_str2 != "") then {_str2 = _str2 + " ACE"} else {_str2 = _str2 + "ACE"}};
if (__CSLAVer) then {if (_str2 != "") then {_str2 = _str2 + " CSLA"} else {_str2 = _str2 + "CSLA"}};
if (__P85Ver) then {if (_str2 != "") then {_str2 = _str2 + " P85"} else {_str2 = _str2 + "P85"}};
if (__AIVer) then {if (_str2 != "") then {_str2 = _str2 + " AI"} else {_str2 = _str2 + "AI"}};
if (__RankedVer) then {if (_str2 != "") then {_str2 = _str2 + " RA"} else {_str2 = _str2 + "RA"}};
_sarray = toArray (_str2);
switch (count _sarray) do {
	case 2: {_start_pos2 = 11;};
	case 3: {_start_pos2 = 11;};
	case 4: {_start_pos2 = 10;};
	case 5: {_start_pos2 = 10;};
	case 6: {_start_pos2 = 9;};
	case 7: {_start_pos2 = 9;};
	case 8: {_start_pos2 = 8;};
	case 9: {_start_pos2 = 8;};
	case 10: {_start_pos2 = 8;};
	case 11: {_start_pos2 = 7;};
	case 12: {_start_pos2 = 6;};
	case 15: {_start_pos2 = 4;};
};
#endif
#ifdef __TT__
_str = "Two Teams";
_str2 = "";
_sarray = [];
_start_pos = 8;
#endif

cutRsc ["XDomLabel","PLAIN",2];
//[1, "D O M I N A T I O N  3!", 4] execVM "IntroAnim\animateLettersX.sqf";_line = _line + 1; waitUntil {i == _line};
[_start_pos, _str, 5] execVM "IntroAnim\animateLettersX.sqf";_line = _line + 1; waitUntil {i == _line};
if (count _sarray > 0) then {
	[_start_pos2, _str2, 6] execVM "IntroAnim\animateLettersX.sqf";_line = _line + 1; waitUntil {i == _line};
};

_camera camSetTarget player;
_camera camSetPos [(position player select 0), (position player select 1) , 2];
_camera camCommit 18;

sleep 6;
//titleRsc ["Titel1", "PLAIN"];
[] spawn {
	private ["_XD_display", "_control", "_endtime", "_r", "_a"];
	_XD_display = findDisplay 77043;
	_control = _XD_display displayCtrl 66666;
	_control ctrlShow true;
	_endtime = time + 10;
	_r = 0;_a = 0.008;
	while {_endtime > time} do {
		_control = _XD_display displayCtrl 66666;
		_control ctrlSetTextColor [_r,_r,_r,_r];
		_r = _r + _a;
		if (_r > 1) then {_a = -0.008; _r = 1};
		sleep .01;
	};
	_control = _XD_display displayCtrl 66666;
	_control ctrlShow false;
};
waitUntil {camCommitted _camera};
player cameraEffect ["terminate","back"];
camDestroy _camera;
closeDialog 0;
deleteVehicle _PS1;

enableRadio true;
//player removeEventHandler ["hit", _phiteh];
//player removeEventHandler ["damage", _pdamageeh];

d_still_in_intro = false;

if (true) exitWith {};
