// by Xeno
private ["_dir_to_set","_m_name","_marker"];

#include "x_setup.sqf"

if ((player call XfGetHeight) > 5) exitWith {
	"You must be kidding..." call XfGlobalChat;
};

if (count d_mgnest_pos > 0) exitWith {
	"You have allready build a mg nest. You have to remove it to build a new one." call XfGlobalChat;
};

d_mgnest_pos = player modeltoworld [0,2,0];

// check if position is valid
if (surfaceIsWater [d_mgnest_pos select 0, d_mgnest_pos select 1]) exitWith {
	"It is not possible to place a mg nest into water." call XfGlobalChat;
	d_mgnest_pos = [];
};

#ifdef __RANKED__
if (score player < (d_ranked_a select 14)) exitWith {
	(format ["You need %2 points to build a mg nest. Your current score is: %1", score player,(d_ranked_a select 14)]) call XfHQChat;
};
#endif

_helper1 = "HeliHEmpty" createVehicleLocal [d_mgnest_pos select 0, (d_mgnest_pos select 1) + 4, 0];
_helper2 = "HeliHEmpty" createVehicleLocal [d_mgnest_pos select 0, (d_mgnest_pos select 1) - 4, 0];
_helper3 = "HeliHEmpty" createVehicleLocal [(d_mgnest_pos select 0) + 4, d_mgnest_pos select 1, 0];
_helper4 = "HeliHEmpty" createVehicleLocal [(d_mgnest_pos select 0) - 4, d_mgnest_pos select 1, 0];

if ((abs (((getPosASL _helper1) select 2) - ((getPosASL _helper2) select 2)) > 2) || (abs (((getPosASL _helper3) select 2) - ((getPosASL _helper4) select 2)) > 2)) exitWith {
	"Place not valid. Try another location to place the mg nest." call XfGlobalChat;
	d_mgnest_pos = [];
	for "_mt" from 1 to 4 do {call compile format ["deleteVehicle _helper%1;", _mt];};
};

for "_mt" from 1 to 4 do {call compile format ["deleteVehicle _helper%1;", _mt];};

#ifdef __RANKED__
player addScore (d_ranked_a select 14) * -1;
#endif

player playMove "AinvPknlMstpSlayWrflDnon_medic";
sleep 3;
waitUntil {animationState player != "AinvPknlMstpSlayWrflDnon_medic"};
if (!(alive player)) exitWith {
	d_mgnest_pos = [];
	"You died before your MG nest was ready." call XfGlobalChat;
};

_dir_to_set = getdir player;

mg_nest = d_mg_nest createvehicle d_mgnest_pos;
mg_nest setdir _dir_to_set;
mg_nest setPos [position mg_nest select 0, position mg_nest select 1, 0];

"MG Nest ready." call XfGlobalChat;
_m_name = format ["MG Nest %1", player];
[_m_name, position mg_nest,"ICON","ColorBlue",[0.5,0.5],format ["MG Nest %1", name player],0,"Dot"] call XfCreateMarkerGlobal;

_d_placed_obj_add = [format ["%1", player], position mg_nest,1];
["d_placed_obj_add",_d_placed_obj_add] call XSendNetStartScriptServer;

mg_nest addAction ["Remove MG Nest", "x_scripts\x_removemgnest.sqf"];
mg_nest addEventHandler ["killed",{[_this select 0] spawn XMGnestKilled;}];

player moveInGunner mg_nest;

if (true) exitWith {};
