// by Xeno
private ["_x_can_recapture", "_ret", "_num_p", "_recap_index", "_loop_running", "_ran", "_target_array", "_target_pos", "_checktrigger", "_checktrigger2", "_target_name", "_radius", "_helih", "_target_center", "_unitslist", "_ulist", "_posran", "_grp", "_vecs", "_grp_array", "_i", "_units", "_vec"];
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_x_can_recapture = {
	private ["_ret"];
	_ret = false;
	if (d_max_recaptures != -1) then {
		if (count d_recapture_indices < d_max_recaptures) then {
			_ret = true
		}
	} else {
		_ret = true
	};
	_ret
};

while {true} do {
	// do recapture only if there are human players
	_num_p = call XPlayersNumber;
	if (_num_p > 0) then {
		while {!main_target_ready} do {sleep 10.321};
		if (!the_end && (count resolved_targets > 1) && (count d_recapture_indices < count resolved_targets - 1) && call _x_can_recapture) then {
			_recap_index = -1;
			_loop_running = true;
			while {_loop_running} do {
				_ran = (count resolved_targets - 1) call XfRandomFloor;
				#ifndef __TT__
				_recap_index = resolved_targets select _ran;
				#endif
				#ifdef __TT__
				_recap_index = (resolved_targets select _ran) select 0;
				#endif
				sleep 0.1;
				if (!(_recap_index in d_recapture_indices)) then {
					_target_array = target_names select _recap_index;
					_target_pos = _target_array select 0;
					_checktrigger = createTrigger["EmptyDetector",_target_pos];
					_checktrigger setTriggerArea [400,400, 0, false];
					_checktrigger setTriggerActivation [d_own_side_trigger, d_enemy_side, false];
					_checktrigger setTriggerStatements["this","",""];
					
					#ifdef __TT__
					_checktrigger2 = createTrigger["EmptyDetector",_target_pos];
					_checktrigger2 setTriggerArea [400,400, 0, false];
					_checktrigger2 setTriggerActivation ["GUER", d_enemy_side, false];
					_checktrigger2 setTriggerStatements["this","",""];
					#endif
					
					sleep 125;
					
					#ifndef __TT__
					if (count list _checktrigger == 0) then {_loop_running = false};
					deleteVehicle _checktrigger;
					#else
					if (count list _checktrigger == 0 && count list _checktrigger2 == 0) then {_loop_running = false};
					deleteVehicle _checktrigger; deleteVehicle _checktrigger2;
					#endif
					if (_loop_running) then {sleep 25};
				};
				
			};
			
			sleep 0.01;
			
			_target_array = target_names select _recap_index;
			_target_pos = _target_array select 0;
			_target_name = _target_array select 1;
			_radius = _target_array select 2;
			_helih = _target_pos nearestObject "HeliHEmpty";
			_helih setDir 359;
			d_recapture_indices = d_recapture_indices + [_recap_index];
			sleep 0.01;
			// create enemy troops, add to an array, check if units in array are still alive !!! if not, recapture over
			[_target_pos, _radius,_recap_index,_helih] spawn {
				private ["_target_center", "_radius", "_recap_index", "_helih", "_unitslist", "_ulist", "_posran", "_grp", "_vecs", "_grp_array", "_i", "_units"];
				_target_center = _this select 0;
				_radius = _this select 1;
				_recap_index = _this select 2;
				_helih = _this select 3;
				_unitslist = [];
				{
					_ulist = [_x,d_enemy_side] call x_getunitliste;
					 _posran = [_target_center, _radius, 8] call XfGetRanPointCircle;
					 __WaitForGroup
					 _grp = [d_enemy_side] call x_creategroup;
					_vecs = [(2 call XfRandomCeil),_posran,(_ulist select 2), (_ulist select 1),_grp,0,-1.111,true] call x_makevgroup;
					{_x lock true} forEach _vecs;
					_unitslist = _unitslist + _vecs;
					_grp_array = [_grp, _posran, false,[_target_center,_radius],[],-1,0];
					xlink_groups = xlink_groups + [_grp_array];
					sleep 0.312;
				} forEach ["tank","bmp","shilka"];
				for "_i" from 0 to 3 do {
					_ulist = ["basic",d_enemy_side] call x_getunitliste;
					 _posran = [_target_center, _radius, 6] call XfGetRanPointCircle;
					 __WaitForGroup
					 _grp = [d_enemy_side] call x_creategroup;
					_units = [_posran,(_ulist select 0),_grp,true] call x_makemgroup;
					_unitslist = _unitslist + _units;
					_grp_array = [_grp, _posran, false,[_target_center,_radius],[],-1,0];
					xlink_groups = xlink_groups + [_grp_array];
					sleep 0.312;
				};
				sleep 10;
				while {({alive _x} count _unitslist) > 5} do {sleep 6.312;};
				sleep 5;
				_helih setDir -532.37;
				d_recapture_indices = d_recapture_indices - [_recap_index];
				if (!X_SPE) then {
					["recaptured",_recap_index,1] call XSendNetStartScriptClient;
				} else {
					[_recap_index,1] call XRecapturedUpdate;
				};
				_unitslist spawn {
					private ["_unitslist"];
					_unitslist = _this;
					sleep 300;
					{
						if (!isNull _x) then {
							if (_x isKindOf "Tank") then {
								_vec = _x;
								{if (!isNull _x) then {deleteVehicle _x}} forEach ([_vec] + crew _vec);
							} else {
								if (!isNull _x) then {deleteVehicle _x};
							};
						};
					} forEach _unitslist;
					_unitslist = nil;
				};
			};
			// wait
			sleep 5.012;
			// send to players
			if (!X_SPE) then {
				["recaptured",_recap_index,0] call XSendNetStartScriptClient;
			} else {
				[_recap_index,0] call XRecapturedUpdate;
			};
		};
	};
	sleep 1800 + random 600;
};

if (true) exitWith {};
