// by Xeno
private ["_ap","_as","_i","_marker"];
if (!X_Client) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

if (isNil "d_show_player_marker") then {d_show_player_marker = false};
sleep 1.012;

p_uncon = false;

#ifndef __TT__
X_XMarkerVehicles = {
	private ["_i","_mdir"];
	
	for "_i" from 1 to 2 do {
		call compile format ["if (!(isNil ""MRR%1"") && !(isNull MRR%1)) then {if (d_v_marker_dirs) then {""mobilerespawn%1"" setMarkerDirLocal (direction MRR%1)};""mobilerespawn%1"" setMarkerPosLocal (position MRR%1);};",_i];
		sleep 0.11;
	};
	{
		call compile format["if (!(isNil ""%1"") && !(isNull %1)) then {""%2"" setMarkerPosLocal (position %1);if (d_v_marker_dirs) then {""%2"" setMarkerDirLocal (direction %1)};};",(_x select 0), (_x select 2)];
		sleep 0.11;
	} forEach d_choppers;
	for "_i" from 1 to 10 do {
		call compile format["if (!(isNil ""TR%1"") && !(isNull TR%1)) then {""truck%1"" setMarkerPosLocal (position TR%1);if (d_v_marker_dirs) then {""truck%1"" setMarkerDirLocal (direction TR%1)};};",_i];
		sleep 0.11;
	};
	if (!(isNil "MEDVEC") && !(isNull MEDVEC)) then {"medvec" setMarkerPosLocal (position MEDVEC);if (d_v_marker_dirs) then {"medvec" setMarkerDirLocal (direction MEDVEC)};};
	sleep 0.11;
};

X_XMarkerPlayers = {
	private ["_i"];
	for "_i" from 0 to ((count d_player_entities) - 1) do {
		call compile format ["
			_ap = %1;
			_as = ""%1"";
			if (alive _ap && isPlayer _ap) then {
				_as setMarkerPosLocal position _ap;
				if (d_show_player_marker_names) then {
					_as setMarkerTextLocal name _ap;
				};
				if (d_p_marker_dirs) then {
					if (vehicle _ap == _ap) then {
						_as setMarkerDirLocal (direction _ap);
					} else {
						_as setMarkerDirLocal (direction (vehicle _ap));
					};
				};
			} else {
				_as setMarkerPosLocal [0,0];
				_as setMarkerTextLocal """";
			};
		", d_player_entities select _i];
		sleep 0.0123;
	};
};

if (!d_dont_show_player_markers_at_all) then {
	_tmp_grpsm = [];
	_mindex = 0;
	_colarray = ["ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen"];
	for "_i" from 0 to ((count d_player_entities) - 1) do {
		call compile format ["
			_grpm = group %1;
			if (!(_grpm in _tmp_grpsm)) then {_tmp_grpsm = _tmp_grpsm + [_grpm];};
			_mindex = _tmp_grpsm find _grpm;			
			[""%1"", [0,0],""ICON"",(_colarray select _mindex),[0.4,0.4],"""",0,d_p_marker] call XfCreateMarkerLocal;
		", d_player_entities select _i];
		sleep 0.01;
	};

	_tmp_grpsm = nil;
	_colarray = nil;
	_mindex = nil;
};
#endif

#ifdef __TT__
_mrname = "mobilerespawn";
_medname = "medvec";
_trname = "truck";
_cservicename = "chopper_service";
_wrepname = "wreck_service";
_telename = "teleporter";
_jetservicename = "aircraft_service";
_bonusairname = "bonus_air";
_bonusvecname = "bonus_vehicles";
_ammoload = "Ammobox Reload";
if (playerSide == west) then {
	_mrname = "mobilerespawnR";
	_medname = "medvecR";
	_trname = "truckR";
	_cservicename = "chopper_serviceR";
	_wrepname = "wreck_serviceR";
	_telename = "teleporterR";
	_jetservicename = "aircraft_serviceR";
	_bonusairname = "bonus_airR";
	_bonusvecname = "bonus_vehiclesR";
	_ammoload = "Ammobox ReloadR";
	{
		deleteMarkerLocal (_x select 2);
	} forEach d_choppers_racs;
} else {
	{
			deleteMarkerLocal (_x select 2);
	} forEach d_choppers_west;
};
for "_i" from 1 to 2 do {
	_mname = _mrname + format ["%1",_i];
	deleteMarkerLocal _mname;
};
deleteMarkerLocal _medname;
for "_i" from 1 to 5 do {
	_mname = _trname + format ["%1",_i];
	deleteMarkerLocal _mname;
};
deleteMarkerLocal _cservicename;
deleteMarkerLocal _wrepname;
deleteMarkerLocal _telename;
deleteMarkerLocal _jetservicename;
deleteMarkerLocal _bonusairname;
deleteMarkerLocal _bonusvecname;
deleteMarkerLocal _ammoload;

_cname = nil;
_mrname = nil;
_medname = nil;
_trname = nil;
_cservicename = nil;
_wrepname = nil;
_telename = nil;
_jetservicename = nil;
_bonusairname = nil;
_bonusvecname = nil;

X_XMarkerVehicles = {
	private ["_i"];
	if (playerSide == west) then {
		for "_i" from 1 to 2 do {
			call compile format ["if (!(isNil ""MRR%1"") && !(isNull MRR%1)) then {if (d_v_marker_dirs) then {""mobilerespawn%1"" setMarkerDirLocal (direction MRR%1)};""mobilerespawn%1"" setMarkerPosLocal (position MRR%1);};",_i];
			sleep 0.11;
		};
		{
			call compile format["if (!(isNil ""%1"") && !(isNull %1)) then {""%2"" setMarkerPosLocal (position %1);if (d_v_marker_dirs) then {""%2"" setMarkerDirLocal (direction %1)};};",(_x select 0), (_x select 2)];
			sleep 0.11;
		} forEach d_choppers_west;
		for "_i" from 1 to 5 do {
			call compile format["if (!(isNil ""TR%1"") && !(isNull TR%1)) then {""truck%1"" setMarkerPosLocal (position TR%1);if (d_v_marker_dirs) then {""truck%1"" setMarkerDirLocal (direction TR%1)};};",_i];
			sleep 0.11;
		};
		if (!(isNil "MEDVEC") && !(isNull MEDVEC)) then {"medvec" setMarkerPosLocal (position MEDVEC);if (d_v_marker_dirs) then {"medvec" setMarkerDirLocal (direction MEDVEC)};};
	} else {
		for "_i" from 1 to 2 do {
			call compile format ["if (!(isNil ""MRRR%1"") && !(isNull MRRR%1)) then {if (d_v_marker_dirs) then {""mobilerespawnR%1"" setMarkerDirLocal (direction MRRR%1)};""mobilerespawnR%1"" setMarkerPosLocal (position MRRR%1);};",_i];
			sleep 0.11;
		};
		{
			call compile format["if (!(isNil ""%1"") && !(isNull %1)) then {""%2"" setMarkerPosLocal (position %1);if (d_v_marker_dirs) then {""%2"" setMarkerDirLocal (direction %1)};};",(_x select 0), (_x select 2)];
			sleep 0.11;
		} forEach d_choppers_racs;
		for "_i" from 1 to 5 do {
			call compile format["if (!(isNil ""TRR%1"") && !(isNull TRR%1)) then {""truckR%1"" setMarkerPosLocal (position TRR%1);if (d_v_marker_dirs) then {""truckR%1"" setMarkerDirLocal (direction TRR%1)};};",_i];
			sleep 0.11;
		};
		if (!(isNil "MEDVECR") && !(isNull MEDVECR)) then {"medvecR" setMarkerPosLocal (position MEDVECR);if (d_v_marker_dirs) then {"medvecR" setMarkerDirLocal (direction MEDVECR)};};
	};
	sleep 0.11;
};

d_entities_tt = (
	if (playerSide == west) then {
		["RESCUE","west_1","west_2","west_3","west_4","west_5","west_6","west_7","west_8","west_9","west_10","west_11","west_12","west_13","west_14"]
	} else {
		["RESCUE2","racs_1","racs_2","racs_3","racs_4","racs_5","racs_6","racs_7","racs_8","racs_9","racs_10","racs_11","racs_12","racs_13","racs_14"]
	}
);

X_XMarkerPlayers = {
	private ["_i"];
	for "_i" from 0 to ((count d_entities_tt) - 1) do {
		call compile format ["
			_ap = %1;
			_as = ""%1"";
			if (alive _ap && isPlayer _ap) then {
				_as setMarkerPosLocal position _ap;
				if (d_show_player_marker_names) then {
					_as setMarkerTextLocal name _ap;
				};
				if (d_p_marker_dirs) then {
					if (vehicle _ap == _ap) then {
						_as setMarkerDirLocal (direction _ap);
					} else {
						_as setMarkerDirLocal (direction (vehicle _ap));
					};
				};
			} else {
				_as setMarkerPosLocal [0,0];
				_as setMarkerTextLocal """";
			};
		", d_entities_tt select _i];
		sleep 0.0123;
	};
};

if (!d_dont_show_player_markers_at_all) then {
	_tmp_grpsm = [];
	_mindex = 0;
	_colarray = ["ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen","ColorBlack","ColorYellow","ColorRed","ColorRedAlpha","ColorGreenAlpha","ColorBlue","ColorGreen"];
	for "_i" from 0 to ((count d_entities_tt) - 1) do {
		call compile format ["
			_grpm = group %1;
			if (!(_grpm in _tmp_grpsm)) then {_tmp_grpsm = _tmp_grpsm + [_grpm];};
			_mindex = _tmp_grpsm find _grpm;			
			[""%1"", [0,0],""ICON"",(_colarray select _mindex),[0.4,0.4],"""",0,d_p_marker] call XfCreateMarkerLocal;
		", d_entities_tt select _i];
		sleep 0.01;
	};

	_tmp_grpsm = nil;
	_colarray = nil;
	_mindex = nil;
};
#endif

sleep 0.01;

[] spawn {
	while {true} do {
		[] spawn X_XMarkerVehicles;
		sleep 0.01;
		if (d_show_player_marker) then {
			[]spawn X_XMarkerPlayers;
			sleep 0.01;
		};
		if (d_weather) then {[] spawn XWeatherLoop;};
			
		sleep 2.12;
	};
};

if (true) exitWith {};
