// by Xeno
private ["_bonus_pos","_bonus_string","_bonus_vehicle","_s"];

if (!X_Client) exitWith {};

#include "x_setup.sqf"

sleep 1;

call compile format ["deleteMarkerLocal ""XMISSIONM%1"";",current_mission_index + 1];
if (x_sm_type == "convoy") then {
	call compile format ["deleteMarkerLocal ""XMISSIONM2%1"";",current_mission_index + 1];
};

current_mission_text="No new side mission available...";

if (side_mission_winner != 0 && bonus_number != -1) then {
	#ifdef __RANKED__
	if (isNil "d_sm_p_pos") then {
		_posi_array = x_sm_pos;
		_posione = _posi_array select 0;
		if (player distance _posione < (d_ranked_a select 12)) then {
			(format ["You get %1 extra points for helping solving the sidemission!",(d_ranked_a select 11)]) call XfHQChat;
			player addScore (d_ranked_a select 11);
		};
	} else {
		if (player distance d_sm_p_pos < (d_ranked_a select 12)) then {
			(format ["You get %1 extra points for helping solving the sidemission!",(d_ranked_a select 11)]) call XfHQChat;
			player addScore (d_ranked_a select 11);
		};
	};
	d_sm_p_pos = nil;
	#endif

	_bonus_vehicle = "";
	_bonus_pos = "your base.";
	_type_name = sm_bonus_vehicle_array select bonus_number;

	_bonus_vehicle = [_type_name,0] call XfGetDisplayName;

#ifndef __TT__	
	_bonus_string = format["Your team gets a %1, it's available at %2", _bonus_vehicle, _bonus_pos];
#endif
#ifdef __TT__
	_team = (
		switch (side_mission_winner) do {
			case 1: {"Team Racs gets"};
			case 2: {"Team West gets"};
			case 123: {"Both teams get"};
		}
	);
	_bonus_string = format["%1 a %2, it's available at %3", _team, _bonus_vehicle, _bonus_pos];
#endif

	hint  composeText[
		parseText("<t color='#f0ffff00' size='1'>" + "Sidemission resolved" + "</t>"), lineBreak,lineBreak,
		"Congratulations...", lineBreak,lineBreak,
		current_mission_resolved_text, lineBreak, lineBreak,
		_bonus_string
	];
	(format ["Sidemission resolved. %1", _bonus_string]) call XfHQChat;
} else {
	_s = (
		switch (side_mission_winner) do {
			case -1: {"The sidemission target died due to a tragic accident..."};
			case -2: {"The enemy decided to destroy the sidemission target by itself..."};
			case -300 : {"The convoy reached its destination..."};
			case -400 : {"None or less than 8 prisoners made it back to base..."};
			case -500 : {"The enemy officer was killed..."};
			case -600 : {"The prototype was destroyed before it reached your base..."};
			default {""};
		}
	);
	if (_s != "") then {
		hint  composeText[
			parseText("<t color='#f0ff00ff' size='1'>" + "Sidemission not resolved" + "</t>"), lineBreak,lineBreak,
			_s
		];
		("Sidemission not resolved.") call XfHQChat;
	};
};

sleep 1;
side_mission_winner = 0;
bonus_number = -1;

if (true) exitWith {};
