// by Xeno
private ["_vec_array", "_vehicle", "_number_v", "_kind", "_truck_ammo", "_truck_fuel", "_truck_rep", "_i", "_vec_a", "_disabled", "_type", "_empty", "_hasbox"];
if (!isServer) exitWith{};

#include "x_setup.sqf"

_vec_array = [];
{
	_vehicle = _x select 0;
	_number_v = _x select 1;
	_kind = _x select 2;
	_vec_array = _vec_array + [[_vehicle,_number_v,_kind,position _vehicle,direction _vehicle,typeOf _vehicle]];

	switch (_kind) do {
		case "MR": {
			call compile format ["MRR%1=_vehicle;publicVariable ""MRR%1"";", _number_v];
	#ifdef __TT__
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
	#endif
		};
	#ifdef __TT__
		case "MRR": {
			call compile format ["MRRR%1=_vehicle;publicVariable ""MRRR%1"";", _number_v];
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	#endif
		case "TR": {
			call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
			removeAllWeapons _vehicle;
	#ifdef __TT__
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
	#endif
		};
	#ifdef __TT__
		case "TRR": {
			call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
			removeAllWeapons _vehicle;
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	#endif
		case "TTR": {
			call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
			removeAllWeapons _vehicle;
	#ifdef __TT__
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
	#endif
		};
	#ifdef __TT__
		case "TTRR": {
			call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
			removeAllWeapons _vehicle;
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	#endif
		case "TRA": {
			call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
			removeAllWeapons _vehicle;
	#ifdef __TT__
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
	#endif
		};
	#ifdef __TT__
		case "TRAR": {
			call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
			removeAllWeapons _vehicle;
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	#endif
		case "MV": {
			MEDVEC = _vehicle; publicVariable "MEDVEC";
	#ifdef __TT__
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
	#endif
		};
	#ifdef __TT__
		case "MVR": {
			MEDVECR = _vehicle; publicVariable "MEDVECR";
			_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	#endif
	};
} forEach _this;
_this = nil;

_truck_ammo = "UralReammo";
_truck_fuel = "UralRefuel";
_truck_rep = "UralRepair";
if (d_enemy_side == "EAST") then {
	_truck_ammo = "Truck5tReammo";
	_truck_fuel = "Truck5tRefuel";
	_truck_rep = "Truck5tRefuel";
};

sleep 65;

while {true} do {
	sleep 8 + random 5;
	for "_i" from 0 to (count _vec_array - 1) do {
		_vec_a = _vec_array select _i;
		_vehicle = _vec_a select 0;
		_kind = _vec_a select 2;
		
		_disabled = false;
		if (damage _vehicle > 0.9) then {
			_disabled = true;
		} else {
			if (_kind == "TR") then {
				switch (_type) do {
					case _truck_ammo: {
						_vehicle setAmmoCargo 1;
					};
					case _truck_fuel: {
						_vehicle setFuelCargo 1;
					};
					case _truck_rep: {
						_vehicle setRepairCargo 1;
					};
				};
			};
		};
		
		sleep 0.01;
		_empty = (if (({alive _x} count (crew _vehicle)) > 0) then {false} else {true});
		
		if ((_disabled && _empty) || (_empty && !(alive _vehicle))) then {
			_hasbox = _vehicle getVariable "d_ammobox";
			if (format["%1",_hasbox] == "<null>") then {
				_hasbox = false;
			};
			if (_hasbox) then {
				ammo_boxes = ammo_boxes - 1;
				["ammo_boxes",ammo_boxes] call XSendNetVarClient;
			};
			sleep 0.1;
			deletevehicle _vehicle;
			sleep 0.5;
			_vehicle = objNull;
			_vehicle = (_vec_a select 5) createvehicle (_vec_a select 3);
			_vehicle setpos (_vec_a select 3);
			_vehicle setdir (_vec_a select 4);
			
			_vec_a set [0, _vehicle];
			
			_number_v = _vec_a select 1;
			
			switch (_kind) do {
				case "MR": {
					call compile format ["MRR%1=_vehicle;publicVariable ""MRR%1"";", _number_v];
				#ifdef __TT__
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
				#endif
				};
			#ifdef __TT__
				case "MRR": {
					call compile format ["MRRR%1=_vehicle;publicVariable ""MRRR%1"";", _number_v];
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
				};
			#endif
				case "TR": {
					call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
					removeAllWeapons _vehicle;
				#ifdef __TT__
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
				#endif
				};
			#ifdef __TT__
				case "TRR": {
					call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
					removeAllWeapons _vehicle;
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
				};
			#endif
				case "TTR": {
					call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
					removeAllWeapons _vehicle;
				#ifdef __TT__
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
				#endif
				};
			#ifdef __TT__
				case "TTRR": {
					call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
					removeAllWeapons _vehicle;
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
				};
			#endif
				case "TRA": {
					call compile format ["TR%1=_vehicle;publicVariable ""TR%1"";", _number_v];
					removeAllWeapons _vehicle;
				#ifdef __TT__
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
				#endif
				};
			#ifdef __TT__
				case "TRAR": {
					call compile format ["TRR%1=_vehicle;publicVariable ""TRR%1"";", _number_v];
					removeAllWeapons _vehicle;
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
				};
			#endif
				case "MV": {
					MEDVEC = _vehicle; publicVariable "MEDVEC";
				#ifdef __TT__
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
				#endif
				};
			#ifdef __TT__
				case "MVR": {
					MEDVECR = _vehicle; publicVariable "MEDVECR";
					_vehicle addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
				};
			#endif
			};
		};
		sleep 8 + random 5;
	};
};