// by Xeno
private ["_caller","_ok","_vehicle"];

#include "x_setup.sqf"

_caller = _this select 1;

if (vehicle _caller != _caller) exitWith {
	"Teleport not available in a vehicle !!!" call XfGlobalChat;
};

if (!isNull (flag _caller)) exitWith {
	"You are carrying the flag. Teleport is not possible !!!" call XfGlobalChat;
};

_is_swimmer = (if ((animationState player) in ["aswmpercmstpsnonwnondnon","aswmpercmstpsnonwnondnon_aswmpercmrunsnonwnondf","aswmpercmrunsnonwnondf_aswmpercmstpsnonwnondnon","aswmpercmrunsnonwnondf","aswmpercmsprsnonwnondf","aswmpercmwlksnonwnondf"]) then {true} else {false});
if (_is_swimmer) exitWith {
	"Teleporting not possible while swimming !!!" call XfGlobalChat;
};

if (dialog) then {closeDialog 0};

beam_target = -1;
tele_dialog = 1; // 0 = respawn, 1 = teleport

_ok = createDialog "TeleportModule";

_display = findDisplay 100001;
_ctrl = _display displayCtrl 100102;
_ctrl ctrlSetText "Teleport";
_ctrl = _display displayCtrl 100111;
_ctrl ctrlSetText "Select Teleport Destination";
_ctrl = _display displayCtrl 100107;
_ctrl ctrlShow false;

x_loop_end = false;

[d_last_telepoint] execVM "dlg\update_target.sqf";

[] spawn {
	while {!x_loop_end && alive player && dialog} do {
		if (!x_loop_end && alive player) then {execVM "dlg\update_dlg.sqf";};
		sleep 1.012;
	};
	if (!alive player) then {closeDialog 100001;};
};

if (true) exitWith {};
