#include "x_setup.sqf"

private ["_target","_display","_textctrl","_text","_end_pos"];

_target = _this select 0;

_display = findDisplay 100001;
_textctrl = _display displayCtrl 100110;

if (x_loop_end) exitWith {};

_text = "";
_end_pos = position player;
#ifndef __TT__
switch (_target) do {
	case 0: {
		if (tele_dialog == 0) then {
			_text = "Respawn at Base";
			beam_target = 0;
			_end_pos = position FLAG_BASE;
		} else {
			_text = "Teleport to Mobile Respawn One";
			beam_target = 1;
			_end_pos = position MRR1;
		};
	};
	case 1: {
		_text = (
			if (tele_dialog == 0) then {
				"Respawn at Mobile Respawn One"
			} else {
				"Teleport to Mobile Respawn One"
			}
		);
		beam_target = 1;
		_end_pos = position MRR1;
	};
	case 2: {
		_text = (
			if (tele_dialog == 0) then {
				"Respawn at Mobile Respawn Two"
			} else {
				"Teleport to Mobile Respawn Two"
			}
		);
		beam_target = 2;
		_end_pos = position MRR2;
	};
};
#endif
#ifdef __TT__
switch (_target) do {
	case 0: {
		if (tele_dialog == 0) then {
			_text = "Respawn at Base";
			beam_target = 0;
			_end_pos = (
				if (playerSide == west) then {
					position WFLAG_BASE
				} else {
					position RFLAG_BASE
				}
			);
		} else {
			_text = "Teleport to Mobile Respawn One";
			beam_target = 1;
			_end_pos = (
				if (playerSide == west) then {
					position MRR1
				} else {
					position MRRR1
				}
			);
		};
	};
	case 1: {
		_text = (
			if (tele_dialog == 0) then {
				"Respawn at Mobile Respawn One"
			} else {
				"Teleport to Mobile Respawn One"
			}
		);
		beam_target = 1;
		_end_pos = (
			if (playerSide == west) then {
				position MRR1
			} else {
				position MRRR1
			}
		);
	};
	case 2: {
		_text = (
			if (tele_dialog == 0) then {
				"Respawn at Mobile Respawn Two"
			} else {
				"Teleport to Mobile Respawn Two"
			}
		);
		beam_target = 2;
		_end_pos = (
			if (playerSide == west) then {
				position MRR2
			} else {
				position MRRR2
			}
		);
	};
};
#endif

_textctrl ctrlSetText _text;

_ctrlmap = _display displayCtrl 100104;
ctrlMapAnimClear _ctrlmap;

_start_pos = position player;
_ctrlmap ctrlmapanimadd [0.0, 1.00, _start_pos];
_ctrlmap ctrlmapanimadd [1.2, 1.00, _end_pos];
_ctrlmap ctrlmapanimadd [0.5, 0.30, _end_pos];
ctrlmapanimcommit _ctrlmap;

if (true) exitWith {};
