// by Xeno
private ["_vehicle"];
#include "x_setup.sqf"
#include "x_macros.sqf"

#define __Poss _poss = x_sm_pos select 0;
#define __PossAndOther _poss = x_sm_pos select 0;_pos_other = x_sm_pos select 1;

x_sm_pos = [[15318.3,9870.91,0], [15368.8,9875.38,0]]; // index: 17,   Officer in Valor
x_sm_type = "normal"; // "convoy"

#ifdef __SMMISSIONS_MARKER__
if (true) exitWith {};
#endif

if (X_Client) then {
	current_mission_text = "A high enemy officer arrives today in Valor. He is responsible for the production of biological and chemical weapons. Eliminate him !";
	current_mission_resolved_text = "The enemy officer is dead. Good job.";
};

if (isServer) then {
	_officer = (if (d_enemy_side == "EAST") then {"OfficerE"} else {"OfficerW"});
	__PossAndOther
	["shilka", 1, "bmp", 1, "tank", 1, _pos_other,1,110,true] spawn XCreateArmor;
	sleep 2.123;
	["specops", 2, "basic", 1, _poss,70,true] spawn XCreateInf;
	sleep 2.111;
	_fortress = "Fortress2" createVehicle _poss;
	//_fortress setDir -133.325;
	__AddToExtraVec(_fortress)
	sleep 2.123;
	__WaitForGroup
	__GetEGrp(_newgroup)
	_sm_vehicle = _newgroup createUnit [_officer, _poss, [], 0, "FORM"];
	[_sm_vehicle] join _newgroup;
	#ifndef __TT__
	_sm_vehicle addEventHandler ["killed", {_this call XKilledSMTargetNormal}];
	#endif
	#ifdef __TT__
	_sm_vehicle addEventHandler ["killed", {_this call XKilledSMTargetTT}];
	#endif
	sleep 2.123;
	_bpos = _fortress buildingPos 1;
	_sm_vehicle setPos _bpos;
	_leader = leader _newgroup;
	_leader setRank "COLONEL";
	_newgroup allowFleeing 0;
	_newgroup setbehaviour "AWARE";
};

if (true) exitWith {};