// by Xeno
private ["_type", "_number", "_pos", "_wp_behave", "_crew_member", "_addToClean", "_heli_type", "_vehicle", "_initial_type", "_grp", "_vehicles", "_funits", "_unit", "_num_p", "_re_random", "_randxx", "_grpskill", "_xxx", "_needs_gunner", "_unit2", "_leader", "_old_target", "_loop_do", "_dummy", "_current_target_pos", "_wp", "_pat_pos", "_radius", "_old_pat_pos", "_angle", "_x1", "_y1", "_vehicles_number", "_i", "_vecx"];

if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_type = _this select 0;
_number = _this select 1;

_pos = d_airki_start_positions select 0;

_wp_behave = "AWARE";

_crew_member = (
	switch (d_enemy_side) do {
		case "EAST": {d_pilot_E};
		case "WEST": {d_pilot_W};
	}
);

_addToClean = {
	private ["_heli_type","_vehicle"];
	_heli_type = _this select 0; _vehicle = _this select 1;
	if (!(_heli_type in x_heli_wreck_lift_types)) then {
		__addRemoveVehi(_vehicle)
		if (!d_lock_ai_air) then {[_vehicle] call XAddCheckDead;};
	};
	#ifdef __TT__
	_vehicle addEventHandler ["killed", {[8,_this select 1] call XAddKills;}];
	#endif
	if (d_lock_ai_air) then {_vehicle lock true;};
};

_initial_type = _type;

while {true} do {
	if (!mt_radio_down) then {
		while {!mt_spotted} do {sleep 23.32};
	} else {
		while {mt_radio_down} do {sleep 21.123};
		if (!mt_spotted) then {
			while {!mt_spotted} do {sleep 23.32};
		};
	};
	_grp = objNull;
	_vehicle = objNull;
	_vehicles = nil;
	_vehicles = [];
	_funits = nil;
	_funits = [];
	_unit = objNull;
	_num_p = call XPlayersNumber;
	_re_random = (
		if (_num_p < 5) then {
			1500
		} else {
			if (_num_p < 10) then {
				1000
			} else {
				if (_num_p < 20) then {
					500
				} else {
					250
				}
			}
		}
	);
	if (_num_p < 5) then {
		sleep 800;
	} else {
		if (_num_p < 10) then {
			sleep 400;
		} else {
			if (_num_p < 20) then {
				sleep 200;
			}
		}
	};
	_randxx = floor (random count (d_airki_start_positions));
	_pos = d_airki_start_positions select _randxx;
	
	_grpskill = 0.6 + (random 0.3);
	
	if (_initial_type == "SU") then {_type = (if ((random 100) > 20) then {"MIMG"} else {"SU"});};
	
	__WaitForGroup
	__GetEGrp(_grp)
	switch (_type) do {
		case "KA": {
			for "_xxx" from 1 to d_number_attack_choppers do {
				_heli_type = d_airki_attack_chopper select ((count d_airki_attack_chopper) call XfRandomFloor);
				_vehicle = createVehicle [_heli_type, _pos, [], 100, "FLY"];
				_vehicles = _vehicles + [_vehicle];
				_unit = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
				_funits = _funits + [_unit];
				[_unit] join _grp;_unit setSkill _grpskill;_unit assignAsDriver _vehicle;_unit moveInDriver _vehicle;
				__addDead(_unit)
				#ifdef __TT__
				_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
				#endif
				sleep 0.01;
				_needs_gunner = _vehicle emptyPositions "Gunner";
				if (_needs_gunner > 0) then {
					_unit2 = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
					_funits = _funits + [_unit2];
					[_unit2] join _grp;_unit2 setSkill _grpskill;_unit2 assignAsGunner _vehicle;_unit2 moveInGunner _vehicle;
					__addDead(_unit2)
					#ifdef __TT__
					_unit2 addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
					#endif
				};
				[_heli_type, _vehicle] call _addToClean;
				_vehicle flyInHeight 100;
				sleep 0.01;
			};
		};
		case "SU": {
			for "_xxx" from 1 to d_number_attack_planes do {
				_heli_type = d_airki_attack_plane select ((count d_airki_attack_plane) call XfRandomFloor);
				_vehicle = createVehicle [_heli_type, _pos, [], 100, "FLY"];
				_vehicles = _vehicles + [_vehicle];
				_unit = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
				_funits = _funits + [_unit];
				[_unit] join _grp;_unit setSkill _grpskill;_unit assignAsDriver _vehicle;_unit moveInDriver _vehicle;
				__addDead(_unit)
				#ifdef __TT__
				_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
				#endif
				sleep 0.01;
				_needs_gunner = _vehicle emptyPositions "Gunner";
				if (_needs_gunner > 0) then {
					_unit2 = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
					_funits = _funits + [_unit2];
					[_unit2] join _grp;_unit2 setSkill _grpskill;_unit2 assignAsGunner _vehicle;_unit2 moveInGunner _vehicle;
					__addDead(_unit2)
					#ifdef __TT__
					_unit2 addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
					#endif
				};
				[_heli_type, _vehicle] call _addToClean;
				sleep 0.01;
			};
		};
		case "MIMG": {
			for "_xxx" from 1 to d_number_attack_choppers do {
				_heli_type = d_light_attack_chopper select ((count d_light_attack_chopper) call XfRandomFloor);
				_vehicle = createVehicle [_heli_type, _pos, [], 100, "FLY"];
				_vehicles = _vehicles + [_vehicle];
				_unit = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
				_funits = _funits + [_unit];
				[_unit] join _grp;_unit setSkill _grpskill;_unit assignAsDriver _vehicle;_unit moveInDriver _vehicle;
				__addDead(_unit)
				#ifdef __TT__
				_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
				#endif
				sleep 0.01;
				_needs_gunner = _vehicle emptyPositions "Gunner";
				if (_needs_gunner > 0) then {
					_unit2 = _grp createUnit [_crew_member, _pos, [], 0, "FORM"];
					_funits = _funits + [_unit2];
					[_unit2] join _grp;_unit2 setSkill _grpskill;_unit2 assignAsGunner _vehicle;_unit2 moveInGunner _vehicle;
					__addDead(_unit2)
					#ifdef __TT__
					_unit2 addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
					#endif
				};
				[_heli_type, _vehicle] call _addToClean;
				_vehicle flyInHeight 100;
				sleep 0.01;
			};
		};
	};
	
	sleep 1.011;
	
	_leader = leader _grp;
	_leader setRank "LIEUTENANT";
	_grp allowFleeing 0;
	
	_old_target = [0,0,0];
	_loop_do = true;
	_dummy = target_names select current_target_index;
	_current_target_pos = _dummy select 0;
	if ((_vehicles select 0) distance _current_target_pos > (_vehicles select 0) distance d_island_center) then {
		_wp = _grp addWayPoint [d_island_center, 0];
	};
	_wp = _grp addWayPoint [_current_target_pos, 0];
	_wp setWaypointType "SAD";
	_pat_pos = _current_target_pos;
	[_grp, 1] setWaypointStatements ["never", ""];
	while {_loop_do} do {
		_dummy = target_names select current_target_index;
		_current_target_pos = _dummy select 0;
		_radius = _dummy select 2;
		
		sleep 0.5754;

		switch (_type) do {
			case "KA": {_radius = _radius * 5};
			case "MIMG": {_radius = _radius * 5};
			case "SU": {_radius = _radius * 10};
		};

		if (_type == "KA" || _type == "MIMG") then {
			_old_pat_pos = _pat_pos;
			_angle = floor (random 360);
			_x1 = (_current_target_pos select 0) - ((random _radius) * sin _angle);
			_y1 = (_current_target_pos select 1) - ((random _radius) * cos _angle);
			_pat_pos = [_x1, _y1,(_current_target_pos select 2)];
			while {_pat_pos distance _old_pat_pos < 100} do {
				_angle = floor (random 360);
				_x1 = (_current_target_pos select 0) - ((random _radius) * sin _angle);
				_y1 = (_current_target_pos select 1) - ((random _radius) * cos _angle);
				_pat_pos = [_x1, _y1,(_current_target_pos select 2)];
				sleep 0.01;
			};
			[_grp, 1] setWaypointPosition [_pat_pos, 0];
			_grp setSpeedMode "NORMAL";
			_grp setBehaviour _wp_behave;
			sleep 15.821;
		} else {
			_angle = floor (random 360);
			_x1 = (_current_target_pos select 0) - ((random _radius) * sin _angle);
			_y1 = (_current_target_pos select 1) - ((random _radius) * cos _angle);
			_pat_pos = [_x1, _y1,(_current_target_pos select 2)];
			[_grp, 1] setWaypointPosition [_pat_pos, 0];
			_grp setSpeedMode "LIMITED";
			_grp setBehaviour _wp_behave;
			sleep 120 + random 120;
		};
		
		if (count _vehicles > 0) then {
			_vehicles_number = count _vehicles;
			for "_i" from 0 to _vehicles_number do {
				_vecx = _vehicles select _i;
				if (isNull _vecx || !alive _vecx || !canMove _vecx) then {
					_vehicles set [_i, objNull];
				} else {
					_vehicle setFuel 1;
				};
				sleep 0.01;
			} forEach _vehicles;
			_vehicles = _vehicles - [objNull];
		};
		if (count _vehicles == 0) then {
			{
				if (!isNull _x) then {
					_x removeAllEventHandlers "killed";
					deleteVehicle _x;
				};
			} forEach _funits;
			_funits = nil;
			_vehicles = nil;
			_loop_do = false;
		};
	};
	
	sleep d_airki_respawntime + _re_random + random (_re_random);
};

if (true) exitWith {};

