// by Xeno
private ["_type","_startpoint","_attackpoint","_heliendpoint","_number_vehicles","_crew_member","_parachute_type","_make_jump","_stop_it","_current_target_pos","_dummy"];
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_startpoint = _this select 0;
_attackpoint = _this select 1;
_heliendpoint = _this select 2;
_number_vehicles = _this select 3;

d_should_be_there = _number_vehicles;

d_c_attacking_grps = [];

_crew_member = (
	switch (d_enemy_side) do {
		case "EAST": {d_pilot_E};
		case "WEST": {d_pilot_W};
	}
);

_make_jump = {
	private ["_vgrp","_vehicle","_heliendpoint","_attackpoint","_wp","_driver_vec","_stop_me"];
	_vgrp = _this select 0;
	_vehicle = _this select 1;
	_attackpoint = _this select 2;
	_heliendpoint = _this select 3;
	
	_driver_vec = driver _vehicle;
	
	if (_vehicle distance _attackpoint > _vehicle distance d_island_center) then {
		_wp = _vgrp addWaypoint [d_island_center, 0];
		_wp setWaypointBehaviour "CARELESS";
		_wp setWaypointSpeed "NORMAL";
		_wp setwaypointtype "MOVE";
		_wp setWaypointFormation "VEE";
	};
	
	_wp = _vgrp addWaypoint [_attackpoint, 0];
	_wp setWaypointBehaviour "CARELESS";
	_wp setWaypointSpeed "NORMAL";
	_wp setwaypointtype "MOVE";
	_wp setWaypointFormation "VEE";
	if (_heliendpoint distance _attackpoint > _heliendpoint distance d_island_center) then {
		_wp = _vgrp addWaypoint [d_island_center, 0];
	};
	_wp = _vgrp addWaypoint [_heliendpoint, 0];
	
	_vehicle flyInHeight 100;
	
	sleep 10.0231;
	
	_stop_me = false;
	while {_attackpoint distance (leader _vgrp) > 200} do {
		if (isNull _vehicle || !alive _vehicle || !alive _driver_vec || !canMove _vehicle) exitWith {d_should_be_there = d_should_be_there - 1};
		sleep 0.01;
		if (mt_radio_down && (_attackpoint distance (leader _vgrp) > 1300)) exitWith {
			{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			_stop_me = true;
		};
		sleep 2.023;
	};
	if (_stop_me) exitWith {};
	
	sleep 0.534;
	
	_parachute_type = (
		switch (d_enemy_side) do {
			case "EAST": {"ParachuteEast"};
			case "WEST": {"ParachuteWest"};
		}
	);
	
	if (!isNull _vehicle && alive _vehicle && alive _driver_vec && canMove _vehicle) then {
		_dummy = target_names select current_target_index;
		_current_target_pos = _dummy select 0;
		if (!mt_radio_down && (_vehicle distance _current_target_pos < 500)) then {
			__WaitForGroup
			__GetEGrp(_paragrp)
			_unit_array = ["heli", d_enemy_side] call x_getunitliste;
			_real_units = _unit_array select 0;
			_unit_array = nil;
			sleep 0.1;
			for "_i" from 0 to (count _real_units - 1) do {
				_type = _real_units select _i;
				_one_unit = _paragrp createunit [_type, [0,0,0], [], 300,"NONE"];
				[_one_unit] join _paragrp;
				_one_unit addEventHandler ["killed", {[_this select 0] call XAddDead;if (d_smoke) then {[_this select 0, _this select 1] execVM  "x_scripts\x_dosmoke.sqf";};}];
				#ifdef __TT__
				_one_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
				#endif
				_one_unit setSkill ((d_skill_array select 0) + (random (d_skill_array select 1)));
				
				_para = createVehicle [_parachute_type, position _vehicle, [], 20, 'NONE'];
				_para setpos [(position _vehicle) select 0,(position _vehicle) select 1,((position _vehicle) select 2)- 10];
				_para setDir random 360;
				_one_unit moveInDriver _para;
				sleep 0.551;
			};
			_leader = leader _paragrp;
			_leader setRank "LIEUTENANT";
			_paragrp allowFleeing 0;
			_paragrp setCombatMode "YELLOW";
			_paragrp setBehaviour "AWARE";
			d_c_attacking_grps = d_c_attacking_grps + [_paragrp];
			
			sleep 0.113;
			_xwp=_paragrp addWaypoint[_current_target_pos, 150];
			_xwp setWaypointBehaviour "AWARE";
			_xwp setWaypointSpeed "NORMAL";
			_xwp setwaypointtype "SAD";
			_xwp setWaypointFormation "WEDGE";
			sleep 0.112;
			d_should_be_there = d_should_be_there - 1;
			
			while {(_heliendpoint distance (leader _vgrp) > 300)} do {
				if (isNull _vehicle || !alive _vehicle || !alive _driver_vec || !canMove _vehicle) exitWith {};
				sleep 5.123;
			};
			
			{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			if (!isNull _driver_vec) then {_driver_vec setDamage 1.1};
		};
	} else {
		[_driver_vec, _vehicle] spawn {
			private ["_driver_vec","_vehicle"];
			_driver_vec = _this select 0;
			_vehicle = _this select 1;
			sleep 240 + random 100;
			if (!isNull _driver_vec) then {
				_driver_vec setDamage 1.1;
			};
			if (!isNull _vehicle) then {
				{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			};
		};
	};
};

_dummy = target_names select current_target_index;
_current_target_pos = _dummy select 0;
_stop_it = false;

for "_i" from 1 to _number_vehicles do {
	if (mt_radio_down) exitWith {};
	_dummy = target_names select current_target_index;
	_new_current_target_pos = _dummy select 0;
	if (_new_current_target_pos distance _current_target_pos > 500) exitWith {_stop_it = true;};
	__WaitForGroup
	__GetEGrp(_vgrp)
	_heli_type = d_transport_chopper select ((count d_transport_chopper) call XfRandomFloor);
	_vehicle = createVehicle [_heli_type, _startpoint, [], 150, "FLY"];
	_unit = _vgrp createUnit [_crew_member, _startpoint, [], 0, "NONE"];
	#ifdef __TT__
	_one_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];
	#endif
	[_unit] join _vgrp;_unit setSkill 1;_unit assignAsDriver _vehicle;_unit moveInDriver _vehicle;
	__addDead(_unit)
	if (!(_heli_type in x_heli_wreck_lift_types)) then {
		__addRemoveVehi(_vehicle)
		if (!d_lock_ai_air) then {
			[_vehicle] call XAddCheckDead;
		};
	};
	#ifdef __TT__
	_vehicle addEventHandler ["killed", {[8,_this select 1] call XAddKills;}];
	#endif
	if (d_lock_ai_air) then {
		_vehicle lock true;
	};
	sleep 5.012;
	
	_vehicle flyInHeight 100;

	if (mt_radio_down) exitWith {
		_stop_it = true;
		[_vehicle] spawn {
			private ["_vehicle"];
			_vehicle = _this select 0;
			sleep 240 + random 100;
			if (!isNull _vehicle) then {
				{_x removeAllEventHandlers "killed"; deleteVehicle _x} forEach ([_vehicle] + crew _vehicle);
			};
		};
	};
	
	[_vgrp,_vehicle,_attackpoint,_heliendpoint] spawn _make_jump;
	
	sleep 40 + random 30;
};

if (_stop_it) exitWith {};

while {d_should_be_there > 0 && !mt_radio_down} do {sleep 1.021;};

if (!mt_radio_down) then {
	sleep 20.0123;
	if (count d_c_attacking_grps > 0) then {
		[d_c_attacking_grps] execVM "x_scripts\x_handleattackgroups.sqf";
	} else {
		d_c_attacking_grps = [];
		create_new_paras = true;
	};
};

if (true) exitWith {};



