// by Xeno
private ["_man","_newgroup","_poss","_unit_array","_units","_vehicle","_wp_array","_truck","_the_officer"];
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_wp_array = _this select 0;

sleep 35.120;
_xx_ran = (count _wp_array) call XfRandomFloor;
_poss = _wp_array select _xx_ran;
_wp_array set [_xx_ran, objNull];
_wp_array = _wp_array - [objNull];

sec_kind = (floor (random 7)) + 1;

__TargetInfo

switch (sec_kind) do {
	case 1: {
		__WaitForGroup
		__GetEGrp(_newgroup)
		_the_officer = (if (d_enemy_side == "EAST") then {"OfficerE"} else {"OfficerW"});
		_man = _newgroup createUnit [_the_officer, _poss, [], 0, "FORM"];
		[_man] join _newgroup;
		_man setRank "COLONEL";
		_man setSkill 1.0;
		#ifndef __TT__
		_man addEventHandler ["killed", {[_this select 0] call XAddDead;side_main_done = true;_sec_solved = "sec_over";if (side (_this select 1) == d_side_player) then {_sec_solved = "gov_dead";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;}];
		#endif
		#ifdef __TT__
		_man addEventHandler ["killed", {[_this select 0] call XAddDead;side_main_done = true;_sec_solved = "sec_over";if (side (_this select 1) in [west,resistance]) then {_sec_solved = "gov_dead";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;}];
		_man addEventHandler ["killed", {[1,_this select 1] call XAddKills;[3,_this select 1] call XAddPoints;_mt_sm_over = (_this select 1);["mt_sm_over",_mt_sm_over] call XSendNetStartScriptClient;}];
		#endif
		sleep 1.0112;
		_unit_array = ["specops", d_enemy_side] call x_getunitliste;
		_units = [_poss, (_unit_array select 0), _newgroup,true] call x_makemgroup;
		_unit_array = nil;
		sleep 1.0112;
		_newgroup allowFleeing 0.2;
		[_newgroup] call XGuardWP;
	};
	case 2: {
		_poss = [_target_array2 select 0, _target_array2 select 2, 12] call XfGetRanPointCircle;
		_vehicle = "Land_vysilac_FM2" createvehicle (_poss);
		//_vehicle = "Land_Vysilac_FM" createvehicle (_poss);
		_vehicle setVectorUp [0,0,1];
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "radar_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) in [west,resistance]) then {_sec_solved = "radar_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
	case 3: {
		_truck = (if (d_enemy_side == "EAST") then {"UralReammo"} else {"Truck5tReammo"});
		_vehicle = _truck createvehicle (_poss);
		_vehicle setDir (floor random 360);
		_vehicle lock true;
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "ammo_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) in [west,resistance]) then {_sec_solved = "ammo_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
	case 4: {
		_truck = (if (d_enemy_side == "EAST") then {"BMP2Ambul"} else {"M113Ambul"});
		_vehicle = _truck createvehicle (_poss);
		_vehicle setDir (floor random 360);
		_vehicle lock true;
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "apc_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) in [west,resistance]) then {_sec_solved = "apc_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
	case 5: {
		_poss = [_target_array2 select 0, _target_array2 select 2, 12] call XfGetRanPointCircle;
		_truck = (if (d_enemy_side == "EAST") then {"BMP2_MHQ_unfolded"} else {"M113_MHQ_unfolded"});
		_vehicle = _truck createvehicle (_poss);
		_vehicle setDir (floor random 360);
		_vehicle lock true;
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "hq_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) in [west,resistance]) then {_sec_solved = "hq_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
	case 6: {
		_poss = [_target_array2 select 0, _target_array2 select 2, 12] call XfGetRanPointCircle;
		_truck = "WarfareBLightFactory";
		_vehicle = _truck createvehicle (_poss);
		_vehicle setDir (floor random 360);
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "light_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if ((side (_this select 1)) in [west,resistance]) then {_sec_solved = "light_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
	case 7: {
		_poss = [_target_array2 select 0, _target_array2 select 2, 12] call XfGetRanPointCircle;
		_truck = "WarfareBHeavyFactory";
		_vehicle = _truck createvehicle (_poss);
		_vehicle setDir (floor random 360);
		#ifndef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) == d_side_player) then {_sec_solved = "heavy_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		#endif
		#ifdef __TT__
		_vehicle addEventHandler ["killed", {_sec_solved = "sec_over";side_main_done = true;if (side (_this select 1) in [west,resistance]) then {_sec_solved = "heavy_down";};["sec_solved",_sec_solved] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
		_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddPoints;}];
		#endif
	};
};

["sec_kind",sec_kind] call XSendNetStartScriptClient;

sleep 11.0123;

_poss = _wp_array select ((count _wp_array) call XfRandomFloor);
_vehicle = "Land_telek1" createvehicle (_poss);
_vehicle setVectorUp [0,0,1];
[_vehicle] spawn XCheckMTHardTarget;
mt_radio_down = false;
mt_radio_pos = _poss;
["mt_radio",mt_radio_down,mt_radio_pos] call XSendNetStartScriptClient;

_wp_array = nil;

sleep 10.234;
_dummy = target_names select current_target_index;
_current_target_pos = _dummy select 0;
_current_target_radius = _dummy select 2;
_act2 = d_enemy_side + " D";
d_f_check_trigger2 = objNull;
d_f_check_trigger = createTrigger["EmptyDetector",_current_target_pos];
d_f_check_trigger setTriggerArea [_current_target_radius + 300, _current_target_radius + 300, 0, false];
d_f_check_trigger setTriggerActivation [d_own_side_trigger, _act2, false];
d_f_check_trigger setTriggerStatements["this", "xhandle = [] spawn {if (!create_new_paras) then {create_new_paras = true;[] execVM ""x_scripts\x_parahandler.sqf"";};mt_spotted = true;[""mt_spotted""] call XSendNetStartScriptClient;sleep 5;deleteVehicle d_f_check_trigger;if (!isNull d_f_check_trigger2) then {deleteVehicle d_f_check_trigger2}}", ""];

#ifdef __TT__
d_f_check_trigger2 = createTrigger["EmptyDetector",_current_target_pos];
d_f_check_trigger2 setTriggerArea [_current_target_radius + 300, _current_target_radius + 300, 0, false];
d_f_check_trigger2 setTriggerActivation ["GUER", _act2, false];
d_f_check_trigger2 setTriggerStatements["this", "xhandle = [] spawn {if (!create_new_paras) then {create_new_paras = true;[] execVM ""x_scripts\x_parahandler.sqf"";};mt_spotted = true;[""mt_spotted""] call XSendNetStartScriptClient;sleep 5;deleteVehicle d_f_check_trigger2;if (!isNull d_f_check_trigger) then {deleteVehicle d_f_check_trigger}}", ""];
#endif

sleep 10.213;
main_target_ready = true;

if (true) exitWith {};