#include "x_setup.sqf"
#include "x_macros.sqf"

XHandleNetVar = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XHandleNetVar",_this)
	__compile_to_var
};

XSendNetVarAll = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetVarAll",_this)
	d_net_var_all = _this;publicVariable "d_net_var_all";
};

"d_net_var_all" addPublicVariableEventHandler {
	(_this select 1) call XHandleNetVar;
};

///////////////////////////////////

XHandleNetStartScriptAll = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XHandleNetStartScriptAll",_this)
	switch (_this select 0) do {
		case "rep_array": {
			[(_this select 1) select 0] spawn x_repall;
		};
		case "d_del_ruin": {
			_ruin = nearestObject [(_this select 1), "Ruins"];
			if (!isNull _ruin) then {deleteVehicle _ruin};
		};
		case "d_ammo_load": {
			(_this select 1) setVariable ["d_ammobox", (_this select 2)];
			ammo_boxes = ammo_boxes + 1;
		};
		case "d_ammo_vec": {
			(_this select 1) setVariable ["d_ammobox", (_this select 2)];
			(_this select 1) setVariable ["d_ammobox_next", (_this select 3)];
		};
		case "d_say": {
			(_this select 1) say (_this select 2);
		};
	};
};

XSendNetStartScriptAll = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetStartScriptAll",_this)
	d_net_startscript_all = _this;publicVariable "d_net_startscript_all";
};
 
"d_net_startscript_all" addPublicVariableEventHandler {
	(_this select 1) spawn XHandleNetStartScriptAll;
};

///////////////////////////////////

XHandleNetStartScriptAllDiff = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XHandleNetStartScriptAllDiff",_this)
	switch (_this select 0) do {
		case "d_create_box": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		case "d_rem_box": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		case "mr1_in_air": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		case "mr2_in_air": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		#ifdef __TT__
		case "mrr1_in_air": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		case "mrr2_in_air": {if (isServer) then {_this spawn XHandleNetStartScriptServer} else {_this spawn XHandleNetStartScriptClient};};
		#endif
	};
};

XSendNetStartScriptAllDiff = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetStartScriptAllDiff",_this)
	d_net_startscript_alld = _this;publicVariable "d_net_startscript_alld";
};
 
 "d_net_startscript_alld" addPublicVariableEventHandler {
	(_this select 1) spawn XHandleNetStartScriptAllDiff;
};

///////////////////////////////////

XSendNetStartScriptServer = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetStartScriptServer",_this)
	d_net_startscript_server = _this;publicVariable "d_net_startscript_server";
};

XSendNetVarServer = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetVarServer",_this)
	d_net_var_server = _this;publicVariable "d_net_var_server";
};

///////////////////////////////////

XSendNetStartScriptClient = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetStartScriptClient",_this)
	d_net_startscript_client = _this;publicVariable "d_net_startscript_client";
};

XSendNetVarClient = {
	private ["_this"];
	__DEBUG_NET("x_netinit.sqf XSendNetVarClient",_this)
	d_net_var_client = _this;publicVariable "d_net_var_client";
};
 