#include "x_setup.sqf"
#include "x_macros.sqf"

"d_net_var_client" addPublicVariableEventHandler {
	(_this select 1) call XHandleNetVar;
};

XHandleNetStartScriptClient = {
	private ["_this"];
	__DEBUG_NET("x_netinitclient.sqf XHandleNetStartScriptClient",_this)
	switch (_this select 0) do {
		case "ari1msg": {
			#ifdef __TT__
			__isWest
			if (format ["%1",player] == (d_can_use_artillery select 0) || player distance (call compile format ["%1",(d_can_use_artillery select 0)]) <= 15) then {
			#endif
			#ifndef __TT__
			if (format ["%1",player] == (d_can_use_artillery select 0) || player distance (call compile format ["%1",(d_can_use_artillery select 0)]) <= 15) then {
			#endif
			(_this select 1) call XfHQChat;
			#ifndef __TT__
			};
			#endif
			#ifdef __TT__
			};
			};
			#endif
			if (count _this > 2) then {
				if (player distance AriTarget < 1000) then {AriTarget say "Ari";};
			};
		};
		case "ari2msg": {
			#ifdef __TT__
			__isRacs
			if (format ["%1",player] == (d_can_use_artillery select 1) || player distance (call compile format ["%1",(d_can_use_artillery select 1)]) <= 15) then {
			#endif
			#ifndef __TT__
			if (format ["%1",player] == (d_can_use_artillery select 1) || player distance (call compile format ["%1",(d_can_use_artillery select 1)]) <= 15) then {
			#endif
			(_this select 1) call XfHQChat;
			#ifndef __TT__
			};
			#endif
			#ifdef __TT__
			};
			};
			#endif
			if (count _this > 2) then {
				if (player distance AriTarget2 < 1000) then {AriTarget2 say "Ari";};
			};
		};
		case "ari_available": {
			__compile_to_var
			#ifndef __TT__
			if (ari_available) then {playSound "tune";"First artillery available" call XfHQChat;};
			if (!ari_available) then {"First artillery available again in a few minutes" call XfHQChat;};
			#endif
			#ifdef __TT__
			__isWest
				if (ari_available) then {playSound "tune";"Artillery available" call XfHQChat;};
				if (!ari_available) then {"Artillery available again in a few minutes" call XfHQChat;};
			};
			#endif
		};
		case "ari2_available": {
			__compile_to_var
			#ifndef __TT__
			if (ari2_available) then {playSound "tune";"Second artillery available" call XfHQChat;};
			if (!ari2_available) then {"Second artillery available again in a few minutes" call XfHQChat;};
			#endif
			#ifdef __TT__
			__isRacs
				if (ari2_available) then {playSound "tune";"Artillery available" call XfHQChat;};
				if (!ari2_available) then {"Artillery available again in a few minutes" call XfHQChat;};
			};
			#endif
		};
		case "d_create_box": {
			private ["_the_box", "_box", "_boxscript"];
			_the_box = (
				switch (d_own_side) do {
					case "RACS": {"WeaponBoxGuer"};
					case "EAST": {"WeaponBoxEast"};
					case "WEST": {"WeaponBoxWest"};
				}
			);
			_box = _the_box createVehicleLocal (_this select 1);
			_box setPos (_this select 1);
			#ifdef __RANKED__
			_boxscript = (
					if (__CSLAVer) then {
						"x_scripts\x_weaponcargor_csla.sqf"
				} else {
					if (__ACEVer) then {
						"x_scripts\x_weaponcargor_ace.sqf"
					} else {
						if (__P85Ver) then {
							"x_scripts\x_weaponcargor_p85.sqf"
						} else {
							"x_scripts\x_weaponcargor.sqf"
						}
					}
				}
			);
			#else
			_boxscript = (
				if (__CSLAVer) then {
					"x_scripts\x_weaponcargo_csla.sqf"
				} else {
					if (__ACEVer) then {
						"x_scripts\x_weaponcargo_ace.sqf"
					} else {
						if (__P85Ver) then {
							"x_scripts\x_weaponcargo_p85.sqf"
						} else {
							"x_scripts\x_weaponcargo.sqf"
						}
					}
				}
			);
			#endif
			[_box] execVM _boxscript;
			_box addEventHandler ["killed",{["d_rem_box",position _this select 0] call XSendNetStartScriptServer;deleteVehicle (_this select 0)}];
		};
		case "d_rem_box": {
			private ["_the_box", "_nobjs", "_box"];
			_the_box = (
				switch (d_own_side) do {
					case "RACS": {"WeaponBoxGuer"};
					case "EAST": {"WeaponBoxEast"};
					case "WEST": {"WeaponBoxWest"};
				}
			);
			_nobjs = nearestObjects [(_this select 1), [_the_box], 10];
			if (count _nobjs > 0) then {
				_box = _nobjs select 0;
				deleteVehicle _box;
			};
		};
		case "d_air_box": {
			private ["_the_box", "_box", "_boxscript"];
			_the_box = (
				switch (d_own_side) do {
					case "RACS": {"WeaponBoxGuer"};
					case "EAST": {"WeaponBoxEast"};
					case "WEST": {"WeaponBoxWest"};
				}
			);
			_box = _the_box createVehicleLocal (_this select 1);
			_box setPos (_this select 1);
			_boxscript = "x_scripts\x_weaponcargo.sqf";
			if (__CSLAVer) then {
				_boxscript = "x_scripts\x_weaponcargo_csla.sqf";
			} else {
				if (__ACEVer) then {
					_boxscript = "x_scripts\x_weaponcargo_ace.sqf";
				} else {
					if (__P85Ver) then {
						_boxscript = "x_scripts\x_weaponcargo_p85.sqf";
					};
				};
			};
			[_box] execVM _boxscript;
			_box addEventHandler ["killed",{deleteVehicle (_this select 0)}];
		};
		case "sm_res_client": {
			playSound "tune";
			side_mission_winner = (_this select 1);
			bonus_number = (_this select 2);
			execVM "x_scripts\x_sidemissionwinner.sqf";
		};
		case "an_countera": {
			[_this select 1] execVM "x_scripts\x_counterattackclient.sqf";
		};
		case "sec_kind": {
			__compile_to_var
			execVM "x_scripts\x_showsecondary.sqf";
		};
		case "sec_solved": {
			[_this select 1] execVM "x_scripts\x_secsolved.sqf";
		};
		case "target_clear": {
			playSound "fanfare";
			target_clear = (_this select 1);
			extra_bonus_number = (_this select 2);
			execVM "x_scripts\x_target_clear_client.sqf";
		};
		case "update_target": {
			playSound "tune";
			execVM "x_scripts\x_createnexttargetclient.sqf";
		};
		case "update_mission": {
			current_mission_index = _this select 1;
			[true] execVM "x_missions\x_getsidemissionclient.sqf";
		};
		case "all_sm_res": {
			__compile_to_var
			current_mission_text="All missions resolved!";
			hint current_mission_resolved_text;
		};
		#ifndef __TT__
		case "new_jump_flag": {
			if (!d_no_para_at_all) then {
				__compile_to_var
				execVM "x_scripts\x_newflagclient.sqf";
			};
		};
		#endif
		case "mt_radio_down": {
			__compile_to_var
			if (mt_radio_down && (mt_radio_pos select 0 != 0)) then {deleteMarkerLocal "main_target_radiotower";["Main target radio tower down. Now the enemy will not be able to call in further reinforcements.", "HQ"] call XHintChatMsg;};
		};
		case "mt_radio": {
			mt_radio_down = _this select 1;
			mt_radio_pos = _this select 2;
			if (mt_radio_pos select 0 != 0) then {
				["main_target_radiotower", mt_radio_pos,"ICON","ColorBlack",[0.5,0.5],"Radiotower",0,"DOT"] call XfCreateMarkerLocal;
				["Radio tower spotted at main target. Destroy it so that the enemy can not call in reinforcements.", "HQ"] call XHintChatMsg;
			};
		};
		case "update_observers": {
			__compile_to_var
			if (update_observers != -1) then {
				[format ["%1 artillery observers spotted at main target. Be carefull...",(_this select 1)], "HQ"] call XHintChatMsg;
			} else {
				hint "All enemy artillery observers down at current main target";
			};
		};
		case "o_arti": {
			(_this select 1) spawn Xoartimsg;
		};
		#ifndef __TT__
		case "d_jet_service_fac": {
			__compile_to_var
			if (!isNull (_this select 1)) then {
				"Your jet service support building was destroyed. You are not able to service aircraft as long as it is not rebuild !!!" call XfHQChat;
				_str_p = format ["%1", player];
				if (_str_p in d_is_engineer || __AIVer) then {
					[0] spawn XFacAction;
				};
			} else {
				"Jet service support building rebuild. Servicing planes is now possible again." call XfHQChat;
			};
		};
		case "d_chopper_service_fac": {
			__compile_to_var
			if (!isNull (_this select 1)) then {
				"Your chopper service support building was destroyed. You are not able to service choppers as long as it is not rebuild !!!" call XfHQChat;
				_str_p = format ["%1", player];
				if (_str_p in d_is_engineer || __AIVer) then {
					[1] spawn XFacAction;
				};
			} else {
				"Chopper service support building rebuild. Servicing choppers is now possible again." call XfHQChat;
			};
		};
		case "d_wreck_repair_fac": {
			__compile_to_var
			if (!isNull (_this select 1)) then {
				"Your wreck repair support building was destroyed. You are not able to repair wrecks as long as it is not rebuild !!!" call XfHQChat;
				_str_p = format ["%1", player];
				if (_str_p in d_is_engineer || __AIVer) then {
					[2] spawn XFacAction;
				};
			} else {
				"Wreck repair support building rebuild. Repairing wrecks is now possible again." call XfHQChat;
			};
		};
		#endif
		#ifdef __MANDO__
		case "d_message": {
			(_this select 1) call XfHQChat;
		};
		#endif
		#ifndef __TT__
		case "unit_killer": {
			[format ["%2 was killed by %1. %1 looses %3 score points!", (_this select 1) select 0, (_this select 1) select 1,d_sub_tk_points], "GLOBAL"] call XHintChatMsg;
			if (player == ((_this select 1) select 2)) then {player addScore (d_sub_tk_points * -1)};
		};
		#endif
		#ifdef __TT__
		case "points_array": {
			points_west = (_this select 1) select 0;
			points_racs = (_this select 1) select 1;
			kill_points_west = (_this select 1) select 2;
			kill_points_racs = (_this select 1) select 3;
		};
		case "vec_killer": {
			[format ["%1 destroyed a %2 vehicle. The %1 team looses 20 kill points.", (_this select 1) select 0, (_this select 1) select 1], "GLOBAL"] call XHintChatMsg;
		};
		case "unit_killer": {
			[format ["The %3 player %1 has killed the %4 player %2. The %3 team looses 30 kill points.", (_this select 1) select 0, (_this select 1) select 1, (_this select 1) select 2, (_this select 1) select 3], "GLOBAL"] call XHintChatMsg;
		};
		case "mt_radio_tower_kill": {
			_killedby = (
				switch ((_this select 1)) do {
					case west: {"US"};
					case resistance: {"RACS"};
				}
			);
			hint format ["The %1 team destroyed the main target radio tower and gets 4 points.", _killedby];
		};
		case "mt_sm_over": {
			_killedby2 = (
				switch ((_this select 1)) do {
					case west: {"US"};
					case resistance: {"RACS"};
				}
			);
			hint format ["The %1 team solved the main target mission and gets 3 points.", _killedby2];
		};
		#endif
		case "make_ai_captive": {
			(_this select 1) setCaptive true;
		};
		case "mr1_in_air": {
			__compile_to_var
			#ifdef __TT__
			__isWest
			#endif
			if ((_this select 1)) then {(format ["%1 mobile respawn one gets transported by airlift",d_own_side]) call XfHQChat;};
			if (!(_this select 1)) then {(format ["%1 mobile respawn one is available again !!!",d_own_side]) call XfHQChat;};
			#ifdef __TT__
			};
			#endif
		};
		case "mr2_in_air": {
			__compile_to_var
			#ifdef __TT__
			__isWest
			#endif
			if ((_this select 1)) then {(format ["%1 mobile respawn two gets transported by airlift",d_own_side]) call XfHQChat;};
			if (!(_this select 1)) then {(format ["%1 mobile respawn two is available again !!!",d_own_side]) call XfHQChat;};
			#ifdef __TT__
			};
			#endif
		};
		#ifdef __TT__
		case "mrr1_in_air": {
			__compile_to_var
			__isRacs
				if ((_this select 1)) then {(format ["%1 mobile respawn one gets transported by airlift",d_own_side]) call XfHQChat;};
				if (!(_this select 1)) then {(format ["%1 mobile respawn one is available again !!!",d_own_side]) call XfHQChat;};
			};
		};
		case "mrr2_in_air": {
			__compile_to_var
			__isRacs
				if ((_this select 1)) then {(format ["%1 mobile respawn two gets transported by airlift",d_own_side]) call XfHQChat;};
				if (!(_this select 1)) then {(format ["%1 mobile respawn two is available again !!!",d_own_side]) call XfHQChat;};
			};
		};
		#endif
		case "x_wreck_repair": {
			__compile_to_var
			switch (x_wreck_repair select 2) do {
				case 0: {
					(format ["Rebuilding %1 at %2, this will take some time...", x_wreck_repair select 0, x_wreck_repair select 1]) call XfHQChat;
				};
				case 1: {
					(format ["%1 ready at %2", x_wreck_repair select 0, x_wreck_repair select 1]) call XfHQChat;
				};
			};
		};
		case "recaptured": {
			[(_this select 1),(_this select 2)] spawn XRecapturedUpdate;
		};
		case "mt_spotted": {
			"The enemy has spotted you at main target... They will now call in reinforcements!!!" call XfHQChat;
		};
		#ifdef __AI__
		case "d_ataxi": {
			if (player == (_this select 2)) then {
				switch (_this select 1) do {
					case 0: {"Air taxi is on the way... hold your position!!!" call XfHQChat};
					case 1: {"Air taxi canceled, you've died !!!" call XfHQChat;d_heli_taxi_available = true};
					case 2: {"Air taxi damaged or destroyed !!!" call XfHQChat;d_heli_taxi_available = true};
					case 3: {"Air taxi heading to base in a few seconds !!!" call XfHQChat};
					case 4: {"Air taxi leaving now, have a nice day !!!" call XfHQChat;d_heli_taxi_available = true};
				};
			};
		};
		#endif
		case "d_player_stuff": {
			if (name player == ((_this select 1) select 2)) then {
				__compile_to_var
			};
		};
	};
};
 
 "d_net_startscript_client" addPublicVariableEventHandler {
	(_this select 1) spawn XHandleNetStartScriptClient;
};