#include "x_setup.sqf"
#include "x_macros.sqf"

_str_p = format ["%1", player];
if (_str_p in d_is_engineer || __AIVer) then {
	x_sfunc = {
		private ["_objs"];
		if ((vehicle player) == player)then{_objs = nearestObjects [player,["LandVehicle","Air"],5];if (count _objs > 0) then {objectID2 = _objs select 0;if (alive objectID2) then {if(damage objectID2 > 0.05 || fuel objectID2<1)then{true}else{false};}else{false};};}else{false};
	};
	x_ffunc = {
		private ["_l","_vUp","_winkel"];
		if ((vehicle player) == player) then {objectID1=(position player nearestObject "LandVehicle");if (!alive objectID1 || player distance objectID1 > 8)then{false}else{_vUp=vectorUp objectID1;if((_vUp select 2) < 0 && player distance (position player nearestObject d_rep_truck) < 20)then{true}else{_l=sqrt((_vUp select 0)^2+(_vUp select 1)^2);if(_l != 0)then{_winkel=(_vUp select 2) atan2 _l;if(_winkel < 30 && player distance (position player nearestObject d_rep_truck) < 20)then{true}else{false};};};}} else {false}
	};
};

#ifndef __MANDO__
if (!(__ACEVer)) then {
	XIncomingMissile = {
		private ["_vehicle", "_ammo", "_who", "_missile", "_flare", "_flares", "_ran"];
		_vehicle = _this select 0;
		_ammo = _this select 1;
		_who = _this select 2;

		_missile = nearestObject [_who,_ammo];

		if (isNull _missile) exitWith {};

		[_vehicle, "Dropping Flares..."] call XfVehicleChat;

		for "_i" from 0 to 10 do {
			_flare = "FlareWhite_M203" createVehicle (position _vehicle);
			_flare setVelocity (velocity _vehicle);
			_flares = _flares + [_flare];
		};

		_ran = random 100;
		if (_ran >= 40) then {
			waitUntil {((_missile distance _vehicle) <= 150)};
			deletevehicle _missile;
		} else {
			waitUntil {((_missile distance _vehicle) <= 100)};
			[_vehicle, "!!! Attention !!! Missile impact..."] call XfVehicleChat;
		};

		sleep 30.231;
		{
			deleteVehicle _x;
		} forEach _flares;
		_flares = nil;
	};
};
#endif

Xoartimsg = {
	private ["_target_pos"];
	_target_pos = _this;
	if (player distance _target_pos < 50) then {
		"Attention. You were spotted by enemy artillery observers. Incoming enemy artillery !!!" call XfHQChat;
	};
};

#ifndef __ACE__
XFindObstacle = {
	private ["_objs", "_strlist", "_list", "_retval"];
	_objs = nearestObjects [player,[],2];
	_strlist = []; {_strlist = _strlist + [str(_x)]}forEach _objs;
	_list = "";
	_retval = false;
	{_list = _list + format ["obj: %1\n", _x];} forEach _objs;
	{
		d_obstacle = [_strlist,_x] call KRON_getArgRev;
		if (d_obstacle != "") exitWith {_retval = true;};
		sleep 0.01;
	} forEach d_wires;
	_retval
};
#endif

if (_str_p in d_is_medic) then {
	XMashKilled = {
		private ["_mash","_m_name"];
		_mash = _this select 0;
		_m_name = format ["Mash %1", name player];
		deleteMarker _m_name;
		d_medtent = [];
		"Your mash was destroyed !!!" call XfGlobalChat;
		if (!(isNull _mash)) then {
			deleteVehicle _mash;
		};
	};
};

if (_str_p in d_can_use_mgnests) then {
	XMGnestKilled = {
		private ["_mgnest","_m_name"];
		_mgnest = _this select 0;
		_m_name = format ["MG Nest %1", name player];
		deleteMarker _m_name;
		d_mgnest_pos = [];
		"Your MG nest was destroyed !!!" call XfGlobalChat;
		if (!(isNull _mgnest)) then {
			deleteVehicle _mgnest;
		};
	};
};

XRecapturedUpdate = {
	private ["_index","_target_array", "_target_name", "_targetName","_state"];
	_index = _this select 0;_state = _this select 1;
	_target_array = target_names select _index;
	_target_name = _target_array select 1;
	switch (_state) do {
		case 0: {
			_target_name setMarkerColorLocal "ColorRed";
			_target_name setMarkerBrushLocal "FDiagonal";
			call compile format ["""%1"" ObjStatus ""%2"";", _index + 2,"FAILED"];
			hint composeText[
				parseText("<t color='#f0ff0000' size='2'>" + "Attention:" + "</t>"), lineBreak,
				parseText("<t size='1'>" + format ["Enemy mobile forces have recaptured %1!!!", _target_name] + "</t>")
			];
			format ["Attention!!! Enemy mobile forces have recaptured %1!!!", _target_name] call XfHQChat;
		};
		case 1: {
			#ifndef __TT__
			_target_name setMarkerColorLocal "ColorGreen";
			#endif
			#ifdef __TT__
			_winner = -1;
			{
				if ((_x select 0) == _index) exitWith {
					_winner = _x select 1;
				};
			} forEach resolved_targets;
			_color = (
				switch (_winner) do {
					case 1: {"ColorBlue"};
					case 2: {"ColorYellow"};
					case 3: {"ColorGreen"};
					default {"ColorGreen"};
				}
			);
			_target_name setMarkerColorLocal _color;
			#endif
			_target_name setMarkerBrushLocal "Solid";
			call compile format ["""%1"" ObjStatus ""%2"";", _index + 2,"DONE"];
			hint composeText[
				parseText("<t color='#f00000ff' size='2'>" + "Good work!" + "</t>"), lineBreak,
				parseText("<t size='1'>" + format ["You have captured %1 again!!!", _target_name] + "</t>")
			];
			format ["Good work!!! You have captured %1 again!!!", _target_name] call XfHQChat;
		};
	};
};

XPlayerRank = {
	private ["_score"];
	_score = score player;
	if (_score < (d_points_needed select 0) && d_player_old_rank != "PRIVATE") exitWith {
		if (d_player_old_score >= (d_points_needed select 0)) then {
			(format ["You were degraded from %1 to Private !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "PRIVATE";
		d_rank_pic = "\warfare\Images\rank_private.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score < (d_points_needed select 1) && _score >= (d_points_needed select 0) && d_player_old_rank != "CORPORAL") exitWith {
		if (d_player_old_score < (d_points_needed select 1)) then {
			"You were promoted to Corporal, congratulations !!!" call XfHQChat;
			playSound "fanfare";
		} else {
			(format ["You were degraded from %1 to Corporal !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "CORPORAL";
		d_rank_pic = "\warfare\Images\rank_corporal.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score < (d_points_needed select 2) && _score >= (d_points_needed select 1) && d_player_old_rank != "SERGEANT") exitWith {
		if (d_player_old_score < (d_points_needed select 2)) then {
			"You were promoted to Sergeant, congratulations !!!" call XfHQChat;
			playSound "fanfare";
		} else {
			(format ["You were degraded from %1 to Sergeant !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "SERGEANT";
		d_rank_pic = "\warfare\Images\rank_sergeant.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score < (d_points_needed select 3) && _score >= (d_points_needed select 2) && d_player_old_rank != "LIEUTENANT") exitWith {
		if (d_player_old_score < (d_points_needed select 3)) then {
			"You were promoted to Lieutenant, congratulations !!!" call XfHQChat;
			playSound "fanfare";
		} else {
			(format ["You were degraded from %1 to Lieutenant !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "LIEUTENANT";
		d_rank_pic = "\warfare\Images\rank_lieutenant.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score < (d_points_needed select 4) && _score >= (d_points_needed select 3) && d_player_old_rank != "CAPTAIN") exitWith {
		if (d_player_old_score < (d_points_needed select 4)) then {
			"You were promoted to Captain, congratulations !!!" call XfHQChat;
			playSound "fanfare";
		} else {
			(format ["You were degraded from %1 to Captain !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "CAPTAIN";
		d_rank_pic = "\warfare\Images\rank_captain.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score < (d_points_needed select 5) && _score >= (d_points_needed select 4) && d_player_old_rank != "MAJOR") exitWith {		
		if (d_player_old_score < (d_points_needed select 4)) then {
			"You were promoted to Major, congratulations !!!" call XfHQChat;
			playSound "fanfare";
		} else {
			(format ["You were degraded from %1 to Major !!!",d_player_old_rank]) call XfHQChat;
		};
		d_player_old_rank = "MAJOR";
		d_rank_pic = "\warfare\Images\rank_major.paa";
		player setRank d_player_old_rank;
		d_player_old_score = _score;
	};
	if (_score >= (d_points_needed select 5) && d_player_old_rank != "COLONEL") exitWith {
		d_player_old_rank = "COLONEL";
		d_rank_pic = "\warfare\Images\rank_colonel.paa";
		player setRank d_player_old_rank;
		"You were promoted to Colonel, congratulations !!!" call XfHQChat;
		playSound "fanfare";
		d_player_old_score = _score;
	};
};

#ifdef __RANKED__
XGetRankIndex = {
	["PRIVATE","CORPORAL","SERGEANT","LIEUTENANT","CAPTAIN","MAJOR","COLONEL"] find _this;
};

XGetRankString = {
	switch (_this) do {
		case "PRIVATE": {"Private"};
		case "CORPORAL": {"Corporal"};
		case "SERGEANT": {"Sergeant"};
		case "LIEUTENANT": {"Lieutenant"};
		case "CAPTAIN": {"Captain"};
		case "MAJOR": {"Major"};
		case "COLONEL": {"Colonel"};
	}
};

XGetRankFromScore = {
	if (_this < (d_points_needed select 0)) then {
		"Private"
	} else {
		if (_this < (d_points_needed select 1)) then {
			"Corporal"
		} else {
			if (_this < (d_points_needed select 2)) then {
				"Sergeant"
			} else {
				if (_this < (d_points_needed select 3)) then {
					"Lieutenant"
				} else {
					if (_this < (d_points_needed select 4)) then {
						"Captain"
					} else {
						if (_this < (d_points_needed select 5)) then {
							"Major"
						} else {
							"Colonel"
						}
					}
				}
			}
		}
	}
};
#endif