// by Xeno
#include "x_setup.sqf"
#include "x_macros.sqf"

XAddDead = {if (!((_this select 0) in dead_list)) then {dead_list = dead_list + [_this select 0];}};

XAddCheckDead = {if (!((_this select 0) in check_vec_list)) then {check_vec_list = check_vec_list + [_this select 0];}};

#ifdef __TT__
XAddKills = {private ["_points","_killer"];_points = _this select 0;_killer = _this select 1;switch (side _killer) do {case west: {kill_points_west = kill_points_west + _points};case resistance: {kill_points_racs = kill_points_racs + _points};};};
XAddPoints = {private ["_points","_killer"];_points = _this select 0;_killer = _this select 1;switch (side _killer) do {case west: {points_west = points_west + _points};case resistance: {points_racs = points_racs + _points};};};
#endif

x_cleangrouparray = {
	private ["_side_str"];
	_side_str = _this;
	call compile format ["if (count groups_%1 > 0) then {for ""_i"" from 0 to (count groups_%1 - 1) do {_tmp_grp_a = groups_%1 select _i;if (typeName _tmp_grp_a == ""ARRAY"") then {_tmp_time = _tmp_grp_a select 1;if (time >= _tmp_time) then {_tmp_grp = _tmp_grp_a select 0;if (isNull _tmp_grp) then {groups_%1 set [_i, objNull];} else {if (count (units _tmp_grp) == 0) then {deleteGroup _tmp_grp;groups_%1 set [_i, objNull];};};};};sleep 0.012};groups_%1 = groups_%1 - [objNull];};",_side_str];
};

x_creategroup = {
	private ["_found_empty","_grp","_i","_side","_side_str","_this","_tmp_grp","_tmp_grp_a","_tmp_time","_x"];
	can_create_group = false;
	_side = _this select 0;_grp = grpNull;
	_side_str = (switch (_side) do {case "EAST": {"east"};case "WEST": {"west"};case "RACS": {"resistance"};case "CIV": {"civilian"};});
	_side_str call x_cleangrouparray;call compile format ["_grp = createGroup %1;groups_%1 = groups_%1 + [[_grp, time + 120]];",_side_str];
	can_create_group = true;
	_grp
};

x_getwparray = {
	private["_tc", "_radius","_wp_a"];
	_tc = _this select 0;_radius = _this select 1;_wp_a = [];
	for "_i" from 1 to 100 do {_wp_a = _wp_a + [[_tc, _radius, 6] call XfGetRanPointCircle];sleep 0.032};
	_wp_a
};

x_getwparray2 = {
	private["_tc", "_radius","_wp_a"];
	_tc = _this select 0;_radius = _this select 1;_wp_a = [];
	for "_i" from 1 to 100 do {_wp_a = _wp_a + [[_tc, _radius, 8] call XfGetRanPointCircleOuter];sleep 0.032};
	_wp_a
};

x_getwparray3 = {
	private ["_pos","_a","_b","_angle","_wp_a"];
	_pos = _this select 0;_a = _this select 1;_b = _this select 2;_angle = _this select 3;_wp_a = [];
	for "_i" from 1 to 100 do {_wp_a = _wp_a + [[_pos, _a, _b, _angle, 8] call XfGetRanPointSquare];sleep 0.032};
	_wp_a
};

x_getunitliste = {
	private ["_crewmember","_grptype","_how_many","_list","_one_man","_random","_side","_side_char","_unitliste","_vehiclename","_varray"];
	_grptype = _this select 0;_side = _this select 1;_unitliste = [];_vehiclename = "";_varray = [];
	_side_char = (switch (_side) do {case "EAST": {"E"};case "WEST": {"W"};case "RACS": {"G"};case "CIV": {"W"};});
	_crewmember = call compile format["d_crewman_%1",_side_char];
	switch (_grptype) do {
		case "basic": {_list = call compile format ["d_allmen_%1",_side_char];_unitliste = (_list select (_list call XfRandomFloorArray));};
		case "specops": {_how_many = ceil random 5; if (_how_many < 2) then {_how_many = 2;};_list = call compile format ["d_specops_%1",_side_char];for "_i" from 1 to _how_many do {_unitliste = _unitliste + [_list select (_list call XfRandomFloorArray)];};};
		case "artiobserver": {_unitliste = [call compile format["d_arti_observer_%1",_side_char]];};
		case "heli": {_list = call compile format ["d_allmen_%1",_side_char];_unitliste = (_list select (_list call XfRandomFloorArray))};
		case "tank": {call compile format ["_varray = (d_veh_a_%1 select 0);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "bmp": {call compile format ["_varray = (d_veh_a_%1 select 1);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "brdm": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 2);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "shilka": {call compile format ["_varray = (d_veh_a_%1 select 3);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "uaz_mg": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 4);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "uaz_grenade": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 5);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "DSHKM": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 6);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "AGS": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 7);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "D30": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 8);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "uralfuel": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 9);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "uralrep": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 10);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "uralammo": {call compile format ["_crewmember=d_crewman2_%1;_varray = (d_veh_a_%1 select 11);",_side_char];_vehiclename = _varray select (_varray call XfRandomFloorArray)};
		case "civilian": {for "_i" from 1 to 12 do {_random = floor random 19;_one_man = format ["Civilian%1", _random + 2];_unitliste = _unitliste + [_one_man];};};
		case "sabotage": {_how_many = ceil random 12; if (_how_many < 6) then {_how_many = 6;};_list = call compile format ["d_sabotage_%1",_side_char];for "_i" from 1 to _how_many do {_unitliste = _unitliste + [_list select (_list call XfRandomFloorArray)]};};
	};
	[_unitliste, _vehiclename, _crewmember]
};

x_makevgroup = {
	private ["_cmdr","_crewmember","_dir","_direction","_drvr","_gnnr","_grp","_grpskill","_no_crew","_numbervehicles","_pos","_radius","_side_char","_the_vehicles","_this","_unit","_vehicle","_vehiclename","_d_crewman2","_d_crewman","_do_points"];
	_numbervehicles = _this select 0;
	_pos = _this select 1;
	_crewmember = _this select 2;
	_vehiclename = _this select 3;
	_grp = _this select 4;
	_radius = _this select 5;
	_direction = _this select 6;
	_do_points = (if (count _this > 7) then {true} else {false});
	_the_vehicles = [];
	
	_d_crewman = "";_d_crewman2 = "";
	_no_crew = (if (_crewmember == "") then {true} else {false});
	if (_no_crew) then {
		_side_char = (switch (d_enemy_side) do {case "EAST": {"E"};case "WEST": {"W"};case "RACS": {"G"};});
		call compile format ["_d_crewman = d_crewman_%1;_d_crewman2 = d_crewman2_%1;", _side_char];
	};
	
	_grpskill = (if (_vehiclename in ["M2StaticMG","AGS","M119","D30","DSHkM_Mini_TriPod","Stinger_Pod_East","TOW_TriPod_East","M2HD_mini_TriPod","MK19_TriPod","Stinger_Pod","TOW_Tripod"]) then {1.0} else {(d_skill_array select 0) + (random (d_skill_array select 1))});
	
	for "_n" from 1 to _numbervehicles do {
		sleep 0.331;
		_vehicle = createVehicle [_vehiclename, _pos, [], _radius, "NONE"];
		if (_no_crew) then {_crewmember = (if (_vehicle isKindOf "Tank") then {_d_crewman} else {_d_crewman2});};
		_dir = (if (_direction != -1.111) then {_direction} else {floor random 360});
		_vehicle setDir _dir;
		_the_vehicles = _the_vehicles + [_vehicle];
		sleep 0.543;
		_cmdr = _vehicle emptypositions "commander";_drvr = _vehicle emptypositions "driver";_gnnr = _vehicle emptypositions "gunner";
		if (_cmdr == 1) then {
			_unit = _grp createUnit [_crewmember, _pos, [], 0, "NONE"];[_unit] join _grp;_unit setSkill _grpskill;_unit assignAsCommander _vehicle;_unit moveincommander _vehicle;
			__addDead(_unit)
			#ifdef __TT__
			if (_do_points) then {_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];};
			#endif
			_unit setUnitAbility ((d_skill_array select 0) + (random (d_skill_array select 1)));
			sleep 0.531;
		};
		if (_drvr == 1) then {
			_unit = _grp createUnit [_crewmember, _pos, [], 0, "NONE"];[_unit] join _grp;_unit assignAsDriver _vehicle;_unit moveindriver _vehicle;
			__addDead(_unit)
			#ifdef __TT__
			if (_do_points) then {_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];};
			#endif
			_unit setUnitAbility ((d_skill_array select 0) + (random (d_skill_array select 1)));
			sleep 0.432;
		};
		if (_gnnr == 1) then {
			_unit = _grp createUnit [_crewmember, _pos, [], 0, "NONE"];[_unit] join _grp;_unit assignAsGunner _vehicle;_unit moveingunner _vehicle;
			__addDead(_unit)
			#ifdef __TT__
			if (_do_points) then {_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];};
			#endif
			_unit setUnitAbility ((d_skill_array select 0) + (random (d_skill_array select 1)));
			sleep 0.443;
		};
		if (_vehicle isKindOf "Tank") then {
			if (!(d_found_gdtmodtracked)) then {[_vehicle] spawn XGDTTracked};
			if (!(_vehiclename in x_heli_wreck_lift_types)) then {
				_vehicle addEventHandler ["killed", {_this spawn x_removevehi;if (d_smoke) then {[_this select 0, _this select 1] execVM  "x_scripts\x_dosmoke.sqf";};}];
				#ifdef __TT__
				if (_do_points) then {_vehicle addEventHandler ["killed", {[5,_this select 1] call XAddKills;}];};
				#endif
				[_vehicle] call XAddCheckDead;
			} else {
				_vehicle addEventHandler ["killed", {if (d_smoke) then {[_this select 0, _this select 1] execVM  "x_scripts\x_dosmoke.sqf";};}];
				#ifdef __TT__
				if (_do_points) then {_vehicle addEventHandler ["killed", {[5,_this select 1] call XAddKills;}];};
				#endif
			}
		} else {
			if (!(_vehiclename in x_heli_wreck_lift_types)) then {
				__addRemoveVehi(_vehicle)
				[_vehicle] call XAddCheckDead;
			};
			#ifdef __TT__
			if (_do_points) then {_vehicle addEventHandler ["killed", {[3,_this select 1] call XAddKills;}];};
			#endif
		};
		
		if (_vehicle isKindOf "Tank") then {
			if (d_lock_ai_armor) then {_vehicle lock true}
		} else {	
			if (_vehicle isKindOf "Car") then {
				if (d_lock_ai_car) then {_vehicle lock true}
			} else {
				if (_vehicle isKindOf "Air") then {
					if (d_lock_ai_air) then {_vehicle lock true}
				}
			}
		};
		
		#ifdef __MANDO__
		if ((typeOf _vehicle) in d_enemy_aa_vehicle) then {
			if ((random 100) < 33) then {
				[_vehicle] spawn {
					sleep 1 + random 3;
					[(_this select 0), 1, ["Air"], 24, 500, 2000, 12, [0,0,0,3], 360, 0, [WEST, sideEnemy], true, false, true, true, 45]exec"mando_missiles\units\attackers\mando_patriot.sqs";
				};
			};
		};
		#endif
	};
	_the_vehicles
};

x_makemgroup = {
	private ["_grp","_pos","_ret","_unitliste","_do_points"];
	_pos = _this select 0;_unitliste = _this select 1;_grp = _this select 2;_do_points = (if (count _this > 3) then {true} else {false});_ret = [];
	{_one_unit = _grp createunit [_x, _pos, [], 10,"NONE"];[_one_unit] join _grp;_one_unit addEventHandler ["killed", {[_this select 0] call XAddDead;if (d_smoke) then {[_this select 0, _this select 1] execVM  "x_scripts\x_dosmoke.sqf";};}];
#ifdef __TT__
	if (_do_points) then {_one_unit addEventHandler ["killed", {[1,_this select 1] call XAddKills;}];};
#endif	
	_one_unit setUnitAbility ((d_skill_array select 0) + (random (d_skill_array select 1)));
	_ret = _ret + [_one_unit];sleep 0.012} foreach _unitliste;_ret
};

XCreateInf = {
	private ["_type1", "_numbergroups1", "_type2", "_numbergroups2", "_pos_center", "_radius", "_do_patrol", "_side", "_gwp_formations", "_ret_grps", "_pos", "_nr", "_numbergroups", "_i", "_newgroup", "_unit_array", "_type", "_units", "_leader", "_gidx", "_grp_array"];
	_type1 = _this select 0;
	_numbergroups1 = _this select 1;
	_type2 = _this select 2;
	_numbergroups2 = _this select 3;
	_pos_center = _this select 4;
	_radius = _this select 5;
	_do_patrol = (if (count _this == 7) then {_this select 6} else {false});
	if (_radius < 50) then {_do_patrol = false};
	_side = d_enemy_side;
	
	_gwp_formations = ["COLUMN","STAG COLUMN","WEDGE","ECH LEFT","ECH RIGHT","VEE","LINE","DIAMOND"];
	_ret_grps = [];
	_pos = [];
	
	for "_nr" from 1 to 2 do {
		call compile format ["
			if (_numbergroups%1 > 0) then {
				for ""_i"" from 1 to _numbergroups%1 do {
					while {!can_create_group} do {sleep 0.1 + random (0.2)};
					_newgroup = [_side] call x_creategroup;
					_unit_array = [_type%1, _side] call x_getunitliste;
					if (_radius > 0) then {
						_pos = [_pos_center, _radius, 6] call XfGetRanPointCircle;
					} else {
						_pos = _pos_center;
					};
					_units = [_pos, (_unit_array select 0), _newgroup] call x_makemgroup;
					sleep 2.045;
					_leader = leader _newgroup;
					_leader setRank ""LIEUTENANT"";
					_newgroup allowFleeing 0;
					_newgroup setCombatMode ""YELLOW"";
					_gidx = floor random count _gwp_formations;
					_newgroup setFormation (_gwp_formations select _gidx);
					_newgroup setFormDir (floor random 360);
					_newgroup setSpeedMode ""NORMAL"";
					_ret_grps = _ret_grps + [_newgroup];
					_grp_array = (if (_do_patrol) then {[_newgroup, _pos, false,[_pos_center,_radius],[],-1,0]} else {[_newgroup, _pos, false,[],[],-1,0]});
					xlink_groups = xlink_groups + [_grp_array];
					{extra_mission_remover_array = extra_mission_remover_array + [_x]} foreach units _newgroup;
					sleep 2.011;
				};
			};
		",_nr];
		sleep 2.123;
	};
	_gwp_formations = nil;
	_ret_grps
};

 XCreateArmor = {
	private ["_type1", "_numbergroups1", "_type2", "_numbergroups2", "_type3", "_numbergroups3", "_pos_center", "_numvehicles", "_radius", "_do_patrol", "_ret_grps", "_side", "_gwp_formations", "_pos", "_nr", "_numbergroups", "_i", "_newgroup", "_unit_array", "_type", "_vehicles", "_leader", "_gidx", "_grp_array"];
	_type1 = _this select 0;
	_numbergroups1 = _this select 1;
	_type2 = _this select 2;
	_numbergroups2 = _this select 3;
	_type3 = _this select 4;
	_numbergroups3 = _this select 5;
	_pos_center = _this select 6;
	_numvehicles = _this select 7;
	_radius = _this select 8;
	_do_patrol = (if (count _this == 10) then {_this select 9} else {false});
	if (_radius < 50) then {_do_patrol = false};
	_ret_grps = [];
	
	_side = d_enemy_side;
	_gwp_formations = ["COLUMN","STAG COLUMN","WEDGE","ECH LEFT","ECH RIGHT","VEE","LINE","FILE","DIAMOND"];
	_pos = [];
	
	for "_nr" from 1 to 3 do {
		call compile format ["
			if (_numbergroups%1 > 0) then {
				for ""_i"" from 1 to _numbergroups%1 do {
					while {!can_create_group} do {sleep 0.1 + random (0.2)};
					_newgroup = [_side] call x_creategroup;
					if (_radius > 0) then {
						_pos = [_pos_center, _radius, 8] call XfGetRanPointCircle;
					} else {
						_pos = _pos_center;
					};
					_unit_array = [_type%1, _side] call x_getunitliste;
					_vehicles = [_numvehicles, _pos, (_unit_array select 2), (_unit_array select 1), _newgroup, 50,-1.111] call x_makevgroup;
					extra_mission_vehicle_remover_array = extra_mission_vehicle_remover_array + _vehicles;
					sleep 2.011;
					_vehicles = nil;
					_leader = leader _newgroup;
					_leader setRank ""LIEUTENANT"";
					_newgroup allowFleeing 0;
					_newgroup setCombatMode ""GREEN"";
					_gidx = floor random count _gwp_formations;
					_newgroup setFormation (_gwp_formations select _gidx);
					_newgroup setFormDir (floor random 360);
					_newgroup setSpeedMode ""NORMAL"";
					_ret_grps = _ret_grps + [_newgroup];
					_grp_array = (if (_do_patrol) then {[_newgroup, _pos, false,[_pos_center,_radius],[],-1,0]} else {[_newgroup, _pos, false,[],[],-1,0]});
					xlink_groups = xlink_groups + [_grp_array];
					sleep 2.011;
				};
			};
		", _nr];
		sleep 2.123;
	};
	_gwp_formations = nil;
	_ret_grps
};

if (d_smoke) then {
	GetSmokePos = {
		private ["_pp","_pe","_dis","_px","_py","_ex","_ey","_angle","_a","_b","_reta","_smokex","_smokey"];
		_pp = _this select 0;_pe = _this select 1;_dis = _this select 2;_px = _pp select 0;_py = _pp select 1;_ex = _pe select 0;_ey = _pe select 1;_angle = 0; _a = (_px - _ex);_b = (_py - _ey);
		if (_a != 0 || _b != 0) then {_angle = _a atan2 _b}; if ( _angle < 0 ) then {_angle = _angle + 360};_reta = [];
		for "_i" from -6 to 6 step 3 do {_smokex = _px - ((_dis - 10) * sin (_angle + _i));_smokey = _py - ((_dis - 10) * cos (_angle + _i));_reta = _reta + [[_smokex,_smokey,5]];};
		_reta
	};
};

XGuardWP = {
	private ["_gwp_formations","_ggrp","_gidx","_static"];
	_ggrp = _this select 0;
	_static = _this select 1;
	_gwp_formations = ["COLUMN","STAG COLUMN","WEDGE","ECH LEFT","ECH RIGHT","VEE","LINE","FILE","DIAMOND"];
	_ggrp setCombatMode "YELLOW";
	_gidx = floor random count _gwp_formations;
	_ggrp setFormation (_gwp_formations select _gidx);
	_ggrp setFormDir (floor random 360);
	_ggrp setSpeedMode "NORMAL";
	_ggrp setBehaviour "AWARE";
};

XAttackWP = {
	private ["_ggrp","_gtarget_pos","_gwp"];
	_ggrp = _this select 0;
	_gtarget_pos = _this select 1;
	_ggrp setbehaviour "AWARE";
	_gwp = _ggrp addWaypoint [_gtarget_pos,30];
	_gwp setwaypointtype "SAD";
	_gwp setWaypointCombatMode "YELLOW";
	_gwp setWaypointSpeed "FULL";
};

XAttackWavesWP = {
	private ["_ggrp","_gtarget_pos","_gwp"];
	_ggrp = _this select 0;
	_gtarget_pos = _this select 1;
	_ggrp setbehaviour "AWARE";
	_gwp = _ggrp addWaypoint [_gtarget_pos,30];
	_gwp setwaypointtype "SAD";
	_gwp setWaypointCombatMode "YELLOW";
	_gwp setWaypointSpeed "FULL";
};

XMakeWreckMarker = {
	private ["_vehicle","_mname","_marker","_type_name","_sav_pos","_i"];
	_vehicle = _this select 0;
	while {alive _vehicle} do {sleep 0.532 + random 0.2};
	while {speed _vehicle > 4} do {sleep 0.532 + random 0.2;};
	sleep 0.01;
	if ((vectorUp _vehicle) select 2 < 0) then {_vehicle setVectorUp [0,0,1]};
	while {speed _vehicle > 4} do {sleep 0.532 + random 0.2;};
	_mname = format ["%1", _vehicle];
	_sav_pos = [position _vehicle select 0,position _vehicle select 1,position _vehicle select 2];
	_type_name = [typeOf (_vehicle),0] call XfGetDisplayName;
	[_mname, _sav_pos,"ICON","ColorBlue",[1,1],format ["%1 wreck", _type_name],0,"DestroyedVehicle"] call XfCreateMarkerGlobal;
	d_wreck_marker = d_wreck_marker + [[_mname, _sav_pos,_type_name]];
	while {!isNull _vehicle && _vehicle distance (markerPos _marker) < 30} do {sleep 1.321;};
	for "_i" from 0 to (count d_wreck_marker - 1) do {
		_element = d_wreck_marker select _i;
		if ((_element select 0) == _mname && format ["%1",(_element select 1)] == format ["%1",_sav_pos]) exitWith {
			d_wreck_marker set [_i, objNull];
		};
	};
	deleteMarker _marker;
	d_wreck_marker = d_wreck_marker - [objNull];
};

XGetWreck = {
	private ["_no","_rep_station","_types"];
	_rep_station = _this select 0;_types = _this select 1;
	_no = nearestObjects [position _rep_station, _types, 8];
	if (count _no > 0) then {if (damage (_no select 0) >= 1) then {_no select 0} else {objNull}} else {objNull}
};

XAddPlayerScore = {
	private ["_name", "_score", "_index", "_parray"];
	_name = _this select 0;_score = _this select 1;
	_index = d_player_array_names find _name;
	if (_index != -1) then {
		_parray = d_player_array_misc select _index;
		_parray set [3, _score];
	};
};

XGetPlayerPoints = {
	private ["_name", "_index"];
	_name = _this;_index = d_player_array_names find _name;
	__DEBUG_NET("XGetPlayerPoints",_name)
	__DEBUG_NET("XGetPlayerPoints",_index)
	if (_index != -1) then {["d_player_stuff", (d_player_array_misc select _index)] call XSendNetStartScriptClient};
};
