// by Xeno
private ["_enemy_ari_available","_timefired","_type","_radius","_man_type"];
if (!isServer) exitWith {};

#include "x_setup.sqf"

_enemy_ari_available = true;
_timefired = 0;
_height = 150;
_type = "";
_radius = 30;

#ifndef __TT__
_man_type = (
	switch (d_enemy_side) do {
		case "WEST": {["SoldierWB"]};
		case "EAST": {["SoldierEB"]};
		case "RACS": {["SoldierGB"]};
	}
);
#endif
#ifdef __TT__
_man_type = ["SoldierWB","SoldierGB"];
#endif

if (isNil "x_shootari") then {
	x_shootari = compile preprocessFileLineNumbers "x_scripts\x_shootari.sqf";
};

sleep 10.123;

while {nr_observers > 0} do {
	for "_i" from 1 to 3 do {
		call compile format ["
			if (!(isNull Observer%1)) then {
				if (_enemy_ari_available) then {
					_enemy = Observer%1 findNearestEnemy Observer%1;
					if (!(isNull _enemy) && Observer%1 knowsAbout _enemy >= 1.5 && (vehicle _enemy) isKindOf ""Land"") then {
						_distance = Observer%1 distance _enemy;
						_near_targets = Observer%1 nearTargets (_distance + 10);
						if (count _near_targets > 0) then {
							_pos_nearest = [];
							{
								if ((_x select 4) == _enemy) exitWith {
									_pos_nearest = _x select 0;
								};
								sleep 0.001;
							} forEach _near_targets;
							_near_targets = nil;
							if (count _pos_nearest > 0) then {
								_near_targets = nearestObjects [_pos_nearest, _man_type, 35];
								if (count _near_targets == 0) then {
									_enemy_ari_available = false;
									_timefired = time;
									[_pos_nearest,1] spawn x_shootari;
								} else {
									_enemy_ari_available = false;
									_timefired = time;
									[_pos_nearest,2] spawn x_shootari;
								};
								_near_targets = nil;
							};
						};
					};
				};
				sleep 1.321;
			};
		",_i];
	};
	sleep 5.123;
	_current_time = time;
	_rand_val = 120 + (random 120);
	if (_current_time - _timefired <= 0) then {
		_enemy_ari_available = true;
	};
};

if (true) exitWith {};
