// by Xeno
private ["_search_array"];
if (!isServer) exitWith{};

x_inited = false;

dead_list = [];
groups_east = [];
groups_west = [];
groups_resistance = [];
groups_civilian = [];
do_delete = false;
can_create_group = true;
xlink_groups = [];

if (d_smoke) then {smoke_groups = [];};
can_add_patrol_group = true;
check_vec_list = [];

// arma can create a maximum of 144 groups per side
d_max_groups = 144;

if (isNil "d_lock_ai_armor") then {d_lock_ai_armor = false;};
if (isNil "d_lock_ai_car") then {d_lock_ai_car = false;};
if (isNil "d_lock_ai_air") then {d_lock_ai_air = false;};

if (isNil "x_funcs2_compiled") then {call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_functions2.sqf";};
call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_serverfuncs.sqf";
if (isNil "x_commonfuncs_compiled") then {call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_commonfuncs.sqf"};
x_removevehi = compile preprocessFileLineNumbers "x_scripts\x_removevehi.sqf";
x_removevehiextra = compile preprocessFileLineNumbers "x_scripts\x_removevehiextra.sqf";
execVM "x_scripts\x_removedead.sqf";
execVM "x_scripts\x_link.sqf";
execVM "x_scripts\x_checklocalvec.sqf";

if (count d_with_airdefense > 0) then {execVM "x_scripts\x_airdefense.sqf";};

execVM "x_scripts\x_markercheck.sqf";

x_inited = true;

if (true) exitWith {};