// by Xeno
private ["_minaware","_max_distance","_not_reached_wp_array"];
if (!isServer) exitWith {};

#include "x_macros.sqf"

sleep 25;

_minaware = 1.5;
_max_distance = 300;

_not_reached_wp_array = [];

while {true} do {
	if (count xlink_groups > 0) then {
		{
			_grp_array = _x;
			_grp_enemy = _grp_array select 0;
			__DEBUG_SERVER("x_link.sqf",_grp_array)
			
			if (!isNull _grp_enemy && ({alive _x} count units _grp_enemy) > 0) then {
				if (d_link) then {
					if ((_grp_array select 6) == 0) then {
						_leader = leader _grp_enemy;
						_nearest_enemy = _leader findNearestEnemy (position _leader);
						if (!isNull _nearest_enemy) then {
							sleep 0.012;
							_awareness = _leader knowsAbout _nearest_enemy;
							_distance = _leader distance _nearest_enemy;
							_near_targets = _leader nearTargets (_distance + 10);
							if (count _near_targets > 0) then {
								_pos_nearest = [];
								{
									if ((_x select 4) == _nearest_enemy) exitWith {
										_pos_nearest = _x select 0;
									};
									sleep 0.01;
								} forEach _near_targets;
								if (count _pos_nearest > 0) then {
									if (_awareness >= 0.2) then {
										if (_distance < _max_distance) then {
											_leader doWatch _pos_nearest;
											if (_awareness >= _minaware && ({alive _x} count units _grp_enemy) > 1) then {
												_grp_array set [6,1];
												[_grp_array, _grp_enemy, _nearest_enemy, _awareness, _pos_nearest, _distance] execVM "x_scripts\x_dolink.sqf";
											} else {
												if (({alive _x} count units _grp_enemy) > 0) then {
													_grp_array set [6,1];
													[_grp_array, _grp_enemy, _nearest_enemy, _awareness, _pos_nearest, _distance] execVM "x_scripts\x_dolink2.sqf";
												};
											};
										};
									};
								};
							};
							_near_targets = nil;
						};
					};
				};
				sleep 0.321;
				if ((_grp_array select 6) == 0) then {
					if (count (_grp_array select 3) > 0) then {
						if (!isNull _grp_enemy && ({alive _x} count units _grp_enemy) > 0) then {
							_wp_array = _grp_array select 3;
							_leader = leader _grp_enemy;
							_start_pos = position _leader;
							sleep 0.01;
							if (!(_grp_enemy in _not_reached_wp_array)) then {
								_wp_pos = [_wp_array select 0, _wp_array select 1, 6] call XfGetRanPointCircle;
								_not_reached_wp_array = _not_reached_wp_array + [_grp_enemy];
								sleep 0.01;
								if (!isNull _grp_enemy) then {
									if (({alive _x} count units _grp_enemy) > 0) then {
										while {_wp_pos distance _start_pos < 20} do {
											_wp_pos = [_wp_array select 0, _wp_array select 1, 6] call XfGetRanPointCircle;
											sleep 0.01;
										};
										(units _grp_enemy) doMove _wp_pos;
										_grp_enemy setSpeedMode "NORMAL";
										_grp_array set [4, _wp_pos];
										_grp_array set [5, time];
									};
								};
								_wp_pos = nil;
							} else {
								if ((position _leader) distance (_grp_array select 4) < 10) then {
									_not_reached_wp_array = _not_reached_wp_array - [_grp_enemy];
								} else { // timeout
									_stime = _grp_array select 5;
									if (time - _stime > 360) then {
										_not_reached_wp_array = _not_reached_wp_array - [_grp_enemy];
									};
								};
							};
						} else {
							if (_grp_enemy in _not_reached_wp_array) then {
								_not_reached_wp_array = _not_reached_wp_array - [_grp_enemy];
							};
						};
					};
				};
			};
			sleep 1.012;
		} forEach xlink_groups;
		
		for "_tc" from 0 to (count xlink_groups - 1) do {
			_grp_array = xlink_groups select _tc;
			_grp_enemy = _grp_array select 0;
			if (isNull _grp_enemy || ({alive _x} count units _grp_enemy) == 0) then {
				_grp_array = nil;
				xlink_groups set [_tc, objNull];
			};
			sleep 0.011;
		};
		sleep 0.5321;
		for "_tp" from 0 to (count _not_reached_wp_array - 1) do {
			_grp = _not_reached_wp_array select _tp;
			if (isNull _grp || ({alive _x} count (units _grp)) == 0) then {
				_not_reached_wp_array set [_tp, objNull];
			};
			sleep 0.12;
		};
		
		xlink_groups = xlink_groups - [objNull];	
	};
	sleep 1.012;
};
