// create one patrol group
// by Xeno
private ["_vec_dir","_grp","_grp_array","_grp_in","_grpspeed","_grptype","_handle","_leader","_numbervehicles","_one","_pos","_side","_target_pos","_type","_unit_array","_vehicles","_wp_array","_fran","_center_rad"];

#include "x_macros.sqf"

if !(isServer) exitWith{};

_grptype = _this select 0;
_wp_array = _this select 1;
_target_pos = _this select 2;
_numbervehicles = _this select 3; // only for tanks and cars
_type = _this select 4;
_side = _this select 5;
_grp_in = _this select 6;
_vec_dir = _this select 7;
_center_rad = (if (count _this == 9) then {_this select 8} else {[]});
_grpspeed = "LIMITED";
_vehicles = [];

do_delete = false;
if (_grp_in != 0) then {__WaitForGroup};
_grp = (if (_grp_in == 0) then {[_side] call x_creategroup} else {_grp_in});
_pos = (if (count _wp_array > 1) then {_wp_array select ((count _wp_array) call XfRandomFloor)} else {_wp_array select 0});

_unit_array = [_grptype, _side] call x_getunitliste;

if (_numbervehicles > 0) then {
	_vehicles = [_numbervehicles, _pos, (_unit_array select 2), (_unit_array select 1), _grp, 20,_vec_dir,true] call x_makevgroup;
	_grp setspeedmode _grpspeed;
} else {
	[_pos, (_unit_array select 0), _grp,true] call x_makemgroup;
};

sleep 1.011;

_leader = leader _grp;
_leader setRank "LIEUTENANT";
if ((_unit_array select 1) in ["M2StaticMG","AGS","M119","D30"]) then {
	_leader setSkill 1.0;
} else {
	_grpskill = (d_skill_array select 0) + (random (d_skill_array select 1));
};
_unit_array = nil;
_fran = (floor random 3) + 1;
_grp allowFleeing (_fran / 10);

if (d_suppression) then {[_grp] execVM "scripts\ROMM_IA.sqf";};

switch (_type) do {
	case "patrol": {
		_grp setFormation "COLUMN";
		_grp setBehaviour "SAFE";
		_grp setCombatMode "YELLOW";
		_grp_array = [_grp, _pos, false,_center_rad,[],-1,0];
		xlink_groups = xlink_groups + [_grp_array];
	};
	case "guard": {
		sleep 0.0123;
		[_grp, false] call XGuardWP;
		_grp_array = [_grp, _pos, false,[],[],-1,0];
		xlink_groups = xlink_groups + [_grp_array];
	};
	case "guardstatic": {
		sleep 0.0123;
		[_grp, true] call XGuardWP;
		_grp_array = [_grp, _pos, true,[],[],-1,0];
		xlink_groups = xlink_groups + [_grp_array];
	};
	case "guardstatic2": {
		_one = _vehicles select 0;
		_one setDir floor random 360;
	};
	case "attack": {
		[_grp, _target_pos] call XAttackWP;
	};
	case "attackwaves": {
		[_grp, _target_pos] call XAttackWavesWP;
	};
};

_vehicles = nil;

do_delete = true;

if (true) exitWith {};