// by Xeno
private ["_config","_count","_i","_magazines","_object","_type","_type_name"];
_object = _this select 0;

_type = typeof _object;

if (_object isKindOf "ParachuteBase") exitWith {};

if (isNil "x_reload_time_factor") then {x_reload_time_factor = 1;};

//if (!local _object) exitWith {};

if (d_reload_engineoff) then {
	_object action ["engineOff", _object];
};
if (!alive _object) exitWith {};
_object setFuel 0;

_type_name = [_type,0] call XfGetDisplayName;

[_object,format ["Servicing %1... Please stand by...", _type_name]] call XfVehicleChat;

_magazines = getArray(configFile >> "CfgVehicles" >> _type >> "magazines");

if (count _magazines > 0) then {
	_removed = [];
	{
		if (!(_x in _removed)) then {
			_object removeMagazines _x;
			_removed = _removed + [_x];
		};
	} forEach _magazines;
	{
		[_object, format ["Reloading %1", _x]] call XfVehicleChat;
		sleep x_reload_time_factor;
		if (!alive _object) exitWith {};
		_object addMagazine _x;
	} forEach _magazines;
};

_count = count (configFile >> "CfgVehicles" >> _type >> "Turrets");

if (_count > 0) then {
	for "_i" from 0 to (_count - 1) do {
		scopeName "xx_reload2_xx";
		_config = (configFile >> "CfgVehicles" >> _type >> "Turrets") select _i;
		_magazines = getArray(_config >> "magazines");
		_removed = [];
		{
			if (!(_x in _removed)) then {
				_object removeMagazines _x;
				_removed = _removed + [_x];
			};
		} forEach _magazines;
		{
			_mag_disp_name = [_x,2] call XfGetDisplayName;
			[_object,format ["Reloading %1", _mag_disp_name]] call XfVehicleChat;
			sleep x_reload_time_factor;
			if (!alive _object) then {breakOut "xx_reload2_xx"};
			_object addMagazine _x;
			sleep x_reload_time_factor;
			if (!alive _object) then {breakOut "xx_reload2_xx"};
		} forEach _magazines;
		// check if the main turret has other turrets
		_count_other = count (_config >> "Turrets");
		// this code doesn't work, it's not possible to load turrets that are part of another turret :(
		// nevertheless, I leave it here
		if (_count_other > 0) then {
			for "_i" from 0 to (_count_other - 1) do {
				_config2 = (_config >> "Turrets") select _i;
				_magazines = getArray(_config2 >> "magazines");
				_removed = [];
				{
					if (!(_x in _removed)) then {
						_object removeMagazines _x;
						_removed = _removed + [_x];
					};
				} forEach _magazines;
				{
					_mag_disp_name = [_x,2] call XfGetDisplayName;
					[_object, format ["Reloading %1", _mag_disp_name]] call XfVehicleChat;
					sleep x_reload_time_factor;
					if (!alive _object) then {breakOut "xx_reload2_xx"};
					_object addMagazine _x;
					sleep x_reload_time_factor;
					if (!alive _object) then {breakOut "xx_reload2_xx"};
				} forEach _magazines;
			};
		};
	};
};
sleep x_reload_time_factor;
if (!alive _object) exitWith {};
[_object, "Repairing..."] call XfVehicleChat;
_object setDamage 0;
sleep x_reload_time_factor;
if (!alive _object) exitWith {};
[_object, "Refueling..."] call XfVehicleChat;
_object setFuel 1;
sleep x_reload_time_factor;
if (!alive _object) exitWith {};
[_object, format ["%1 is ready...", _type_name]] call XfVehicleChat;

if (true) exitWith {};
