// by Xeno
private ["_aid","_caller","_coef","_damage","_damage_ok","_damage_val","_fuel","_fuel_ok","_fuel_val","_rep_count","_rep_array","_breaked_out","_rep_action","_type_name"];

#include "x_setup.sqf"

_caller = _this select 1;
_aid = _this select 2;

_truck_near = false;
if (player distance TR7 < 21 || player distance TR8 < 21) then {
	_truck_near = true;
};
if (!d_eng_can_repfuel && !_truck_near) exitWith {
	hint "You have to restore your repair/refuel capability at base first or take one of the two Salvage trucks with you.";
};

#ifdef __RANKED__
if (score player < (d_ranked_a select 0)) exitWith {
	(format ["You need %2 points to repair/refuel a vehicle, your current score is: %1!", score player,(d_ranked_a select 0)]) call XfHQChat;
};
#endif

_caller removeAction _aid;
if (!(local _caller)) exitWith {};
_rep_array = [objectID2];
_rep_count = 1;

if (objectID2 isKindOf "Air") then {
	_rep_count = 0.1;
} else {
	if (objectID2 isKindOf "Tank") then {
		_rep_count = 0.2;
	} else {
		_rep_count = 0.3;
	};
};

_fuel = fuel objectID2;
_damage = damage objectID2;

_damage_val = (_damage / _rep_count);
_fuel_val = ((1 - _fuel) / _rep_count);
_coef = (
	if (_fuel_val == _damage_val) then {
		_damage_val
	} else {
		if (_fuel_val > _damage_val) then {
			_fuel_val
		} else {
			_damage_val
		}
	}
);
_coef = ceil _coef;

hint format ["Vehicle status:\n---------------------\nFuel: %1\nDamage: %2",_fuel, _damage];
_type_name = [typeOf (objectID2),0] call XfGetDisplayName;
(format ["Repairing and refuelling %1... Stand by", _type_name]) call XfGlobalChat;
_damage_ok = false;
_fuel_ok = false;
d_cancelrep = false;
_breaked_out = false;
_breaked_out2 = false;
_rep_action = player addAction["Cancel Service","x_scripts\x_cancelrep.sqf"];
for "_wc" from 1 to _coef do {
	if (!alive player || d_cancelrep) exitWith {player removeAction _rep_action;};
	"Still working..." call XfGlobalChat;
	player playMove "AinvPknlMstpSlayWrflDnon_medic";
	sleep 3.0;
	WaitUntil {animationState player != "AinvPknlMstpSlayWrflDnon_medic"};
	if (d_cancelrep) exitWith {
		_breaked_out = true;
	};
	if (vehicle player != player) exitWith {
		_breaked_out2 = true;
		hint "You have entered a vehicle, service canceled";
	};
	if (!_fuel_ok) then {_fuel = _fuel + _rep_count;};
	if (_fuel >= 1 && !_fuel_ok) then {_fuel = 1;_fuel_ok = true;};
	if (!_damage_ok) then {_damage = _damage - _rep_count;};
	if (_damage <= 0.01 && !_damage_ok) then {_damage = 0;_damage_ok = true;};
	hint format ["Vehicle status:\n---------------------\nFuel: %1\nDamage: %2",_fuel, _damage];
};
if (_breaked_out) exitWith {
	"Service canceled..." call XfGlobalChat;
	player removeAction _rep_action;
};
if (_breaked_out2) exitWith {};
d_eng_can_repfuel = false;
player removeAction _rep_action;
if (!alive player) exitWith {player removeAction _rep_action};
#ifdef __RANKED__
_parray = d_ranked_a select 1;
_addscore = (
	if (objectID2 isKindOf "Air") then {
		(_parray select 0)
	} else {
		if (objectID2 isKindOf "Tank") then {
			(_parray select 1)
		} else {
			if (objectID2 isKindOf "Car") then {
				(_parray select 2)
			} else {
				(_parray select 3)
			}
		}
	}
);
if (_addscore > 0) then {
	player addScore _addscore;
	(format ["You get %1 point(s) for repairing/refueling!", _addscore]) call XfHQChat;
};
#endif
rep_array = _rep_array;
["rep_array",_rep_array] call XSendNetStartScriptAll;
[_rep_array select 0] spawn x_repall;
(format ["%1 repaired and refuelled", _type_name]) call XfGlobalChat;
if (true) exitWith {};

