// by Xeno
private ["_ctrl","_current_target_name","_ok","_s","_target_array2","_XD_display"];
if (!X_Client) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_ok = createDialog "XD_StatusDialog";

_XD_display = findDisplay 11001;

_target_array2 = [];
_current_target_name = "";

if (current_target_index != -1) then {
	__TargetInfo
} else {
	_current_target_name = "No Target";
};

#ifdef __TT__
_ctrl = _XD_display displayCtrl 11011;
_color = [];
if (points_west > points_racs) then {
	_color = [0,0,1,1];
} else {
	if (points_racs > points_west) then {
		_color = [1,1,0,1];
	} else {
		if (points_racs == points_west) then {
			_color = [0,1,0,1];
		};
	};
};
_ctrl ctrlSetTextColor _color;
_s = format ["%1 : %2", points_west, points_racs];
_ctrl ctrlSetText _s;

_ctrl = _XD_display displayCtrl 11012;
if (kill_points_west > kill_points_racs) then {
	_color = [0,0,1,1];
} else {
	if (kill_points_racs > kill_points_west) then {
		_color = [1,1,0,1];
	} else {
		if (kill_points_racs == kill_points_west) then {
			_color = [0,1,0,1];
		};
	};
};
_ctrl ctrlSetTextColor _color;
_s = format ["%1 : %2", kill_points_west, kill_points_racs];
_ctrl ctrlSetText _s;
#endif

_ctrl = _XD_display displayCtrl 11002;
_ctrl ctrlSetText current_mission_text;

_ctrl = _XD_display displayCtrl 11003;
_ctrl ctrlSetText _current_target_name;

_s = format ["%1/%2", (client_target_counter + 1), number_targets];
_ctrl = _XD_display displayCtrl 11006;
_ctrl ctrlSetText _s;

_ctrl = _XD_display displayCtrl 11008;
if (!(__ReviveVer) && !d_dont_show_player_markers_at_all) then {
	if (d_show_player_marker) then {
		_ctrl ctrlSetText "Hide Player Marker";
	} else {
		_ctrl ctrlSetText "Show Player Marker";
	};
} else {
	_ctrl ctrlShow false;
};

_ctrl = _XD_display displayCtrl 11009;
if (!d_use_teamstatusdialog) then {
	_ctrl ctrlShow false;
} else {
	if (vehicle player == player) then {
		_ctrl ctrlSetText "Team Status";
	} else {
		_ctrl ctrlSetText "Vehicle Status";
	};
};

_s = "";
if (current_target_index != -1) then {
	switch (sec_kind) do {
		case 1: {
			_s = format ["Find and eliminate the local governor of %1.\n", _current_target_name];
		};
		case 2: {
			_s = format ["Find the local communication tower in %1 and destroy it.\n", _current_target_name];
		};
		case 3: {
			_s = format ["Find an enemy ammo truck in %1 and destroy it to cut down ammo supplies.\n", _current_target_name];
		};
		case 4: {
			_s = format ["Find a new APC prototype (concealed as medic) in %1 and destroy it.\n", _current_target_name];
		};
		case 5: {
			_s = format ["Find the enemy HQ in %1 and destroy it.\n", _current_target_name];
		};
		case 6: {
			_s = format ["Find a light enemy factory in %1 and destroy it.\n", _current_target_name];
		};
		case 7: {
			_s = format ["Find a heavy enemy factory in %1 and destroy it.\n", _current_target_name];
		};
		case 0: {
			_s = "No secondary main target mission available...";
		};
	};
} else {
	_s = "No secondary main target mission available...";
};

_ctrl = _XD_display displayCtrl 11007;
_ctrl ctrlSetText _s;

_ctrl = _XD_display displayCtrl 12010;
_ctrl ctrlSetText d_rank_pic;

if (true) exitWith {};
