// by Xeno
private ["_vec"];
_vec = _this select 0;

if (isNil "x_ranked_weapons") then {
	x_ranked_weapons =
		if (d_enemy_side = "EAST") then {
			[
				[
					// private rifles
					[
						["M16A2",5],["M16A4",5],["MP5A5",5]
					],
					// corporal rifles (gets added to private rifles)
					[
						["M16A2GL",5],["M16A4_GL",5],["M16A4_ACG",5],["M16A4_ACG_GL",5],["M4",5]
					],
					// sergeant rifles (gets added to corporal and private rifles)
					[
						["MP5SD",5],["M4A1",5],["M4GL",5],["M4A1GL",5],["M4AIM",5]
					],
					// lieutenant rifles (gets added to...)
					[
						["M4A1SD",5]
					],
					// captain rifles (gets added...)
					[
						["G36a",5],["G36c",5],["G36k",5]
					],
					// major rifles (gets...)
					[
					],
					// colonel rifles (...)
					[
					]
				],
				[
					// private sniper rifles
					[
					],
					// corporal sniper rifles
					[
					],
					// sergeant sniper rifles
					[
						["M24",5]
					],
					// lieutenant sniper rifles
					[
					],
					// captain sniper rifles
					[
						["M4SPR",5]
					],
					// major sniper rifles
					[
					],
					// colonel sniper rifles
					[
						["M107",5]
					]
				],
				[
					// private MG
					[
					],
					// corporal MG
					[
						["M240",5]
					],
					// sergeant MG
					[
						["M249",5]
					],
					// lieutenant MG
					[
					],
					// captain MG
					[
					],
					// major MG
					[
					],
					// colonel MG
					[
					]
				],
				[
					// private launchers
					[
						["M136",5]
					],
					// corporal launchers
					[
						["STINGER",5]
					],
					// sergeant launchers
					[
					],
					// lieutenant launchers
					[
					],
					// capain launchers
					[
					],
					// major launchers
					[
					],
					// colonel launchers
					[
						["JAVELIN",2]
					]
				],
				[
					// private pistols
					[
						["M9",5]
					],
					// corporal pistols
					[
						["M9SD",5]
					],
					// sergeant pistols
					[
					],
					// lieutenant pistols
					[
					],
					// captain pistols
					[
					],
					// major pistols
					[
					],
					// colonel pistols
					[
					]
				]
			]
	} else {
		[
			[
				// private rifles
				[
					["AK74",5],["AKS74U",5]
				],
				// corporal rifles (gets added to private rifles)
				[
					["AK74GL",5]
				],
				// sergeant rifles (gets added to corporal and private rifles)
				[
					["AKS74UN",5]
				],
				// lieutenant rifles (gets added to...)
				[
				],
				// captain rifles (gets added...)
				[
				],
				// major rifles (gets...)
				[
				],
				// colonel rifles (...)
				[
				]
			],
			[
				// private sniper rifles
				[
				],
				// corporal sniper rifles
				[
				],
				// sergeant sniper rifles
				[
				],
				// lieutenant sniper rifles
				[
					["AKS74PSO",5]
				],
				// captain sniper rifles
				[
					["SVD",5]
				],
				// major sniper rifles
				[
				],
				// colonel sniper rifles
				[
					["KSVK",5]
				]
			],
			[
				// private MG
				[
				],
				// corporal MG
				[
				],
				// sergeant MG
				[
					["PK",5]
				],
				// lieutenant MG
				[
				],
				// captain MG
				[
				],
				// major MG
				[
				],
				// colonel MG
				[
				]
			],
			[
				// private launchers
				[
					["RPG7V",5]
				],
				// corporal launchers
				[
					["STRELA",5]
				],
				// sergeant launchers
				[
				],
				// lieutenant launchers
				[
				],
				// capain launchers
				[
				],
				// major launchers
				[
				],
				// colonel launchers
				[
					["JAVELIN",2]
				]
			],
			[
				// private pistols
				[
					["MakarovSD",5]
				],
				// corporal pistols
				[
					["Makarov",5]
				],
				// sergeant pistols
				[
				],
				// lieutenant pistols
				[
				],
				// captain pistols
				[
				],
				// major pistols
				[
				],
				// colonel pistols
				[
				]
			]
		]
	};
};

_vec spawn {
	private ["_vec", "_old_rank", "_index", "_weapons", "_i", "_rk"];
	_vec = _this;
	_old_rank = "";
	while {!isNull _vec && alive _vec} do {
		if (_old_rank != rank player) then {
			clearMagazineCargo _vec;
			clearWeaponCargo _vec;
			_old_rank = rank player;
			_index = _old_rank call XGetRankIndex;
			if (d_enemy_side == "EAST") then {
				// ranked stuff
				{
					_weapons = _x;
					for "_i" from 0 to _index do {
						_rk = _weapons select _i;
						{_vec addweaponcargo _x} forEach _rk;
					};
				} forEach x_ranked_weapons;
				
				_vec addweaponcargo ["Laserdesignator",1];
				_vec addweaponcargo ["Binocular",1];
				_vec addweaponcargo ["NVGoggles",1];
				
				_vec addmagazinecargo ["Handgrenade",50];
				_vec addmagazinecargo ["Smokeshell",50];
				_vec addmagazinecargo ["Smokeshellred",50];
				_vec addmagazinecargo ["Smokeshellgreen",50];
				_vec addmagazinecargo ["30Rnd_9x19_MP5",50];
				_vec addmagazinecargo ["30Rnd_9x19_MP5SD",50];
				_vec addmagazinecargo ["15Rnd_9x19_M9",50];
				_vec addmagazinecargo ["15Rnd_9x19_M9SD",50];
				_vec addmagazinecargo ["30Rnd_556x45_Stanag",50];
				_vec addmagazinecargo ["30Rnd_556x45_StanagSD",50];
				_vec addmagazinecargo ["30Rnd_556x45_G36",50];
				_vec addmagazinecargo ["200Rnd_556x45_M249",50];
				_vec addmagazinecargo ["5Rnd_762x51_M24",50];
				_vec addmagazinecargo ["10Rnd_127x99_M107",3];
				_vec addmagazinecargo ["100Rnd_762x51_M240",50];
				_vec addmagazinecargo ["FlareWhite_M203",50];
				_vec addmagazinecargo ["FlareGreen_M203",50];
				_vec addmagazinecargo ["FlareRed_M203",50];
				_vec addmagazinecargo ["FlareYellow_M203",50];
				_vec addmagazinecargo ["1Rnd_HE_M203",50];
				_vec addmagazinecargo ["M136",10];
				_vec addmagazinecargo ["Pipebomb",30];
				_vec addmagazinecargo ["Mine",30];
				_vec addmagazinecargo ["Laserbatteries",20];
				_vec addmagazinecargo ["JAVELIN",1];
				_vec addmagazinecargo ["STINGER",2];
			} else {
				// ranked stuff
				{
					_weapons = _x;
					for "_i" from 0 to _index do {
						_rk = _weapons select _i;
						{_vec addweaponcargo _x} forEach _rk;
					};
				} forEach x_ranked_weapons;
				
				_vec addweaponcargo ["Binocular",1];
				_vec addweaponcargo ["NVGoggles",1];
				
				_vec addmagazinecargo ["30Rnd_545x39_AK",50];
				_vec addmagazinecargo ["FlareWhite_GP25",50];
				_vec addmagazinecargo ["FlareGreen_GP25",50];
				_vec addmagazinecargo ["FlareRed_GP25",50];
				_vec addmagazinecargo ["FlareYellow_GP25",50];
				_vec addmagazinecargo ["1Rnd_HE_GP25",50];
				_vec addmagazinecargo ["30Rnd_545x39_AKSD",50];
				_vec addmagazinecargo ["100Rnd_762x54_PK",50];
				_vec addmagazinecargo ["10Rnd_762x54_SVD",50];
				_vec addmagazinecargo ["8Rnd_9x18_Makarov",50];
				_vec addmagazinecargo ["8Rnd_9x18_MakarovSD",50];
				_vec addmagazinecargo ["PG7V",5];
				_vec addmagazinecargo ["PG7VR",5];
				_vec addmagazinecargo ["SmokeShellRed",50];
				_vec addmagazinecargo ["SmokeShellGreen",50];
				_vec addmagazinecargo ["SmokeShell",50];
				_vec addmagazinecargo ["HandGrenadeTimed",50];
				_vec addmagazinecargo ["HandGrenade",50];
				_vec addmagazinecargo ["5Rnd_127x108_KSVK",50];
				_vec addmagazinecargo ["Mine",30];
				_vec addmagazinecargo ["Pipebomb",30];
				_vec addmagazinecargo ["JAVELIN",1];
				_vec addmagazinecargo ["Strela",2];
			};
		};
		sleep 2.32;
	};
};

if (true) exitWith {};
