// by Xeno
private ["_ve"];

#include "x_setup.sqf"

_ve = _this select 0;

if (isNil "x_ranked_weapons") then {
	x_ranked_weapons = [
		[
			// private rifles
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Dummy_RIFLE",48],["ACE_FAL_Para",5],["ACE_HK416",5],["ACE_HK416_GL",5],["ACE_HK417C",5],["ACE_SCAR_L_CQB",5],
				["ACE_SCAR_L_CQB_Docter",5],["ACE_SCAR_H_CQB",5],["ACE_SCAR_H_CQB_Docter",5],
				["ACE_SR25K",5],["ACE_M14",5],["ACE_M14_des",5],["ACE_M14_wdl",5],["ACE_M14_reflex",5],
				["ACE_M14_nam",5],["ACE_M14_sop",5],["ACE_M14_sop_cmore",5],
				["ACE_M16A2",5],["ACE_M16A2GL",5],["ACE_M16A4",5],["ACE_M16A4GL",5],
				["ACE_M4A1",5],["ACE_MP5A4",5],["ACE_MP5A5",5],["ACE_MP5SD",5],["ACE_UMP45",5],["ACE_UMP45_SD",5],
				["ACE_M1014",5],["ACE_SPAS12",5],["ACE_G36C",5]
				#else
				["ACE_Dummy_RIFLE",48],["ACE_AK74",5],["ACE_AKS74U",5],["ACE_AKS74USD",5],["ACE_AK47",5],
				["ACE_AKM",5],["ACE_AKMGL",5],["ACE_AKMS",5],["ACE_AKMSGL",5],["ACE_AKMS_PBS1",5],["ACE_Val",5]
				#endif
			],
			// corporal rifles (gets added to private rifles)  
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_HK416_SD",5],["ACE_HK416_GL_SD",5],["ACE_HK416_aim",5],["ACE_HK416_aim_SD",5],["ACE_HK416_aim_GL",5],["ACE_HK416_aim_GL_SD",5],["ACE_HK416_eotech",5],
				["ACE_HK416_eotech_SD",5],["ACE_HK416_eotech_gl",5],["ACE_HK416_eotech_gl_SD",5],["ACE_HK417C_SD",5],["ACE_HK417L",5],["ACE_HK417L_SD",5],["ACE_HK417L_M68",5],
				["ACE_HK417L_M68_SD",5],["ACE_HK417C_Eotech",5],
				["ACE_HK417C_Eotech_SD",5],["ACE_HK417L_Eotech",5],["ACE_HK417L_Eotech_203",5],["ACE_HK417L_Eotech_SD",5],
				["ACE_SCAR_L_CQB_EOtech",5],["ACE_SCAR_L_CQB_EOtech_SD",5],["ACE_SCAR_L_CQB_Eotech_EGLM",5],["ACE_SCAR_L_CQB_AIM",5],
				["ACE_SCAR_L_CQB_AIM_SD",5],["ACE_SCAR_H_CQB_EOtech",5],["ACE_SCAR_H_CQB_EOtech_SD",5],["ACE_SCAR_H_CQB_AIM",5],["ACE_SCAR_H_CQB_AIM_SD",5],
				["ACE_SCAR_L",5],["ACE_SCAR_L_Eotech",5],["ACE_SCAR_L_CQB_Docter_SD",5],["ACE_SCAR_H_CQB_Docter_SD",5],
				["ACE_M14_sop_aim",5],["ACE_M14_sopS",5],["ACE_M14_sop_aim_gl",5],["ACE_M14_sop_cmoreS",5],["ACE_M14_sop_gl",5],
				["ACE_M14_sop_eotech",5],["ACE_M14_sop_eotech_gl",5],["ACE_M14_sop_aimS",5],["ACE_M14_sop_eotechS",5],
				["ACE_M16A4Aimpoint",5],["ACE_M4A1AimPointSD",5],["ACE_M4A1GLAimpoint",5],["ACE_G36K",5],["ACE_G36KA1",5],
				["ACE_G36C_CompAim",5],["ACE_G36C_CompEo",5],["ACE_M1014_Eotech",5],["ACE_G36",5]
				#else
				["ACE_AKS74U_Cobra",5],["ACE_AKS74USD_Cobra",5],["ACE_AKM_Cobra",5],["ACE_AKMGL_Cobra",5],["ACE_AKMS_Cobra",5],
				["ACE_AKMS_PBS1_Cobra",5],["ACE_Val_Cobra",5]
				#endif
			],
			// sergeant rifles (gets added to corporal and private rifles)
			[
				#ifdef __OWN_SIDE_WEST__
				 ["ACE_SCAR_L_Specter",5],["ACE_SCAR_L_Specter_SD",5],["ACE_SCAR_L_Shortdot",5],["ACE_SCAR_L_Shortdot_SD",5],
				 ["ACE_SCAR_L_CQB_mk4",5],["ACE_SCAR_L_CQB_mk4_SD",5],["ACE_SCAR_H_Shortdot",5],["ACE_SCAR_H_Shortdot_SD",5],
				 ["ACE_M14_sop_elcan",5],["ACE_M14_sop_elcanS",5]
				#endif
			],
			// lieutenant rifles (gets added to...)
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_HK416_ACOG",5],["ACE_HK416_ACOG_SD",5],["ACE_HK416_ACOG_gl",5],["ACE_HK416_ACOG_gl_SD",5],["ACE_HK417C_ACOG",5],
				["ACE_HK417C_ACOG_SD",5],["ACE_HK417C_ACOG_gl",5],["ACE_HK417C_M68",5],["ACE_HK417C_M68_SD",5],["ACE_HK417L_ACOG",5],
				["ACE_HK417L_ACOG_SD",5],["ACE_SCAR_L_ACOG",5],["ACE_SCAR_L_ACOG_SD",5],["ACE_SCAR_L_ACOG_EGLM",5],["ACE_SCAR_H_ACOG",5],
				["ACE_SCAR_H_ACOG_SD",5],["ACE_M14_wdl_acog",5],["ACE_M14_sop_acog",5],["ACE_M14_sop_acog_gl",5],["ACE_M14_sop_acogS",5],
				["ACE_M16A4ACOG",5],["ACE_M16A4GLACOG",5],["ACE_M4A1ACOG",5],["ACE_M4A1GLACOG",5],["ACE_M4A1GL",5]
				#endif
			],
			// captain rifles (gets added...)
			[
			],
			// major rifles (gets...)
			[
			],
			// colonel rifles (...)
			[
			]
		],
		[
			// private sniper rifles
			[
				["ACE_Dummy_SNIPER",48]
			],
			// corporal sniper rifles
			[
			],
			// sergeant sniper rifles
			[
			],
			// lieutenant sniper rifles
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Mk12SPR",5],["ACE_Mk12SPR_SD",5]
				#else
				["ACE_AKS74PSO",5]
				#endif
			],
			// captain sniper rifles
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_M40A3",5]
				#else
				["ACE_VSS",5],["ACE_SVD",5]
				#endif
			],
			// major sniper rifles
			[
			],
			// colonel sniper rifles
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_HK416_Leu",5],["ACE_HK416_Leu_SD",5],["ACE_HK417L_Leu",5],["ACE_HK417L_Leu_SD",5],["ACE_SCAR_L_Marksman",5],
				["ACE_SCAR_L_Marksman_SD",5],["ACE_SCAR_L_Marksman_ACOG",5],["ACE_SCAR_H_Sniper",5],["ACE_SCAR_H_Sniper_SD",5],
				["ACE_M14_sop_dmr",5],["ACE_M14_sop_dmrS",5],["ACE_M21",5],["ACE_M21_des",5],["ACE_M21_wdl",5],["ACE_M21_dmr",5],
				["ACE_M21_dmrS",5],["ACE_M21_police",5],["ACE_M24",5],["ACE_M82A1",5],["ACE_M109",5],["ACE_M110",5],["ACE_M110_SD",5]
				#else
				["ACE_KSVK",5]
				#endif
			]
		],
		[
			// private MG
			[
			],
			// corporal MG
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Dummy_MG",48],["ACE_M240G",5],["ACE_M240G_M145",5]
				#else
				["ACE_Dummy_MG",48],["ACE_RPK74",5],["ACE_RPK74M",5],["ACE_RPK47",5],["ACE_PK",5]
				#endif
			],
			// sergeant MG
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_M249",5],["ACE_M249Para",5]
				#else
				["ACE_Pecheneg",5],["ACE_RPK74M_1P29",5]
				#endif
			],
			// lieutenant MG
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_MG36",5],["ACE_M249Para_M145",5]
				#else
				["ACE_Pecheneg_1P29",5]
				#endif
			],
			// captain MG
			[
			],
			// major MG
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_M2HBProxy",2],["ACE_M3TripodProxy",2]
				#endif
			],
			// colonel MG
			[
			]
		],
		[
			// private launchers
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Dummy_LAUNCHER",48],["ACE_M136",5]
				#else
				["ACE_Dummy_LAUNCHER",48],["ACE_RPG7",5]
				#endif
			],
			// corporal launchers
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_M72",5],["ACE_FIM92A",5]
				#else
				["ACE_RPG22",5]
				#endif
			],
			// sergeant launchers
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_M79",5]
				#else
				["ACE_RPG27",5]
				#endif
			],
			// lieutenant launchers
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_SMAW",5],["ACE_CarlGustav",5],["ACE_MK13",5],["ACE_M32",5]
				#else
				["ACE_RPO",5]
				#endif
			],
			// capain launchers
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Dragon",5]
				#endif
			],
			// major launchers
			[
			],
			// colonel launchers
			[
				["ACE_Javelin",2]
			]
		],
		[
			// private pistols
			[
				#ifdef __OWN_SIDE_WEST__
				["ACE_Dummy_PISTOL",5],["ACE_M9",5],["ACE_M9SD",5],["ACE_M1911",5],["ACE_M1911SD",5],["ACE_Glock17",5],["ACE_Glock18",5],["ACE_FlareGun",5]
				#else
				["ACE_Dummy_PISTOL",5],["ACE_Makarov",5],["ACE_TT",5],["ACE_Scorpion",5],["ACE_MakarovSD",5]
				#endif
			],
			// corporal pistols
			[
			],
			// sergeant pistols
			[
			],
			// lieutenant pistols
			[
			],
			// capain pistols
			[
			],
			// major pistols
			[
			],
			// colonel pistols
			[
			]
		]
	];
};

_ve spawn {
	private ["_ve", "_old_rank", "_index", "_weapons", "_i", "_rk"];
	_ve = _this;
	_old_rank = "";
	while {!isNull _ve && alive _ve} do {
		if (_old_rank != rank player) then {
			clearMagazineCargo _ve;
			clearWeaponCargo _ve;
			_old_rank = rank player;
			_index = _old_rank call XGetRankIndex;
			if (d_enemy_side == "EAST") then {
				// weaponcargo that is allways in a box
				_ve addweaponcargo ["NVGoggles",1];
				_ve addweaponcargo ["Binocular",1];
				_ve addweaponcargo ["LaserDesignator",1];
				_ve addweaponcargo ["ACE_ANPRC77_Alice",1];
				_ve addweaponcargo ["ACE_ParachutePack",1];
				
				// ranked stuff
				{
					_weapons = _x;
					for "_i" from 0 to _index do {
						_rk = _weapons select _i;
						{_ve addweaponcargo _x} forEach _rk;
					};
				} forEach x_ranked_weapons;
				
				_ve addmagazinecargo ["ACE_Dummy_EQUIP",48];
				_ve addmagazinecargo ["ACE_Bandage",48];
				_ve addmagazinecargo ["ACE_Morphine",48];
				_ve addmagazinecargo ["ACE_Epinephrine",48];
				_ve addmagazinecargo ["Laserbatteries",1];
				_ve addmagazinecargo ["ACE_IRStrobe",1];
				_ve addmagazinecargo ["ACE_Dummy_RIFLE",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_B_FAL",48];
				_ve addmagazinecargo ["ACE_30Rnd_9x19_B_MP5",48];
				_ve addmagazinecargo ["ACE_30Rnd_9x19_SD_MP5",48];
				_ve addmagazinecargo ["ACE_25Rnd_1143x23_B_UMP45",48];
				_ve addmagazinecargo ["ACE_20Rnd_556x45_SB_Stanag",48];
				_ve addmagazinecargo ["ACE_30Rnd_556x45_B_Stanag",48];
				_ve addmagazinecargo ["ACE_30Rnd_556x45_SD_Stanag",48];
				_ve addmagazinecargo ["ACE_30Rnd_556x45_BT_Stanag",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_B_SCAR",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_SB_SCAR",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_B_HK417",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_SB_HK417",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_B_M14",48];
				_ve addmagazinecargo ["ACE_30Rnd_556x45_B_G36",48];
				_ve addmagazinecargo ["ACE_30Rnd_556x45_BT_G36",48];
				_ve addmagazinecargo ["ACE_100Rnd_556x45_B_G36",48];
				_ve addmagazinecargo ["ACE_100Rnd_556x45_BT_G36",48];
				_ve addmagazinecargo ["ACE_5Rnd_762x51_SB",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_SB_M14",48];
				_ve addmagazinecargo ["ACE_20Rnd_762x51_SB_M110",48];
				_ve addmagazinecargo ["ACE_10Rnd_762x54_SB_SVD",48];
				_ve addmagazinecargo ["ACE_10Rnd_762x54_SB_SV98",48];
				_ve addmagazinecargo ["ACE_10Rnd_127x99_SB_Barrett",5];
				_ve addmagazinecargo ["ACE_10Rnd_127x99_BT_Barrett",5];
				_ve addmagazinecargo ["ACE_10Rnd_127x99_API_Barrett",5];
				_ve addmagazinecargo ["ACE_5Rnd_25x59_HEDP_Barrett",3];
				_ve addmagazinecargo ["ACE_8Rnd_12Ga_Slug",48];
				_ve addmagazinecargo ["ACE_8Rnd_12Ga_Buck00",48];
				_ve addmagazinecargo ["ACE_9Rnd_12Ga_Slug",48];
				_ve addmagazinecargo ["ACE_9Rnd_12Ga_Buck00",48];
				_ve addmagazinecargo ["ACE_Dummy_MG",48];
				_ve addmagazinecargo ["ACE_200Rnd_556x45_B_M249",48];
				_ve addmagazinecargo ["ACE_200Rnd_556x45_BT_M249",48];
				_ve addmagazinecargo ["ACE_100Rnd_762x51_B_M240",48];
				_ve addmagazinecargo ["ACE_100Rnd_762x51_BT_M240",48];
				_ve addmagazinecargo ["ACE_50Rnd_762x51_B_M240",48];
				_ve addmagazinecargo ["ACE_50Rnd_762x51_BT_M240",48];
				_ve addmagazinecargo ["ACE_100Rnd_762x51_B_M60",48];
				_ve addmagazinecargo ["ACE_M2_CSWDM",48];
				_ve addmagazinecargo ["ACE_Dummy_PISTOL",48];
				_ve addmagazinecargo ["ACE_15Rnd_9x19_B_M9",48];
				_ve addmagazinecargo ["ACE_15Rnd_9x19_SD_M9",48];
				_ve addmagazinecargo ["ACE_7Rnd_1143x23_B_M1911",48];
				_ve addmagazinecargo ["ACE_17Rnd_9x19_G17",48];
				_ve addmagazinecargo ["ACE_33Rnd_9x19_G18",48];
				_ve addmagazinecargo ["ACE_20Rnd_765x17_vz61",48];
				_ve addmagazinecargo ["ACE_Dummy_LAUNCHER",48];
				_ve addmagazinecargo ["ACE_AT4_HEAT",4];
				_ve addmagazinecargo ["ACE_AT4_HP",4];
				_ve addmagazinecargo ["ACE_AT4_HEDP",4];
				_ve addmagazinecargo ["ACE_LAW_HEAT",4];
				_ve addmagazinecargo ["ACE_LAW_HP",4];
				_ve addmagazinecargo ["ACE_LAW_HEF",4];
				_ve addmagazinecargo ["ACE_SMAW_HEDP",4];
				_ve addmagazinecargo ["ACE_SMAW_HEAA",4];
				_ve addmagazinecargo ["ACE_SMAW_FTG",4];
				_ve addmagazinecargo ["ACE_SMAW_Spotting",5];
				_ve addmagazinecargo ["ACE_CarlGustav_HEAT",4];
				_ve addmagazinecargo ["ACE_CarlGustav_HEDP",4];
				_ve addmagazinecargo ["ACE_CarlGustav_HE",4];
				_ve addmagazinecargo ["ACE_Javelin",1];
				_ve addmagazinecargo ["ACE_Dragon",3];
				_ve addmagazinecargo ["ACE_Stinger",4];
				_ve addmagazinecargo ["ACE_40mm_Buck_M79",48];
				_ve addmagazinecargo ["ACE_6Rnd_40mm_M32",48];
				_ve addmagazinecargo ["ACE_40mm_HEDP_M203",48];
				_ve addmagazinecargo ["ACE_40mm_FlareWhite_M203",48];
				_ve addmagazinecargo ["ACE_40mm_FlareGreen_M203",48];
				_ve addmagazinecargo ["ACE_40mm_FlareRed_M203",48];
				_ve addmagazinecargo ["ACE_40mm_FlareYellow_M203",48];
				_ve addmagazinecargo ["ACE_40mm_FlareIR_M203",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeWhite_M203",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeRed_M203",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeGreen_M203",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeYellow_M203",48];
				_ve addmagazinecargo ["ACE_1Rnd_Flare_White",48];
				_ve addmagazinecargo ["ACE_1Rnd_Flare_Green",48];
				_ve addmagazinecargo ["ACE_1Rnd_Flare_Red",48];
				_ve addmagazinecargo ["ACE_1Rnd_Flare_Yellow",48];
				_ve addmagazinecargo ["ACE_HandGrenade",48];
				_ve addmagazinecargo ["ACE_HandGrenadeTimed",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_White",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Red",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Green",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Yellow",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Violet",48];
				_ve addmagazinecargo ["ACE_Flashbang",48];
				_ve addmagazinecargo ["ACE_PipeBomb",48];
				_ve addmagazinecargo ["ACE_Claymore_M",48];
				_ve addmagazinecargo ["ACE_POMZ_M",48];
				_ve addmagazinecargo ["ACE_Mine",48];
			} else {
				//weaponcargo that is allways in a box
				_ve addweaponcargo ["NVGoggles",1];
				_ve addweaponcargo ["Binocular",1];
				_ve addweaponcargo ["LaserDesignator",1];
				_ve addweaponcargo ["ACE_ANPRC77_Alice",1];
				_ve addweaponcargo ["ACE_ParachutePack",1];
				
				// ranked stuff
				{
					_weapons = _x;
					for "_i" from 0 to _index do {
						_rk = _weapons select _i;
						{_ve addweaponcargo _x} forEach _rk;
					};
				} forEach x_ranked_weapons;
				
				_ve addmagazinecargo ["ACE_Dummy_EQUIP",48];
				_ve addmagazinecargo ["ACE_Bandage",48];
				_ve addmagazinecargo ["ACE_Morphine",48];
				_ve addmagazinecargo ["ACE_Epinephrine",48];
				_ve addmagazinecargo ["Laserbatteries",1];
				_ve addmagazinecargo ["ACE_IRStrobe",1];
				_ve addmagazinecargo ["ACE_Dummy_RIFLE",48];
				_ve addmagazinecargo ["ACE_30Rnd_545x39_B_AK",48];
				_ve addmagazinecargo ["ACE_30Rnd_545x39_SD_AK",48];
				_ve addmagazinecargo ["ACE_30Rnd_545x39_BT_AK",48];
				_ve addmagazinecargo ["ACE_45Rnd_545x39_B_AK",48];
				_ve addmagazinecargo ["ACE_45Rnd_545x39_BT_AK",48];
				_ve addmagazinecargo ["ACE_30Rnd_762x39_B_AK",48];
				_ve addmagazinecargo ["ACE_30Rnd_762x39_BT_AK",48];
				_ve addmagazinecargo ["ACE_30Rnd_762x39_SD_AK",48];
				_ve addmagazinecargo ["ACE_10Rnd_9x39_SB_VSS",48];
				_ve addmagazinecargo ["ACE_20Rnd_9x39_B_VAL",48];
				_ve addmagazinecargo ["ACE_5Rnd_762x51_SB",48];
				_ve addmagazinecargo ["ACE_10Rnd_762x54_SB_SVD",48];
				_ve addmagazinecargo ["ACE_10Rnd_762x54_SB_SV98",48];
				_ve addmagazinecargo ["ACE_5Rnd_127x108_SB_KSVK",48];
				_ve addmagazinecargo ["ACE_5Rnd_127x108_BT_KSVK",48];
				_ve addmagazinecargo ["ACE_5Rnd_127x108_SB_OSV96",48];
				_ve addmagazinecargo ["ACE_40Rnd_762x39_B_AK",48];
				_ve addmagazinecargo ["ACE_40Rnd_762x39_BT_AK",48];
				_ve addmagazinecargo ["ACE_75Rnd_762x39_B_AK",48];
				_ve addmagazinecargo ["ACE_75Rnd_762x39_BT_AK",48];
				_ve addmagazinecargo ["ACE_Dummy_MG",48];
				_ve addmagazinecargo ["ACE_100Rnd_762x54_B_PK",48];
				_ve addmagazinecargo ["ACE_100Rnd_762x54_BT_PK",48];
				_ve addmagazinecargo ["ACE_Dummy_PISTOL",48];
				_ve addmagazinecargo ["ACE_8Rnd_762x25_B_Tokarev",48];
				_ve addmagazinecargo ["ACE_8Rnd_9x18_B_Makarov",48];
				_ve addmagazinecargo ["ACE_8Rnd_9x18_SD_Makarov",48];
				_ve addmagazinecargo ["ACE_20Rnd_765x17_vz61",48];
				_ve addmagazinecargo ["ACE_Dummy_LAUNCHER",48];
				_ve addmagazinecargo ["ACE_Javelin",1];
				_ve addmagazinecargo ["ACE_RPG7_PG7V",4];
				_ve addmagazinecargo ["ACE_RPG7_PG7VR",4];
				_ve addmagazinecargo ["ACE_RPG7_PG7VL",4];
				_ve addmagazinecargo ["ACE_RPG7_OG7V",4];
				_ve addmagazinecargo ["ACE_RPG7_TBG7V",4];
				_ve addmagazinecargo ["ACE_RPG22",4];
				_ve addmagazinecargo ["ACE_RPG27",4];
				_ve addmagazinecargo ["ACE_RPO_A",4];
				_ve addmagazinecargo ["ACE_Strela",4];
				_ve addmagazinecargo ["ACE_40mm_HEDP_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_VOG25P_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_FlareWhite_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_FlareGreen_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_FlareRed_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_FlareYellow_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_FlareIR_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeWhite_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeRed_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeGreen_GP25",48];
				_ve addmagazinecargo ["ACE_40mm_SmokeYellow_GP25",48];
				_ve addmagazinecargo ["ACE_HandGrenade",48];
				_ve addmagazinecargo ["ACE_HandGrenadeTimed",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_White",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Red",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Green",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Yellow",48];
				_ve addmagazinecargo ["ACE_SmokeGrenade_Violet",48];
				_ve addmagazinecargo ["ACE_Flashbang",48];
				_ve addmagazinecargo ["ACE_PipeBomb",48];
				_ve addmagazinecargo ["ACE_Claymore_M",48];
				_ve addmagazinecargo ["ACE_POMZ_M",48];
				_ve addmagazinecargo ["ACE_MineE",48];
			};
		};
		sleep 2.32;
	};
};

if (true) exitWith {};
