// by Xeno
private ["_vec"];
_vec = _this select 0;

if (isNil "x_ranked_weapons") then {
	x_ranked_weapons = [
		[
			// private rifles
			[
				["CSLA_Sa58P",5],["CSLA_Sa61",5]
			],
			// corporal rifles (gets added to private rifles)
			[
				["CSLA_Sa58V",5]
			],
			// sergeant rifles (gets added to corporal and private rifles)
			[
				["CSLA_Sa58Pp",5]
			],
			// lieutenant rifles (gets added to...)
			[
			],
			// captain rifles (gets added...)
			[
			],
			// major rifles (gets...)
			[
			],
			// colonel rifles (...)
			[
			]
		],
		[
			// private sniper rifles
			[
			],
			// corporal sniper rifles
			[
			],
			// sergeant sniper rifles
			[
			],
			// lieutenant sniper rifles
			[
				["CSLA_VG70",5]
			],
			// captain sniper rifles
			[
				["CSLA_OP63",5]
			],
			// major sniper rifles
			[
			],
			// colonel sniper rifles
			[
			]
		],
		[
			// private MG
			[
			],
			// corporal MG
			[
				["CSLA_UK59L",5]
			],
			// sergeant MG
			[
				["CSLA_UK59Lp",5],["CSLA_UK59mount",5]
			],
			// lieutenant MG
			[
			],
			// captain MG
			[
			],
			// major MG
			[
			],
			// colonel MG
			[
			]
		],
		[
			// private launchers
			[
				["CSLA_RPG7",5],["CSLA_RPG75",5]
			],
			// corporal launchers
			[
				["STRELA",5]
			],
			// sergeant launchers
			[
			],
			// lieutenant launchers
			[
			],
			// capain launchers
			[
			],
			// major launchers
			[
			],
			// colonel launchers
			[
			]
		],
		[
			// private pistols
			[
				["CSLA_Pi52",5],["CSLA_Pi82",5]
			],
			// corporal pistols
			[
			],
			// sergeant pistols
			[
			],
			// lieutenant pistols
			[
			],
			// captain pistols
			[
			],
			// major pistols
			[
			],
			// colonel pistols
			[
			]
		]
	];
};

_vec spawn {
	private ["_vec", "_old_rank", "_index", "_weapons", "_i", "_rk"];
	_vec = _this;
	_old_rank = "";
	while {!isNull _vec && alive _vec} do {
		if (_old_rank != rank player) then {
			clearMagazineCargo _vec;
			clearWeaponCargo _vec;
			_old_rank = rank player;
			_index = _old_rank call XGetRankIndex;
			// ranked stuff
			{
				_weapons = _x;
				for "_i" from 0 to _index do {
					_rk = _weapons select _i;
					{_vec addweaponcargo [(_x select 0),(_x select 1)]} forEach _rk;
				};
			} forEach x_ranked_weapons;
			
			_vec addweaponcargo ["Binocular",1];
			_vec addweaponcargo ["NVGoggles",1];
			
			_vec addmagazinecargo ["CSLA_Ob80",50];
			_vec addmagazinecargo ["CSLA_Sa58_30rnd_7_62vz43",50];
			_vec addmagazinecargo ["CSLA_26_5vz70",50];
			_vec addmagazinecargo ["CSLA_OP63_10rnd_7_62Odst59",50];
			_vec addmagazinecargo ["CSLA_UK59_50rnd_7_62vz59",50];
			_vec addmagazinecargo ["CSLA_UK59_50rnd_7_62Tz59",50];
			_vec addmagazinecargo ["CSLA_UK59_50rnd_7_62TzSv59",50];
			_vec addmagazinecargo ["CSLA_UK59_50rnd_7_62PZ59",50];
			_vec addmagazinecargo ["CSLA_Sa61_20rnd_7_65Pi27",50];
			_vec addmagazinecargo ["CSLA_UK59th",50];
			_vec addmagazinecargo ["CSLA_RG4u",50];
			_vec addmagazinecargo ["CSLA_RG4o",50];
			_vec addmagazinecargo ["CSLA_dymB",50];
			_vec addmagazinecargo ["CSLA_dymC",50];
			_vec addmagazinecargo ["CSLA_dymZ",50];
			_vec addmagazinecargo ["CSLA_dymZl",50];
			_vec addmagazinecargo ["CSLA_sandBagE",50];
			_vec addmagazinecargo ["CSLA_PtMiBa3",50];
			_vec addmagazinecargo ["CSLA_PG7V",2];
			_vec addmagazinecargo ["CSLA_OG7VM",2];
			_vec addmagazinecargo ["CSLA_PG7VL",2];
			_vec addmagazinecargo ["CSLA_PG7M110",2];
			_vec addmagazinecargo ["CSLA_PG7VR",2];
			_vec addmagazinecargo ["CSLA_RPG75",2];
			_vec addmagazinecargo ["CSLA_26_5vz70",50];
			_vec addmagazinecargo ["CSLA_26_5sigB1a",50];
			_vec addmagazinecargo ["CSLA_26_5sigCv1a",50];
			_vec addmagazinecargo ["CSLA_26_5sigCrD",50];
			_vec addmagazinecargo ["CSLA_26_5sigOrD",50];
			_vec addmagazinecargo ["CSLA_26_5sigMD",50];
			_vec addmagazinecargo ["CSLA_Pi52_8rnd_7_62Pi52",50];
			_vec addmagazinecargo ["CSLA_Pi82_12rnd_9Pi82",50];
			_vec addmagazinecargo ["Pipebomb",30];
			_vec addmagazinecargo ["JAVELIN",1];
			_vec addmagazinecargo ["Strela",4];
		sleep 2.32;
	};
};

if (true) exitWith {};
